2011-10-17  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.7.1 Released.

	* AST-2011-012

2011-09-23  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.7.0 Released.

2011-09-19  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.7.0-rc2 Released.

	* r335851 | rmudgett | 2011-09-14 10:53:25 -0500 (Wed, 14 Sep 2011) |
	11 lines

	Fixed cut-n-paste regression using the wrong variable.

	Fixes the missing DAHDI channels when using the newer chan_dahdi.conf
	sections for channel configuration.

	(closes issue ASTERISK-18496)

	* r335911 | rmudgett | 2011-09-14 13:21:35 -0500 (Wed, 14 Sep 2011) |
	13 lines

	Remove unnecessary libpri dependency checks in the configure script.

	Using the --with-pri option with the configure script generated an
	error
	about not having PRI_L2_PERSISTENCE if you did not have the absolute
	latest libpri SVN checkout installed.

	The AST_EXT_LIB_SETUP_DEPENDENT macro in the configure.ac script seems
	to
	be for libraries that are dependent upon other libraries and not
	necessarily for optional/added features within a library.

	(closes issue ASTERISK-18535)

	* r336572 | lmadsen | 2011-09-19 10:41:16 -0500 (Mon, 19 Sep 2011) | 7
	lines

	Update get_ilbc_source.sh script to work again.

	Recently iLBC support in Asterisk has changed after the acquisition of
	GIPS
	by Google. More information about how this may affect you is available
	in a
	blog post at:

	  http://blogs.asterisk.org/2011/09/19/ilbc-support-in-asterisk-after-googles-acquisition-of-gips/

	* r335714 | pabelanger | 2011-09-13 16:30:18 -0500 (Tue, 13 Sep 2011)
	| 4 lines

	Meetme should have 'core' support level

	(closes issue ASTERISK-18542)

2011-09-07  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.7.0-rc1 Released.

2011-09-06 13:48 +0000 [r334453]  Gregory Nietsky <gregory@distrotech.co.za>

	* apps/app_voicemail.c: Make SQL query in app_voicemail.c portable
	  LIMIT is not portable. Regression from r312212 (closes issue
	  ASTERISK-18255) Reported by: Leif Madsen Tested by: Leif Madsen
	  Review: https://reviewboard.asterisk.org/r/1415/

2011-09-02 20:59 +0000 [r334296-334355]  Richard Mudgett <rmudgett@digium.com>

	* res/res_musiconhold.c: MusicOnHold has extra unref which may lead
	  to memory corruption and crash. The problem happens when a call
	  is disconnected and you had started a MOH class that does not use
	  the files mode. If you define REF_DEBUG and recreate the problem,
	  it will announce itself with the following warning: Attempt to
	  unref mohclass 0xb70722e0 (default) when only 1 ref remained, and
	  class is still in a container! * Fixed moh_alloc() and
	  moh_release() functions not handling the state->class reference
	  consistently. (closes issue ASTERISK-18346) Reported by: Mark
	  Murawski Patches: jira_asterisk_18346_v1.8.patch (license #5621)
	  patch uploaded by rmudgett Tested by: rmudgett, Mark Murawski
	  Review: https://reviewboard.asterisk.org/r/1404/

	* main/config.c, include/asterisk/config.h: Fix potential memory
	  allocation failure crashes in config.c. * Added required checks
	  to the returned memory allocation pointers to prevent crashes. *
	  Made ast_include_rename() create a replacement ast_variable list
	  node if the new filename is longer than the available space.
	  Fixes potential crash and memory leak. * Factored out
	  ast_variable_move() from ast_variable_update() so
	  ast_include_rename() can also use it when creating a replacement
	  ast_variable list node. * Made the filename stuffed at the end of
	  the struct a minimum allocated size in ast_variable_new() in case
	  ast_include_rename() changes the stored filename. * Constify
	  struct char pointers pointing to strings stuffed at the end of
	  the struct for: ast_variable, cache_file_mtime, and
	  ast_config_map. * Factored out cfmtime_new() to remove inlined
	  code and allow some struct pointers to become const. * Removed
	  the list lock from struct cache_file_mtime that was never used. *
	  Added doxygen comments to several structure elements and better
	  documented what strings are stuffed at the struct end char array.
	  * Reworked ast_config_text_file_save() and set_fn() to handle
	  allocation failure of the include file scratch pad object
	  tracking blank lines. * Made ast_config_text_file_save() fn[]
	  declared with PATH_MAX to ensure it is long enough for any
	  filename with path. Also reduced the number of container fileset
	  buckets from a rediculus 180,000 to 1023. JIRA AST-618 Review:
	  https://reviewboard.asterisk.org/r/1378/

2011-09-01 17:38 +0000 [r334229-334234]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/pbx.c: Remove 1.6 compatibility documentation from 1.8, as
	  it no longer applies.

	* res/res_config_odbc.c: Create a local alias for
	  ast_odbc_clear_cache. As a function pointer, the reference has to
	  be resolved at load time irrespective of the RTLD_LAZY flag.
	  Creating a local alias solves this problem, because the structure
	  is initialized with that local function pointer, while the actual
	  function can remain lazily linked until runtime. The reason why
	  this is important is because we lazily load function references
	  during the module loading process, in order to obtain priority
	  values for each module, ensuring that modules are loaded in the
	  correct order. Previous to this change, when this module was
	  initially loaded, the module loader would emit a symbol
	  resolution error, because of the above requirement. Closes
	  ASTERISK-18399 (reported by Mikael Carlsson, fix suggested by
	  Walter Doekes, patch by me)

2011-08-31 18:50 +0000 [r334156]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Disable T.38 when we get a invite with image
	  media port set to 0 ASTERISK-17678

2011-08-31 15:57 +0000 [r334009-334012]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: No DAHDI channel available for conference,
	  user introduction disabled. The following error will consistently
	  occur when trying to dial into a MeetMe conference when the
	  server does not have DAHDI hardware installed: app_meetme.c: No
	  DAHDI channel available for conference, user introduction
	  disabled (is chan_dahdi loaded?) While chan_dahdi is loaded
	  correctly during compilation and install of Asterisk/Dahdi,
	  including associated modules, etc., a chan_dahdi.conf
	  configuration file in /etc/asterisk is not created by FreePBX if
	  hardware does not exist, causing MeetMe to be unable to open a
	  DAHDI pseudo channel. * Allow chan_dahdi to create a pseudo
	  channel when there is no chan_dahdi.conf file to load. (closes
	  issue ASTERISK-17398) Reported by: Preston Edwards Patches:
	  jira_asterisk_17398_v1.8.patch (license #5621) patch uploaded by
	  rmudgett Tested by: rmudgett

	* main/channel.c, channels/chan_agent.c: Call pickup race leaves
	  orphaned channels or crashes. Multiple users attempting to pickup
	  a call that has been forked to multiple extensions either crashes
	  or fails a masquerade with a "bad things may happen" message.
	  This is the scenario that is causing all the grief: 1) Pickup
	  target is selected 2) target is marked as being picked up in
	  ast_do_pickup() 3) target is unlocked by ast_do_pickup() 4) app
	  dial or queue gets a chance to hang up losing calls and calls
	  ast_hangup() on target 5) SINCE A MASQUERADE HAS NOT BEEN SETUP
	  YET BY ast_do_pickup() with ast_channel_masquerade(),
	  ast_hangup() completes successfully and the channel is no longer
	  in the channels container. 6) ast_do_pickup() then calls
	  ast_channel_masquerade() to schedule the masquerade on the dead
	  channel. 7) ast_do_pickup() then calls ast_do_masquerade() on the
	  dead channel 8) bad things happen while doing the masquerade and
	  in the process ast_do_masquerade() puts the dead channel back
	  into the channels container 9) The "orphaned" channel is visible
	  in the channels list if a crash does not happen. This patch does
	  the following: * Made ast_hangup() set AST_FLAG_ZOMBIE on a
	  successfully hung-up channel and not release the channel lock
	  until that has happened. * Made __ast_channel_masquerade() not
	  setup a masquerade if either channel has AST_FLAG_ZOMBIE set. *
	  Fix chan_agent misuse of AST_FLAG_ZOMBIE since it would no longer
	  work. (closes issue ASTERISK-18222) Reported by: Alec Davis
	  Tested by: rmudgett, Alec Davis, irroot, Karsten Wemheuer (closes
	  issue ASTERISK-18273) Reported by: Karsten Wemheuer Tested by:
	  rmudgett, Alec Davis, irroot, Karsten Wemheuer Review:
	  https://reviewboard.asterisk.org/r/1400/

2011-08-31 15:18 +0000 [r334006]  Kinsey Moore <kmoore@digium.com>

	* channels/chan_sip.c: Correct an AMI protocol violation with
	  SIPshowpeer The response of SIPshowpeer ends with "\r\n\r\n".
	  Since other commands are ended by using \r\n this confuses any
	  interfacing script. (closes issue ASTERISK-17486)

2011-08-30 21:16 +0000 [r333947]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/oochannels.c, addons/ooh323c/src/ooq931.c,
	  addons/ooh323c/src/ooCalls.c, addons/ooh323c/src/ooh323.c,
	  addons/ooh323c/src/ooGkClient.c, addons/ooh323c/src/ooCalls.h:
	  cleanups in ACF/ARJ GK replies processing fixed long (24 sec)
	  pause if acf/arj proccessed before ast_cond_wait called to wait
	  this

2011-08-29 21:38 +0000 [r333836]  Terry Wilson <twilson@digium.com>

	* channels/chan_sip.c: Refresh peer address if DNS unavailable at
	  peer creation If Asterisk starts and no DNS is available,
	  outbound registrations will fail indefinitely. This patch copies
	  the address from the sip_registry struct, which will be updated,
	  to the peer->addr when necessary. If dnsmgr is enabled, the
	  registration fails without the patch because even though the
	  address on the registry is updated via dnsmgr, the address is
	  just copied on the first try. Since we use ast_sockaddr_copy,
	  dnsmgr can't update the address that is copied to the sip_pvt or
	  peers. Closes issue ASTERISK-18000 Review:
	  https://reviewboard.asterisk.org/r/1335/

2011-08-29 21:06 +0000 [r333784-333785]  Richard Mudgett <rmudgett@digium.com>

	* include/asterisk/channel.h: Add some do not hold locks notes to
	  channel.h

	* addons/chan_mobile.c: Fix deadlock potential of
	  chan_mobile.c:mbl_ast_hangup().

2011-08-29 17:11 +0000 [r333630]  Matthew Jordan <mjordan@digium.com>

	* apps/app_voicemail.c: Fixed improperly formatted TestEvent AMI
	  message in app_voicemail

2011-08-29 15:55 +0000 [r333569]  Jonathan Rose <jrose@digium.com>

	* res/res_jabber.c: Accidental use of variable client->status
	  instead of client->state in from ASTERISK-18078 (issue
	  ASTERISK-18078)

2011-08-28 09:49 +0000 [r333507]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* channels/chan_vpb.cc: chan_vpb: remove unused variables (gcc4.6)
	  GCC 4.6 detects variables that get assined to, but never used
	  later. Also removes some remmed-out lines that become invalid.
	  (closes issue ASTERISK-18336) Signed-off-by: Tzafrir Cohen
	  (License #5035) <tzafrir.cohen@xorcom.com>,

2011-08-26 16:19 +0000 [r333378]  Jonathan Rose <jrose@digium.com>

	* res/res_jabber.c: [patch] Buddies are always auto-registered when
	  processing the roster Reporter said autoregister flag was ignored
	  for registering 'buddies' which had a subscription to us.
	  Verified that this was the case and observed how the patch
	  addressed this and made sure it didn't break anything. (closes
	  issue ASTERISK-14233) Reported by: Simon Arlott Patches:
	  asterisk-0015229.patch (license #5756) patch uploaded by Simon
	  Arlott Tested by: Jonathan Rose

2011-08-26 14:36 +0000 [r333339-333354]  Matthew Jordan <mjordan@digium.com>

	* apps/app_voicemail.c: Fixed incorrect pointer copy to structure
	  copy in revision 333339

	* apps/app_voicemail.c: Bug fixes for voicemail user emailsubject /
	  emailbody. This code change fixes a few issues with the voicemail
	  user override of emailbody and emailsubject, including escaping
	  the strings, potential memory leaks, and not overriding the
	  voicemail defaults. Revision 325877 fixed this for
	  ASTERISK-16795, but did not fix it for ASTERISK-16781. A
	  subsequent check-in prevented 325877 from being applied to 10.
	  This check-in resolves both issues, and applies the changes to
	  1.8, 10, and trunk. (closes issue ASTERISK-16781) Reported by:
	  Sebastien Couture Tested by: mjordan (closes issue
	  ASTERISK-16795) Reported by: mdeneen Tested by: mjordan Review:
	  https://reviewboard.asterisk.org/r/1374

2011-08-25 19:00 +0000 [r333267]  Jason Parker <jparker@digium.com>

	* Makefile: Fix for DESTDIR spaces patch.

2011-08-25 18:47 +0000 [r333265]  Jonathan Rose <jrose@digium.com>

	* res/res_jabber.c: Segfault when publishing device states via XMPP
	  and not connected When using publishing device state with
	  res_jabber, Asterisk will attempt to send a device state using
	  the unconnected client using iks_send_raw and crash. This patch
	  checks the validity of the connection before attempting to send
	  the device state. (closes issue ASTERISK-18078) Reported by:
	  Michael L. Young Patches:
	  res_jabber-segfault-pubsub-not-connected2.patch (license #5026)
	  patch uploaded by Michael L. Young Tested by: Jonathan Rose

2011-08-25 15:27 +0000 [r333201]  Jason Parker <jparker@digium.com>

	* makeopts.in, sounds/Makefile, Makefile, build_tools/mkpkgconfig,
	  configure, configure.ac: Fix installation into directories
	  containing spaces. This also vastly simplifies the logic in
	  sounds/Makefile (Closes issue ASTERISK-18290) Reported by: Paul
	  Belanger Review: https://reviewboard.asterisk.org/r/1379/

2011-08-23 18:14 +0000 [r333010]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c: Memory Leak in app_queue The patch that was
	  committed in the 1.6.x versions of Asterisk for ASTERISK-15862
	  actually fixed two issues. One was not applicable to 1.8 but the
	  other is. queue_leak.patch fixes the portion applicable to 1.8.
	  (closes issue ASTERISK-18265) Reported by: Fred Schroeder
	  Patches: queue_leak.patch (license #5049) patch uploaded by
	  mmichelson Tested by: Thomas Arimont

2011-08-23 18:11 +0000 [r333009]  Matthew Nicholson <mnicholson@digium.com>

	* UPGRADE.txt, configs/sip.conf.sample, CHANGES,
	  channels/sip/include/sip.h: default 'sipstorecause' to no We've
	  decided to disable this feature by default in future 1.8
	  versions. This would be an unexpected behavior change for anyone
	  depending on that SIP_CAUSE update in their dialplan. Please
	  refer to the asterisk-dev mailing list more information:
	  http://lists.digium.com/pipermail/asterisk-dev/2011-August/050626.html
	  (issue AST-580)

2011-08-22 22:11 +0000 [r332939-332945]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c, main/config.c, include/asterisk/config.h:
	  Revert previous commit. Not ready yet.

	* apps/app_queue.c, main/config.c, include/asterisk/config.h:
	  Signed

	* main/config.c: Minor code optimizations. * Simplify
	  ast_category_browse() logic for easier understanding. * Remove
	  dead code in ast_variable_delete() and simplify some of its
	  logic.

2011-08-22 19:41 +0000 [r332876]  Paul Belanger <pabelanger@digium.com>

	* channels/chan_gtalk.c: Revert previous commit It seems google is
	  still making changes to the protocol. (issue ASTERISK-18301)

2011-08-22 19:32 +0000 [r332874]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c: Reference leaks in app_queue. * Fixed
	  load_realtime_queue() leaking a queue reference when it
	  overwrites q when processing a realtime queue. (issue
	  ASTERISK-18265) * Make join_queue() unreference the queue
	  returned by load_realtime_queue() when it is done with the
	  pointer. The load_realtime_queue() returns a reference to the
	  just loaded realtime queue. * Fixed queues container reference
	  leak in queues_data_provider_get(). * queue_unref() should not
	  return q that was just unreferenced. * Made logic in
	  __queues_show() and queues_data_provider_get() when calling
	  load_realtime_queue() easier to understand.

2011-08-22 18:15 +0000 [r332817]  Matthew Jordan <mjordan@digium.com>

	* main/app.c, configs/manager.conf.sample,
	  include/asterisk/manager.h, apps/app_voicemail.c,
	  include/asterisk/test.h, main/manager.c, main/file.c,
	  main/test.c: Review: https://reviewboard.asterisk.org/r/1364/
	  This update adds a new AMI event, TestEvent, which is enabled
	  when the TEST_FRAMEWORK compiler flag is defined. It also adds
	  initial usage of this event to app_voicemail. The TestEvent AMI
	  event is used extensively by the voicemail tests in the Asterisk
	  Test Suite.

2011-08-22 18:14 +0000 [r332759-332816]  Richard Mudgett <rmudgett@digium.com>

	* res/res_config_pgsql.c, res/res_config_odbc.c: Memory leaks in
	  realtime_multi_xxx() when database access returns error. * Fix
	  realtime_multi_pgsql() configuration memory leak when the
	  database access returns an error. * Fix realtime_multi_odbc()
	  configuration category use after free when the database access
	  returns an error.

	* main/config.c: Memory leak reading realtime database variable
	  list. Calling ast_load_realtime() can leak the last list node if
	  the read list only contains empty variable value items. * Fixed
	  list filter loop in ast_load_realtime() to delete the list node
	  immediately instead of the next time through the loop. The next
	  time through the loop may not happen if the node to delete is the
	  last in the list. (issue ASTERISK-18277) (issue ASTERISK-18265)
	  Patches: jira_asterisk_18265_v1.8_config.patch (license #5621)
	  patch uploaded by rmudgett

2011-08-21 14:31 +0000 [r332699]  Paul Belanger <pabelanger@digium.com>

	* channels/chan_gtalk.c: Fix outgoing calls in chan_gtalk (closes
	  issue ASTERISK-18301) Reported by: az1324

2011-08-18 21:26 +0000 [r332559]  Terry Wilson <twilson@digium.com>

	* main/netsock2.c: Fix possible error on stringification of
	  IPv4-mapped addrs The FreeBSD netsock2 test has been failing for
	  a while. We were pasing sa->len to getnameinfo instead of
	  sa_tmp->len. ASTERISK-18289

2011-08-18 19:28 +0000 [r332503]  Kinsey Moore <kmoore@digium.com>

	* channels/chan_dahdi.c: CRC4 in "dahdi show status" gives wrong
	  impression to T1 users Change CRC4 to CRC in the output of "dahdi
	  show status" so that it can apply in more situations without
	  confusing users, especially since T1 lines use CRC6 instead of
	  CRC4. (closes issue AST-471)

2011-08-18 14:46 +0000 [r332355-332446]  Tilghman Lesher <tilghman@meg.abyt.es>

	* build_tools/cflags.xml, build_tools/cflags-devmode.xml: Move
	  BETTER_BACKTRACES out of development mode, as it's useful when
	  DEBUG_THREADS is enabled.

	* makeopts.in, sounds/Makefile, Makefile, agi/Makefile,
	  utils/Makefile, configure, include/asterisk/autoconfig.h.in,
	  configure.ac, Makefile.moddir_rules: Re-add support for spaces in
	  pathnames, including now spaces in DESTDIR. This was initially
	  added to 1.8 prior to release, primarily to support the standard
	  paths on Mac OS X, but was partially reverted recently in
	  Subversion, due to the lack of support for spaces in DESTDIR.
	  This commit restores support for the standard paths on Mac OS X,
	  and also includes support for spaces in DESTDIR. (closes issue
	  ASTERISK-18290) Reported by: pabelanger Review:
	  https://reviewboard.asterisk.org/r/1326/

2011-08-17 17:35 +0000 [r332320]  Terry Wilson <twilson@digium.com>

	* res/res_timing_timerfd.c: Don't read from a disarmed or invalid
	  timerfd Numerous isues have been reported for deadlocks that are
	  caused by a blocking read in res_timing_timerfd on a file
	  descriptor that will never be written to. This patch adds some
	  checks to make sure that the timerfd is both valid and armed
	  before calling read(). Should fix: ASTERISK-1842, ASTERISK-18197,
	  ASTERISK-18166, AST-486 AST-495, AST-507 and possibly others.

2011-08-17 15:51 +0000 [r332264]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/sig_pri.h, channels/chan_dahdi.c,
	  configs/chan_dahdi.conf.sample, configure,
	  include/asterisk/autoconfig.h.in, configure.ac: Outgoing BRI
	  calls fail when using Asterisk 1.8 with HA8, HB8, and B410P
	  cards. France Telecom brings layer 2 and layer 1 down on BRI
	  lines when the line is idle. When layer 1 goes down Asterisk
	  cannot make outgoing calls and the HA8 and HB8 cards also get IRQ
	  misses. The inability to make outgoing calls is because the line
	  is in red alarm and Asterisk will not make calls over a line it
	  considers unavailable. The IRQ misses for the HA8 and HB8 card
	  are because the hardware is switching clock sources from the line
	  which just brought layer 1 down to internal timing. There is a
	  DAHDI option for the B410P card to not tell Asterisk that layer 1
	  went down so Asterisk will allow outgoing calls: "modprobe
	  wcb4xxp teignored=1". There is a similar DAHDI option for the HA8
	  and HB8 cards: "modprobe wctdm24xxp bri_teignored=1".
	  Unfortunately that will not clear up the IRQ misses when the
	  telco brings layer 1 down. * Add layer 2 persistence option to
	  customize the layer 2 behavior on BRI PTMP lines. The new option
	  has three settings: 1) Use libpri default layer 2 setting. 2)
	  Keep layer 2 up. Bring layer 2 back up when the peer brings it
	  down. 3) Leave layer 2 down when the peer brings it down. Layer 2
	  will be brought up as needed for outgoing calls. JIRA AST-598

2011-08-17 14:31 +0000 [r332234]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: print a warning instructing the user to
	  disable storesipcause if we process 100 or more scheduler entries
	  at a time AST-580

2011-08-16 20:10 +0000 [r332176]  Paul Belanger <pabelanger@digium.com>

	* tests/test_db.c, tests/test_linkedlists.c, tests/test_sched.c,
	  tests/test_netsock2.c, tests/test_strings.c, tests/test_pbx.c,
	  tests/test_func_file.c, tests/test_security_events.c,
	  tests/test_stringfields.c, tests/test_time.c, tests/test_skel.c,
	  tests/test_locale.c, tests/test_acl.c, tests/test_devicestate.c,
	  tests/test_utils.c, tests/test_aoc.c, tests/test_astobj2.c,
	  tests/test_poll.c, tests/test_amihooks.c,
	  tests/test_substitution.c, tests/test_heap.c,
	  tests/test_ast_format_str_reduce.c, tests/test_expr.c,
	  tests/test_logger.c, tests/test_gosub.c, tests/test_app.c,
	  tests/test_dlinklists.c, tests/test_event.c: Flag test modules as
	  'core' Review: https://reviewboard.asterisk.org/r/1369/

2011-08-16 17:38 +0000 [r332118]  Jonathan Rose <jrose@digium.com>

	* channels/chan_sip.c: ASTERISK-18067 ASTERISK-15479 - White Space
	  affects mailbox value, multiple MWI subs Before, having multiple
	  subscriptions to mailboxes on a sip peer set via the mailbox
	  setting in sip.conf would only result in updates being sent on
	  whichever mailbox triggered the mwi event. Now all of them get
	  counted regardless. Also fixes a bug involving parsing of the
	  mailbox option in sip.conf so that trailing and leading spaces
	  before/after commas are trimmed. (closes issue ASTERISK-18067)
	  Reported by: aragon (closes issue ASTERISK-15479) Reported by:
	  Ben Winslow Patches:
	  chan_sip.c-mwi_multi_mailbox_fix-1.6.2.13.diff (License #5288)
	  patch uploaded by Ben Winslow

2011-08-16 16:31 +0000 [r332100]  Richard Mudgett <rmudgett@digium.com>

	* CHANGES, configs/features.conf.sample, main/asterisk.c,
	  main/features.c: Fix multiple parking issues. JIRA ASTERISK-17183
	  Multi-parkinglot directs calls to wrong parkinglot. JIRA
	  ASTERISK-17870 Cannot retrieve parked calls. JIRA ASTERISK-17430
	  ParkedCall() with no extension should pickup first available call
	  and does not. JIRA AST-576 Issues with parking lots * Removed
	  searching for parking lots by extension. Parking lots can only be
	  found by the parking lot name since parking lot access extensions
	  and spaces are not guaranteed to be unique. * Added
	  parking_lot_name option to the Park and ParkedCall applications.
	  Updated documentation for Park and ParkedCall applications. * Add
	  parkext_exclusive configuration option to make parking entry
	  extensions specify which parking lot they access. (closes issue
	  ASTERISK-17183) Reported by: David Cabrejos Tested by: rmudgett,
	  David Cabrejos (closes issue ASTERISK-17870) Reported by: Remi
	  Quezada (closes issue ASTERISK-17430) Reported by: Philippe
	  Lindheimer JIRA ASTERISK-17452 Parking_offset not used JIRA
	  AST-624 'next' setting for findslot does nothing * Reimplemented
	  since findslot feature option broken by -r114655. (closes issue
	  ASTERISK-17452) Reported by: David Woolley Tested by: rmudgett
	  JIRA ASTERISK-15792 Dialplan continues execution after transfer
	  to park. This happens for DTMF attended transfer, DTMF blind
	  transfer, and DTMF one-touch-parking if the party initiating
	  these features also initiated the call. * Fixed the return code
	  from the affected builtin features when parking a call. (closes
	  issue ASTERISK-15792) Reported by: Mat Murdock Tested by:
	  rmudgett, twilson JIRA AST-607 The courtesytone is not playing to
	  the expected call when picking up a parked call. This is mostly a
	  documentation problem. However, the option is not reset to the
	  default when features.conf is reloaded. * Updated
	  features.conf.sample documentation for courtesytone and
	  parkedplay options. * Reset the parkedplay option to default when
	  features.conf is reloaded. JIRA AST-615 AMI Park action followed
	  by features reload results in orphaned channels in parking lot. *
	  Reloading features.conf will not touch parking lots that have
	  calls still parked in them. Reload again at a later time. Misc
	  additional fixes: * Added unit test for parking lot dialplan
	  usage checking. * Made update connected line when a parked call
	  is retrieved from a parking lot. * Made retrieved parked call
	  stop ringing or MOH depending upon how the call was waiting in
	  the parking lot. * Made CLI "features show" indicate if the
	  parking lot is enabled for use. * Added PARKINGDYNEXTEN channel
	  variable to allow dynamic parking lots to specify the parking lot
	  access extension. * Made AMI ParkedCalls action ParkedCall events
	  have a Parkinglot header. * Made AMI ParkedCalls action
	  ParkedCallsComplete event have a Total header. * Fixed potential
	  deadlock from AMI Park action holding channel locks while calling
	  masq_park_call(). * Fixed several places where ast_strdupa() were
	  used inside of loops. (Mostly fixed by refactoring the loop body
	  into its own function.) * Fixed copy_parkinglot() copying too
	  much from the source parking lot. Extracted the parking lot
	  configuration settings into struct parkinglot_cfg. * Refactored
	  courtesytone playing code to put the channel not playing the tone
	  in autoservice. * Fix when pbx-parkingfailed is played that the
	  other channel is put in autoservice if it exists. * Fixed
	  parkinglot reference leak in parked_call_exec() error paths. *
	  Fixed parkinglot_unref() use of parkinglot after it was unreffed.
	  * Made destroy the struct ast_parkinglot parkings lock when done.
	  * Refactored the features.conf parking lot configuration code to
	  eliminate redundancy. * Fixed feature reload to better protect
	  parking lots. * Fixed parking lot container reference leak in
	  handle_parkedcalls(). * Fixed the total count in
	  handle_parkedcalls(). Review:
	  https://reviewboard.asterisk.org/r/1358/

2011-08-16 15:06 +0000 [r332021-332026]  Matthew Nicholson <mnicholson@digium.com>

	* channels/sip/include/sip.h, channels/chan_sip.c: use
	  DEFAULT_STORE_SIP_CAUSE to set the default value for the
	  'storesipcause' option AST-580

	* configs/sip.conf.sample, CHANGES, channels/chan_sip.c: Added the
	  'storesipcause' option to sip.conf to allow the user to disable
	  the setting of HASH(SIP_CAUSE,<chan name>) on the channel. Having
	  chan_sip set HASH(SIP_CAUSE,<chan name>) on the channel carries a
	  significant performance penalty because of the usage of the
	  MASTER_CHANNEL() dialplan function. AST-580

2011-08-15 17:24 +0000 [r331955]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Fix some minor chan_dahdi config load
	  issues. * Address chan_dahdi.conf dahdichan option todo item
	  about needing line number. * Make ignore_failed_channels option
	  also apply to dahdichan option. * Don't attempt to create a
	  default pseudo channel if the chan_dahdi.conf channel/channels
	  option is not allowed. * Add a similar check for dahdichan in
	  normal chan_dahdi.conf sections as is done in users.conf.

2011-08-15 15:21 +0000 [r331886]  Paul Belanger <pabelanger@digium.com>

	* main/rtp_engine.c: Fix noisy message when briding channels
	  (closes issue ASTERISK-18270) Reported by: Federico Alves

2011-08-15 15:12 +0000 [r331867]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: Fixes locking inversion issues present in
	  the handling of the sip REFER method. (closes issue
	  ASTERISK-18082) Reported by: James Van Vleet

2011-08-12 19:01 +0000 [r331774]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_queue.c: Unlock the channel before calling update_queue.
	  Holding the channel lock when calling update_queue which attempts
	  to lock the queue lock can cause a deadlock. This deadlock
	  involves the following chain: 1. hold chan lock -> wait queue
	  lock 2. hold queue lock -> wait agent list lock 3. hold agent
	  list lock -> wait chan list lock 4. hold chan list lock -> wait
	  chan lock

2011-08-12 18:58 +0000 [r331714-331771]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Suppress warning message when using
	  DAHDITransfer or DAHDIHangup. * The fake event should only be
	  processed by the channel that currently owns the private and not
	  the associated call waiting or 3-way channel. JIRA AST-620 JIRA
	  SWP-3616

	* channels/chan_dahdi.c: AMI actions DAHDIHangup and DAHDITransfer
	  have no effect. The AMI actions DAHDIHangup and DAHDITransfer
	  have no effect on a DAHDI channel. These two AMI actions are
	  highly specialized to analog channels and appear to make the
	  channel behave like a jack port for headsets. * Made the faked
	  DAHDI event get processed before a normal media stream read in
	  dahdi_read() instead of trying to trigger an exception read by
	  setting the AST_FLAG_EXCEPTION flag. Apparently a change was made
	  long ago that changed how AST_FLAG_EXCEPTION is processed in the
	  core. Unfortunately, the faked DAHDI events no longer worked when
	  that happened. * Updated the DAHDI AMI action documentation for
	  the following actions: DAHDITransfer, DAHDIHangup,
	  DAHDIDialOffhook, DAHDIDNDon, DAHDIDNDoff, DAHDIShowChannels, and
	  DAHDIRestart. * Made use sscanf() instead of atoi() for better
	  error checking of the DAHDIChannel header string. JIRA AST-620
	  JIRA SWP-3616

2011-08-12 16:30 +0000 [r331658]  Terry Wilson <twilson@digium.com>

	* tests/test_netsock2.c: Fix netsock2 multiple zero-expansion test
	  Remove erroneous single bracket.

2011-08-12 16:20 +0000 [r331649]  Kinsey Moore <kmoore@digium.com>

	* main/logger.c: Logger does not warn of failure to open logging
	  channels Currently, logger only prints an error message to stderr
	  when it fails to open a logger channel where many users will not
	  see it because the logger lock is held. The alternative provided
	  by this patch is to log the error to all attached consoles in the
	  hopes that it will be easier to see. Additionally, this patch
	  prevents the failed logger channel from being added to the list
	  where it would silently fail on each call to the Asterisk logger.
	  (closes issue ASTERISK-16231) Review:
	  https://reviewboard.asterisk.org/r/1338

2011-08-12 15:49 +0000 [r331635]  Jonathan Rose <jrose@digium.com>

	* apps/app_dial.c, apps/app_meetme.c: Fixes 32bit compilation
	  warnings brought on by 331634 in app_dial and app_meetme

2011-08-11 21:46 +0000 [r331578]  Jason Parker <jparker@digium.com>

	* apps/app_dial.c, apps/app_meetme.c: Use proper values for 64-bit
	  option flags. Also, reusing bits es no bueno, so change the value
	  of a duplicate. (issue ASTERISK-18239)

2011-08-11 21:39 +0000 [r331575]  Richard Mudgett <rmudgett@digium.com>

	* funcs/func_shell.c: Segfault in shell_helper in func_shell.c. The
	  return value of popen() was not checked for failure to open.
	  (closes issue ASTERISK-18109) JIRA SWP-3633 Reported by: Michael
	  Myles Tested by: rmudgett

2011-08-10 22:23 +0000 [r331517]  Kinsey Moore <kmoore@digium.com>

	* channels/chan_sip.c: SIP Notify via AMI or CLI leaks SIP PVTs Any
	  SIP notify sent via AMI or CLI leaks a SIP PVT with ref count +2.
	  Removing the additional ref just before the invite and adding an
	  unref following it corrects the issue as seen via REF_DEBUG. The
	  unref existed in a distant revision and it appears as though the
	  wrong ref operation was removed. (closes issue ASTERISK-18091)
	  Review: https://reviewboard.asterisk.org/r/1332/

2011-08-10 20:29 +0000 [r331461]  Richard Mudgett <rmudgett@digium.com>

	* main/logger.c: Output of queue log not started until logger
	  reloaded. ASTERISK-15863 caused a regression with queue logging.
	  The output of the queue log is not started until the logger
	  configuration is reloaded. * Queue log initialization is
	  completely delayed until the first message is posted to the queue
	  log system. Including the initial opening of the queue log file.
	  * Fixed rotate_file() ROTATE strategy to give the file just
	  rotated out to the configured exec function after rotate. Just
	  like the other strategies. * Fixed logger reload to always post
	  the queue reload entry instead of just if there is a queue log
	  file. * Refactored some code to eliminate some redundancy and to
	  reduce stack utilization. (closes issue ASTERISK-17036) JIRA
	  SWP-2952 Reported by: Juan Carlos Valero Patches:
	  jira_asterisk_17036_v1.8.patch (license #5621) patch uploaded by
	  rmudgett Tested by: rmudgett (closes issue ASTERISK-18208)
	  Reported by: Christian Pinedo Review:
	  https://reviewboard.asterisk.org/r/1333/

2011-08-31  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.6.0 Released.

2011-08-25  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.6.0-rc3 Released.

	------------------------------------------------------------------------
	r333201 | qwell | 2011-08-25 10:27:06 -0500 (Thu, 25 Aug 2011) | 8 lines

	Fix installation into directories containing spaces.

	This also vastly simplifies the logic in sounds/Makefile

	(Closes issue ASTERISK-18290)
	Reported by: Paul Belanger
	Review: https://reviewboard.asterisk.org/r/1379/
	------------------------------------------------------------------------

2011-08-22  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.6.0-rc2 Released.

	------------------------------------------------------------------------
	r331575 | rmudgett | 2011-08-11 16:39:58 -0500 (Thu, 11 Aug 2011) | 9 lines

	Segfault in shell_helper in func_shell.c.

	The return value of popen() was not checked for failure to open.

	(closes issue ASTERISK-18109)
	JIRA SWP-3633
	Reported by: Michael Myles
	Tested by: rmudgett
	------------------------------------------------------------------------
	r332355 | tilghman | 2011-08-17 14:21:36 -0500 (Wed, 17 Aug 2011) | 13 lines

	Re-add support for spaces in pathnames, including now spaces in DESTDIR.

	This was initially added to 1.8 prior to release, primarily to support the
	standard paths on Mac OS X, but was partially reverted recently in Subversion,
	due to the lack of support for spaces in DESTDIR.  This commit restores support
	for the standard paths on Mac OS X, and also includes support for spaces in
	DESTDIR.

	(closes issue ASTERISK-18290)
	Reported by: pabelanger

	Review: https://reviewboard.asterisk.org/r/1326/
	------------------------------------------------------------------------
	r332559 | twilson | 2011-08-18 16:26:01 -0500 (Thu, 18 Aug 2011) | 7 lines

	Fix possible error on stringification of IPv4-mapped addrs

	The FreeBSD netsock2 test has been failing for a while. We were
	pasing sa->len to getnameinfo instead of sa_tmp->len.

	ASTERISK-18289
	------------------------------------------------------------------------

2011-08-10  Asterisk Development Team <asteriskteam@digium.com>

	* Asterisk 1.8.6.0-rc1 Released.

2011-08-10 13:47 +0000 [r331315]  Kinsey Moore <kmoore@digium.com>

	* main/manager.c: AMI action ModuleReload returns Error if Module:
	  missing or empty An empty string was not being checked for
	  properly causing identification of the module to be reloaded to
	  fail and return an Error with message "No such module." (closes
	  issue AST-616)

2011-08-09 22:12 +0000 [r331248]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_iax2.c, apps/app_parkandannounce.c, main/pbx.c,
	  channels/chan_sip.c, main/features.c: Misc minor items found in
	  code. * Add some reentrancy protection in pbx.c when creating the
	  contexts_table hash table. * Fix inverted test in chan_sip.c
	  conditional code. * Fix uninitialized variable and use of the
	  wrong variable in chan_iax2.c. * Fix test of return value in
	  app_parkandannounce.c. Explicitly testing for -1 is bad if the
	  function does not actually return that value when it fails. *
	  Fixup some comments and add some curly braces in features.c.

2011-08-09 16:13 +0000 [r331146]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooLogChan.c, addons/ooh323c/src/ooGkClient.c,
	  addons/chan_ooh323.c: move ast_cond_signal for admitted call
	  after all data filled/freed clear all log channels by pointed
	  number not only first free allocated callToken in ooh323_answer

2011-08-09 15:58 +0000 [r331142]  Jason Parker <jparker@digium.com>

	* doc/asterisk.8: Regenerate asterisk man page from sgml.

2011-08-08 20:52 +0000 [r331038]  Kinsey Moore <kmoore@digium.com>

	* res/res_musiconhold.c: In-queue MOH stops after a periodic
	  announcement If the seek value is past the end of file when
	  resuming G.722 MOH, MOH will cease to function for the duration
	  of the MOH session through all starts and stops until saved state
	  is cleared. Adjusting the code to guarantee a single valid read
	  (which is already assumed) fixes the bug. (closes issue
	  ASTERISK-18077) Review: https://reviewboard.asterisk.org/r/1328/
	  Tested-by: Jonathan Rose <jrose@digium.com>

2011-08-04 20:29 +0000 [r330843]  Terry Wilson <twilson@digium.com>

	* configure, configure.ac: Make libsrtp instructions more explicit
	  when linking fails (closes issue ASTERISK-18139)

2011-08-04 19:37 +0000 [r330827]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooCmdChannel.c,
	  addons/ooh323c/src/ooGkClient.c: change gk client behaivour on
	  rrq/grq failures to setup timers and next tries after timeout
	  instead of complete failure in the ooh323 stack

2011-08-03 15:14 +0000 [r330705-330762]  Kinsey Moore <kmoore@digium.com>

	* main/Makefile: editing files in main/editline does not ensure
	  rebuild of libedit.a When editing a source file in main/editline,
	  the build system does not rebuild libedit.a and uses the already
	  existing one instead. Adding a PHONY to CHECK_SUBDIR fixes this
	  problem. (closes issue ASTERISK-16221) Patch-by: Walter Doekes

	* channels/chan_dahdi.c, channels/sig_analog.c: Call pickup broken
	  for DAHDI channels when beginning with # The call pickup feature
	  did not work on DAHDI devices for anything other than feature
	  codes beginning with * since all feature codes in chan_dahdi were
	  originally hard-coded to begin with *. This patch is also applied
	  to chan_dahdi.c to fix this bug with radio modes. (closes issue
	  AST-621) Review: https://reviewboard.asterisk.org/r/1336/

2011-08-02 20:51 +0000 [r330648]  Kevin P. Fleming <kpfleming@digium.com>

	* res/res_jabber.c: Convert an error message to actually be
	  helpful.

2011-08-02 16:15 +0000 [r330575-330581]  David Vossel <dvossel@digium.com>

	* channels/chan_iax2.c: Fixes crash in chan_iax2. Fixes crash in
	  chan_iax2 resulting from an edge case in the way control frames
	  are queued during calltoken negotiation is complete. (closes
	  issue ASTERISK-17610) Reported by: mgrobecker

	* channels/chan_sip.c: Optimization to buffer initialization fix.

	* channels/chan_sip.c: Fixes uninitialized string buffer in log
	  message. (closes issue ASTERISK-17200) Reported by: lmadsen

2011-08-01 15:22 +0000 [r330433]  Kinsey Moore <kmoore@digium.com>

	* main/say.c: Incorrect playback for Spanish in some circumstances
	  When you say the time in spanish and it is 01:00 - 01:59 or 13:00
	  - 13:59 you must use female pronunciation "1F". The function
	  "say_date_with_format_es" does not take this in account. (closes
	  ASTERISK-15016) Patch-by: Luis Jimenez

2011-07-30 23:56 +0000 [r330368]  Richard Mudgett <rmudgett@digium.com>

	* main/channel.c: Remove some redundant locking code in
	  ast_do_masquerade(). Also updated some comments.

2011-07-30 15:25 +0000 [r330311]  Gregory Nietsky <gregory@distrotech.co.za>

	* main/channel.c: prevent double masqurading channels when one is
	  been hung up and deadlock avoidance is used. There is a race
	  condition in ast_do_masquerade / ast_hangup (at least) Reported
	  by me signed off by schmidts with input from David Vossel Review:
	  https://reviewboard.asterisk.org/r/1323/

2011-07-29 17:18 +0000 [r330203-330213]  Sean Bright <sean@malleable.com>

	* formats/format_wav.c: Correct the check for O_RDONLY.

	* formats/format_wav.c: Only write to wav files that were opened to
	  be written to.

2011-07-28 21:42 +0000 [r330107]  Terry Wilson <twilson@digium.com>

	* main/term.c: Make console colors work for TERM=xterm-256color

2011-07-28 17:04 +0000 [r330050]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c: Merged revisions 330033 from
	  https://origsvn.digium.com/svn/asterisk/be/branches/C.3-bier
	  .......... r330033 | rmudgett | 2011-07-28 11:26:38 -0500 (Thu,
	  28 Jul 2011) | 15 lines Datacalls with B410P fail. Incoming and
	  outgoing call legs of a data call are using different formats:
	  a-law, u-law. When the call is bridged, the media stream is run
	  through translation to convert the media formats. The translation
	  is bad for data calls. * Make incoming call that does not
	  explicitly specify u-law or a-law use the DAHDI channel's default
	  law. The outgoing call always uses the default law from the DAHDI
	  channel. (closes issue ABE-2800) Patches:
	  jira_abe_2800_companding.patch (license #5621) patch uploaded by
	  rmudgett ..........

2011-07-28 15:45 +0000 [r329994]  Jason Parker <jparker@digium.com>

	* channels/chan_sip.c: Fix a SIP transfer deadlock. The locking in
	  this function is very scary. There are like 6 structs involved.
	  (closes issue AST-470)

2011-07-28 15:26 +0000 [r329991]  Matthew Nicholson <mnicholson@digium.com>

	* res/res_fax.c: check for CONFIG_STATUS_FILE_INVALID when loading
	  the res_fax config file Patch by: tzafrir Reported by: tzafrir
	  (closes issue ASTERISK-18161)

2011-07-28 11:34 +0000 [r329895]  Sean Bright <sean@malleable.com>

	* channels/chan_sip.c: Make the output of Externhost in 'sip show
	  settings' more consistent.

2011-07-27 19:27 +0000 [r329782]  Leif Madsen <lmadsen@digium.com>

	* apps/app_confbridge.c: Change support for ConfBridge() in 1.8 to
	  Extended.

2011-07-27 19:17 +0000 [r329767]  Sean Bright <sean@malleable.com>

	* Makefile.moddir_rules: Explicitly sort the module list so that
	  the menuselect lists are sorted. (closes issue ASTERISK-18141)
	  Reported by: Richard Miller Patches: sort-order.diff uploaded by
	  seanbright (License #5060) Tested by: leifmadsen

2011-07-27 18:10 +0000 [r329709]  Jonathan Rose <jrose@digium.com>

	* configs/indications.conf.sample: Fix New Zealand indications
	  profile based on http://www.telepermit.co.nz/TNA102.pdf (closes
	  issue ASTERISK-16263) Reported by: richardf Patches:
	  nz-indications.patch uploaded by richardf (License #6015)

2011-07-27 04:23 +0000 [r329613]  Tilghman Lesher <tilghman@meg.abyt.es>

	* cdr/cdr_odbc.c: Duration and billsec are swapped in high
	  resolution time. Closes ASTERISK-18024 Patches:
	  20110726__ASTERISK-18024.diff by Tilghman Lesher (License 5003)

2011-07-26 14:04 +0000 [r329527-329529]  Jonathan Rose <jrose@digium.com>

	* apps/app_voicemail.c: Changes sound file for prepend
	  "then-press-pound" to "vm-then-pound" which is the same prompt,
	  only it turned out "then-press-pound" was part of extra sounds.
	  Also, vm is more appropriate anyway.

	* main/app.c, apps/app_voicemail.c, include/asterisk/app.h,
	  configs/voicemail.conf.sample: Fixes some voicemail forwarding
	  behavior based around prepend mode. Formerly, prepend forwarding
	  would have the user record a message with no useful prompt and an
	  expectation for the user to push a button on the phone when
	  finished recording. If a length of silence was detected instead,
	  the recording would be canceled and the user would re-enter the
	  voicemail forwarding menu. Subsequent time-outs in prepend
	  recording would also bug out in the sense that they would write
	  over the original message and get sent to the recipient
	  regardless of whether they timed out or were accepted. This patch
	  fixes this issue and adds a prompt which will be played after a
	  timeout informing the user that they needed to press a button.
	  Currently, the sound files that we have are somewhat inadquate
	  for this, so after the call we simply have Allison say "Please
	  try again. Then press pound." which actually relies on two
	  separate sound files. Just one would be more appropriate.
	  reporter: Vlad Povorozniuc Review:
	  https://reviewboard.asterisk.org/r/1327/

2011-07-25 19:49 +0000 [r329471]  Paul Belanger <pabelanger@digium.com>

	* main/enum.c: Decrease verbose messages to debug, to help clean up
	  CLI.

2011-07-22 21:10 +0000 [r329144-329333]  Richard Mudgett <rmudgett@digium.com>

	* main/pbx.c: Fix memory leak in an allocation error path of
	  handle_statechange(). * Make use buffer accessor function in
	  handle_statechange() rather than directly accessing the struct
	  member. * Make use less redundant loop construct for iterating
	  over hints.

	* main/pbx.c: Deadlocks dealing with dialplan hints during reload.
	  There are two remaining different deadlocks reported dealing with
	  dialplan hints. The deadlock in ASTERISK-17666 is caused by
	  invalid locking order in ast_remove_hint(). The hints container
	  must be locked before the hint object. The deadlock in
	  ASTERISK-17760 is caused by a catch-22 situation in
	  handle_statechange(). The deadlock is caused by not having the
	  conlock before calling the watcher callbacks. Unfortunately,
	  having that lock causes a different deadlock as reported in
	  ASTERISK-16961. * Fixed ast_remove_hint() locking order. * Made
	  handle_statechange() no longer call the watcher callbacks holding
	  any locks that matter. * Made hint ao2 destructor do the watcher
	  callbacks for extension deactivation to guarantee that they get
	  called. * Fixed hint reference leak in ast_add_hint() if the
	  callback container constructor failed. * Fixed hint reference
	  leak in complete_core_show_hint() for every hint it found for CLI
	  tab completion. * Adjusted locking in
	  ast_merge_contexts_and_delete() for safety. * Added
	  context_merge_lock to prevent ast_merge_contexts_and_delete() and
	  handle_statechange() from interfering with each other. * Fixed
	  ast_change_hint() not taking into account that the extension is
	  used for the hash key. (closes issue ASTERISK-17666) Reported by:
	  irroot Tested by: irroot JIRA SWP-3318 (closes issue
	  ASTERISK-17760) Reported by: Byron Clark Tested by: irroot JIRA
	  SWP-3393 Review: https://reviewboard.asterisk.org/r/1313/

	* channels/chan_dahdi.c, configs/chan_dahdi.conf.sample: Document
	  parkinglot in chan_dahdi.conf.sample. * Document existing feature
	  in chan_dahdi.conf.sample. * Remove some dead code related to the
	  parkinglot option.

	* apps/app_directed_pickup.c: Update PickupChan documentation. The
	  PickupChan uses the ampersand as the argument separator. Was
	  documented as: PickupChan(channel[,channel2[,...][,options]])
	  Fixed documentation to:
	  PickupChan(Technology/Resource[&Technology2/Resource2[&...]][,options])
	  This is a continuation of ASTERISK-17494 for v1.8 and later.
	  (closes issue ASTERISK-18144) Reported by: Erik Smith Patches:
	  pickupchan_ducumentation-v2.patch (License #6263) patch uploaded
	  by Erik Smith Tested by: Erik Smith

	* main/features.c: Dialplan bridge() app mutex 'current_dest_chan'
	  freed more times than we've locked! This appears to be a leftover
	  from when ast_channel was converted to ao2 objects. Simply
	  removed the extraneous unlock. (closes issue ASTERISK-17772)

2011-07-20 21:20 +0000 [r329027]  Paul Belanger <pabelanger@digium.com>

	* UPGRADE.txt: Asterisk now requires libpri 1.4.11+ for PRI
	  support.

2011-07-20 20:52 +0000 [r329012]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/sig_pri.h, channels/chan_dahdi.c:
	  Backport useful CLI "pri show channels" command to v1.8. The "pri
	  show channels" command is useful for debuging to see if there are
	  any stuck B channels. .......... r307964 | rmudgett | 2011-02-15
	  15:42:55 -0600 (Tue, 15 Feb 2011) | 9 lines Add CLI "pri show
	  channels" command. List the current mapping of DAHDI B channels
	  to Asterisk channel names and which calls are on hold or
	  call-waiting. Calls on hold or call-waiting are not associated
	  with any B channel. JIRA LIBPRI-27 JIRA SWP-2547 ..........
	  r308205 | rmudgett | 2011-02-17 14:21:56 -0600 (Thu, 17 Feb 2011)
	  | 1 line Add more verbage to CLI command 'pri show channels'
	  usage. .......... r312579 | rmudgett | 2011-04-04 11:17:58 -0500
	  (Mon, 04 Apr 2011) | 59 lines Change also updates 'pri show
	  channels' command with the "chan idle" column to report if a
	  channel is available for use.

2011-07-20 20:16 +0000 [r328987]  Terry Wilson <twilson@digium.com>

	* tests/test_netsock2.c: We can't guarantee an eth0 is present
	  FreeBSD test fails on this case presumably because there is no
	  eth0 on the test machine. Better to just remove this test for
	  now.

2011-07-20 19:00 +0000 [r328935]  Kinsey Moore <kmoore@digium.com>

	* channels/chan_sip.c: Inband DTMF regression The functionality of
	  inband DTMF in chan_sip relied upon
	  ast_rtp_instance_dtmf_mode_get/set not working properly to avoid
	  calling ast_rtp_instance_dtmf_begin/end on RTP streams with
	  inband DTMF. According to documentation,
	  ast_rtp_instance_dtmf_begin/end is meant only for RFC2833 DTMF,
	  never inband. This fixes the regression introduced in revision
	  328823.

2011-07-19 21:29 +0000 [r328878]  Kevin P. Fleming <kpfleming@digium.com>

	* sounds/Makefile, Makefile, Makefile.moddir_rules: Revert partial
	  attempt at handling pathnames with spaces. Revision 299794
	  attempted to improve the build system to be able to handle
	  pathnames (primarily DESTDIR) with spaces in them, since this is
	  common on some platforms (including Mac OSX). Unfortunately, the
	  changes were incomplete and did not actually provide the desired
	  behavior, and as a side effect the functionality that ensured
	  that stale headers in the Asterisk 'include' directory were
	  removed got broken. In addition, the check for stale (and
	  possibly incompatible) modules in the Asterisk 'modules'
	  directory also got broken, and would never report any stale
	  modules. Users upgrading to this version or later versions would
	  then see unexpected module load errors. Since there are few users
	  who actually want to install Asterisk into paths that contain
	  spaces, and a proper fix for the build system would take many
	  hours, the best solution for now is to just revert the partial
	  solution.

2011-07-19 17:57 +0000 [r328770-328823]  Kinsey Moore <kmoore@digium.com>

	* include/asterisk/rtp_engine.h, res/res_rtp_asterisk.c,
	  main/rtp_engine.c, channels/chan_sip.c: RTP bridge away with
	  inband DTMF and feature detection When deciding whether Asterisk
	  was allowed to bridge the call away from the core, chan_sip did
	  not take into account the usage of features on dialed channels
	  that require monitoring of DTMF on channels utilizing inband
	  DTMF. This would cause Asterisk to allow the call to be locally
	  or remotely bridged, preventing access to the data required to
	  detect activations of such features. (closes 17237) Review:
	  https://reviewboard.asterisk.org/r/1302/

	* apps/app_meetme.c: MeetMe requests a PIN twice in some
	  circumstances If a call to MeetMe includes both the dynamic(D)
	  and always request PIN(P) options, MeetMe will ask for the PIN
	  two times: once for creating the conference and once for entering
	  the conference. This behavior was introduced in rev 311616 when
	  adding the CONFFLAG_ALWAYSPROMPT option to the logic branch
	  controlling PIN entry for joining a conference. (closes AST-601)
	  Review: https://reviewboard.asterisk.org/r/1305/

2011-07-19 01:35 +0000 [r328716]  Terry Wilson <twilson@digium.com>

	* tests/test_linkedlists.c (added), include/asterisk/linkedlists.h:
	  Make AST_LIST_REMOVE safer AST_LIST_REMOVE shouldn't modify the
	  element passed in if it isn't found. This commit also adds linked
	  list unit tests. Review: https://reviewboard.asterisk.org/r/1321/

2011-07-18 20:47 +0000 [r328593-328663]  Mark Murawki <markm@intellasoft.net>

	* apps/app_dial.c: app_dial may double free a channel datastore
	  When starting a call with originate, and having the callee
	  channel run Bridge() on pickup, we will double free the
	  dialed_interface_info datastore, causing a crash. Make sure to
	  check if the datastore still exists before trying to free it.
	  (closes issue ASTERISK-17917) Reported by: Mark Murawski Tested
	  by: Mark Murawski

	* channels/chan_sip.c: If the sip private structure is null,
	  sip_setoption() will defref the null pointer and crash. Ideally,
	  sip_setoption shouldn't be called if there is a lack of a sip
	  private structure. But this will fix a crash. (closes issue
	  ASTERISK-17909) Reported by: Mark Murawski Tested by: Mark
	  Murawski

	* main/asterisk.c: Fixed invalid read and null pointer deref on
	  asterisk shutdown. In some cases when starting asterisk with -c
	  and hitting control-c to shutdown, there will be an invalid read
	  and null pointer deref causing a crash. (closes issue
	  ASTERISK-17927) Reported by: Mark Murawski Tested by: Mark
	  Murawski, Kinsey Moore, Tilghman Lesher

2011-07-18 07:10 +0000 [r328540]  Tilghman Lesher <tilghman@meg.abyt.es>

	* funcs/func_odbc.c: Typo

2011-07-15 20:41 +0000 [r328446]  Leif Madsen <lmadsen@digium.com>

	* apps/app_macro.c, channels/chan_jingle.c, apps/app_dahdibarge.c,
	  apps/app_readfile.c, apps/app_setcallerid.c,
	  channels/chan_vpb.cc, apps/app_meetme.c, cdr/cdr_sqlite.c,
	  channels/chan_h323.c: Revert changes to defaultenabled state for
	  modules in Asterisk 1.8

2011-07-15 19:22 +0000 [r328427]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooGkClient.c: small gk processing fixes: -
	  decrease for 1 second registration ttl for very low expirations
	  (some providers expire few earlier than TTL) - delete rrq and
	  registration expire timers on URQ received as we make new
	  registration.

2011-07-14 23:12 +0000 [r328302]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Missing SIP pvt and channel unlock in
	  sip_set_rtp_peer(). Regression introduced by -r326144. Add
	  missing SIP pvt and channel unlock in sip_set_rtp_peer().

2011-07-14 20:13 +0000 [r328209]  Leif Madsen <lmadsen@digium.com>

	* apps/app_image.c, res/res_http_post.c, formats/format_wav_gsm.c,
	  utils/stereorize.c, pbx/pbx_loopback.c, funcs/func_shell.c,
	  main/features.c, channels/chan_alsa.c, apps/app_externalivr.c,
	  formats/format_jpeg.c, res/res_speech.c, formats/format_gsm.c,
	  apps/app_milliwatt.c, formats/format_g719.c,
	  apps/app_saycounted.c, apps/app_fax.c, apps/app_echo.c,
	  funcs/func_math.c, channels/chan_agent.c, apps/app_dahdiras.c,
	  utils/astman.c, res/res_ael_share.c, apps/app_transfer.c,
	  apps/app_playback.c, res/res_config_curl.c, funcs/func_curl.c,
	  apps/app_waitforring.c, channels/chan_misdn.c, tests/test_skel.c,
	  addons/cdr_mysql.c, codecs/codec_ilbc.c, apps/app_zapateller.c,
	  apps/app_chanspy.c, apps/app_cdr.c, tests/test_substitution.c,
	  funcs/func_md5.c, utils/muted.c, tests/test_gosub.c,
	  funcs/func_sysinfo.c, funcs/func_vmcount.c, funcs/func_sha1.c,
	  cdr/cdr_radius.c, formats/format_siren7.c,
	  apps/app_controlplayback.c, funcs/func_config.c, main/manager.c,
	  bridges/bridge_builtin_features.c, funcs/func_volume.c,
	  cdr/cdr_sqlite.c, funcs/func_aes.c, funcs/func_frame_trace.c,
	  tests/test_devicestate.c, res/res_agi.c, tests/test_astobj2.c,
	  apps/app_confbridge.c, apps/app_ivrdemo.c,
	  res/res_clioriginate.c, res/res_calendar_icalendar.c,
	  funcs/func_dialplan.c, funcs/func_db.c,
	  tests/test_ast_format_str_reduce.c, res/res_fax.c,
	  res/res_limit.c, apps/app_festival.c, apps/app_waitforsilence.c,
	  apps/app_waituntil.c, channels/chan_console.c,
	  apps/app_getcpeid.c, apps/app_queue.c, funcs/func_global.c,
	  funcs/func_extstate.c, channels/chan_usbradio.c,
	  apps/app_flash.c, codecs/codec_ulaw.c, channels/chan_nbs.c,
	  formats/format_g729.c, funcs/func_dialgroup.c, funcs/func_env.c,
	  res/res_timing_dahdi.c, funcs/func_strings.c,
	  res/res_calendar_caldav.c, apps/app_chanisavail.c,
	  formats/format_sln16.c, apps/app_ices.c, apps/app_exec.c,
	  bridges/bridge_multiplexed.c, cel/cel_odbc.c,
	  formats/format_pcm.c, pbx/pbx_ael.c, formats/format_h263.c,
	  cdr/cdr_manager.c, res/res_clialiases.c, funcs/func_sprintf.c,
	  tests/test_app.c, apps/app_softhangup.c, codecs/codec_g726.c,
	  apps/app_morsecode.c, utils/smsq.c, bridges/bridge_simple.c,
	  tests/test_sched.c, apps/app_talkdetect.c, apps/app_db.c,
	  res/res_calendar_ews.c, funcs/func_callcompletion.c,
	  tests/test_acl.c, funcs/func_cdr.c, utils/ael_main.c,
	  utils/streamplayer.c, res/res_calendar.c, cel/cel_radius.c,
	  channels/chan_vpb.cc, res/res_snmp.c, apps/app_dictate.c,
	  apps/app_authenticate.c, res/res_phoneprov.c, funcs/func_logic.c,
	  res/res_jabber.c, funcs/func_uri.c,
	  funcs/func_audiohookinherit.c, res/res_config_odbc.c,
	  funcs/func_odbc.c, res/res_realtime.c, codecs/codec_resample.c,
	  formats/format_h264.c, apps/app_rpt.c, channels/chan_mgcp.c,
	  tests/test_amihooks.c, codecs/codec_lpc10.c, channels/chan_sip.c,
	  cdr/cdr_syslog.c, funcs/func_lock.c, res/res_adsi.c,
	  utils/conf2ael.c, tests/test_pbx.c, apps/app_channelredirect.c,
	  formats/format_vox.c, res/res_stun_monitor.c, tests/test_aoc.c,
	  formats/format_g723.c, utils/extconf.c, tests/test_poll.c,
	  addons/chan_ooh323.c, cdr/cdr_sqlite3_custom.c,
	  funcs/func_module.c, apps/app_sayunixtime.c,
	  cdr/cdr_adaptive_odbc.c, res/res_smdi.c, tests/test_time.c,
	  apps/app_skel.c, funcs/func_srv.c, apps/app_amd.c,
	  pbx/pbx_realtime.c, apps/app_url.c, apps/app_dial.c,
	  apps/app_page.c, channels/chan_bridge.c, apps/app_privacy.c,
	  codecs/codec_speex.c, apps/app_disa.c, res/res_mutestream.c,
	  res/res_monitor.c, apps/app_macro.c, res/res_timing_kqueue.c,
	  res/res_fax_spandsp.c, channels/chan_unistim.c,
	  funcs/func_base64.c, addons/app_mysql.c,
	  channels/chan_multicast_rtp.c, apps/app_meetme.c,
	  utils/hashtest.c, res/res_musiconhold.c, apps/app_followme.c,
	  res/res_config_sqlite.c, cdr/cdr_csv.c,
	  tests/test_security_events.c, formats/format_ilbc.c,
	  funcs/func_enum.c, channels/chan_phone.c,
	  tests/test_stringfields.c, funcs/func_groupcount.c,
	  tests/test_locale.c, addons/chan_mobile.c, cdr/cdr_custom.c,
	  res/res_security_log.c, apps/app_parkandannounce.c,
	  apps/app_while.c, apps/app_jack.c, res/res_rtp_asterisk.c,
	  apps/app_nbscat.c, codecs/codec_a_mu.c, tests/test_dlinklists.c,
	  res/res_convert.c, pbx/pbx_lua.c, utils/astcanary.c,
	  channels/chan_oss.c, tests/test_strings.c, res/res_srtp.c,
	  cdr/cdr_tds.c, res/res_timing_pthread.c,
	  apps/app_directed_pickup.c, channels/chan_h323.c,
	  cel/cel_sqlite3_custom.c, apps/app_senddtmf.c,
	  funcs/func_callerid.c, addons/app_saycountpl.c, cel/cel_pgsql.c,
	  funcs/func_speex.c, apps/app_dahdibarge.c, channels/chan_local.c,
	  tests/test_logger.c, apps/app_record.c, apps/app_playtones.c,
	  bridges/bridge_softmix.c, apps/app_alarmreceiver.c,
	  channels/chan_iax2.c, res/res_pktccops.c,
	  res/res_rtp_multicast.c, channels/chan_dahdi.c, pbx/pbx_spool.c,
	  funcs/func_pitchshift.c, channels/chan_skinny.c,
	  apps/app_dumpchan.c, main/http.c, cdr/cdr_odbc.c,
	  utils/refcounter.c, res/res_calendar_exchange.c, res/res_ais.c,
	  codecs/codec_g722.c, tests/test_expr.c, funcs/func_timeout.c,
	  cel/cel_tds.c, formats/format_wav.c, formats/format_ogg_vorbis.c,
	  funcs/func_cut.c, apps/app_speech_utils.c, apps/app_sendtext.c,
	  funcs/func_channel.c, utils/hashtest2.c, pbx/pbx_config.c,
	  funcs/func_iconv.c, apps/app_mixmonitor.c, formats/format_g726.c,
	  res/res_odbc.c, apps/app_voicemail.c, tests/test_heap.c,
	  addons/format_mp3.c, formats/format_sln.c, apps/app_readexten.c,
	  apps/app_userevent.c, codecs/codec_gsm.c, channels/chan_gtalk.c,
	  cdr/cdr_pgsql.c, tests/test_func_file.c, apps/app_setcallerid.c,
	  apps/app_osplookup.c, cel/cel_manager.c, cel/cel_custom.c,
	  tests/test_utils.c, apps/app_minivm.c, apps/app_mp3.c,
	  res/res_timing_timerfd.c, apps/app_directory.c,
	  res/res_config_ldap.c, formats/format_siren14.c,
	  apps/app_adsiprog.c, res/res_config_pgsql.c, apps/app_read.c,
	  funcs/func_version.c, codecs/codec_alaw.c, agi/eagi-test.c,
	  res/res_crypto.c, apps/app_originate.c, channels/chan_jingle.c,
	  apps/app_forkcdr.c, funcs/func_blacklist.c, pbx/pbx_dundi.c,
	  apps/app_sms.c, apps/app_stack.c, funcs/func_devstate.c,
	  apps/app_verbose.c, addons/res_config_mysql.c,
	  utils/check_expr.c, funcs/func_rand.c, apps/app_readfile.c,
	  codecs/codec_adpcm.c, apps/app_test.c, tests/test_event.c:
	  Introduce <support_level> tags in MODULEINFO. This change
	  introduces MODULEINFO into many modules in Asterisk in order to
	  show the community support level for those modules. This is used
	  by changes committed to menuselect by Russell Bryant recently
	  (r917 in menuselect). More information about the support level
	  types and what they mean is available on the wiki at
	  https://wiki.asterisk.org/wiki/display/AST/Asterisk+Module+Support+States

2011-07-14 19:21 +0000 [r328205]  Jonathan Rose <jrose@digium.com>

	* res/res_monitor.c: Monitor application arguments requirements
	  fixed. Monitor was requiring options in spite of no individual
	  option on Monitor being required. Review:
	  https://reviewboard.asterisk.org/r/1320/

2011-07-13 18:46 +0000 [r328014]  Richard Mudgett <rmudgett@digium.com>

	* configs/features.conf.sample: Add ATXFER_NULL_TECH note in
	  features.conf.sample.

2011-07-12 22:53 +0000 [r327950]  Kevin P. Fleming <kpfleming@digium.com>

	* main/manager.c: Correct double-free situation in manager output
	  processing. The process_output() function calls ast_str_append()
	  and xml_translate() on its 'out' parameter, which is a pointer to
	  an ast_str buffer. If either of these functions need to
	  reallocate the ast_str so it will have more space, they will free
	  the existing buffer and allocate a new one, returning the address
	  of the new one. However, because process_output only receives a
	  pointer to the ast_str, not a pointer to its caller's variable
	  holding the pointer, if the original ast_str is freed, the caller
	  will not know, and will continue to use it (and later attempt to
	  free it). (reported by jkroon on #asterisk-dev)

2011-07-12 20:07 +0000 [r327890]  Matthew Nicholson <mnicholson@digium.com>

	* apps/app_directory.c: search in the current context for 'a' and
	  'o' instead of 'default'

2011-07-12 19:38 +0000 [r327888]  Jason Parker <jparker@digium.com>

	* Makefile: Fix uninstall target, so that modules dir gets cleared
	  again.

2011-07-12 19:10 +0000 [r327852]  Matthew Jordan <mjordan@digium.com>

	* apps/app_voicemail.c: Added additional checks for mailbox /
	  password beginning with '*' character A bug existed such that if
	  a user entered a password with '*', and the extension 'a' did not
	  exist, an invalid mailbox would be created and the user
	  authenticated. The code was changed to prevent this from
	  occurring, and to prevent users from having mailboxes or
	  passwords defined that begin with the '*' character. (closes
	  issue ASTERISK-17443) Reported by: Kevin Scott Adams Tested by:
	  Matt Jordan Review: https://reviewboard.asterisk.org/r/1316/

2011-07-12 15:35 +0000 [r327793]  Tilghman Lesher <tilghman@meg.abyt.es>

	* tests/test_substitution.c: Use 'printf' (POSIX issue 4) instead
	  of 'echo -n', for portability. The problem with using 'echo -n'
	  is that it is not portable. While BSD systems required that the
	  '-n' option be removed and interpreted, System V required that
	  all strings should be echoed with no interpretation of options.
	  This fundamental difference of behavior means that it is never
	  possible to use the '-n' flag to echo in tests which are meant to
	  be portable. In this case, on Mac OS X 10.6, the /bin/sh shell
	  builtin 'echo' uses the System V semantics of the command, and
	  thus the SHELL test failed on that platform.
	  http://pubs.opengroup.org/onlinepubs/009695399/utilities/echo.html#tag_04_41_16

2011-07-11 19:41 +0000 [r327682]  Terry Wilson <twilson@digium.com>

	* include/asterisk/jingle.h, channels/chan_gtalk.c: Update
	  chan_gtalk to work with changed GMail-based calls The messages
	  sent by the GMail client have changed, but include the old-style
	  messages as well. This patch checks for this case and uses the
	  old-style offer. (closes issue ASTERISK-18084) Review:
	  https://reviewboard.asterisk.org/r/1312/

2011-07-11 13:53 +0000 [r327512]  Matthew Nicholson <mnicholson@digium.com>

	* main/pbx.c, tests/test_substitution.c: reset our buffer each
	  iteration when doing variable substitution

2011-07-11 10:56 +0000 [r327411-327412]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* main/Makefile: Properly building the Debian armhf (HardFloat)
	  port. Remove the line that should have been removed in r327411.

	* main/Makefile: fix building the Debian armhf (HardFloat) port
	  Fixes
	  http://buildd.debian-ports.org/status/fetch.php?pkg=asterisk&arch=armhf&ver=1%3A1.8.4.4~dfsg-2&stamp=1309935385
	  (Missing pthreads)

2011-07-08 22:27 +0000 [r327258]  Jason Parker <jparker@digium.com>

	* main/db1-ast/mpool, addons, cdr, formats, codecs/gsm/src, funcs,
	  addons/ooh323c/src, bridges, codecs/lpc10, main/db1-ast/btree,
	  codecs/g722, main, main/db1-ast/recno, channels/sip, res, pbx,
	  res/ael, channels, main/stdtime, addons/ooh323c/src/h323, codecs,
	  utils, main/db1-ast/hash, cel, apps, main/db1-ast/db: Add .o
	  files to svn:ignore property, since it's only ignored if locally
	  configured to do so.

2011-07-08 21:41 +0000 [r327211]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: INVITE 403 Forbidden response always
	  retransmits the maximum times. Asterisk sends a 403 Forbidden
	  response if authentication fails for an INVITE as required.
	  However, it ignores the ACK and keeps retransmitting the
	  response. * Made not delete the to-tag in the dialog so the
	  expected ACK can be matched with the dialog and stop the
	  retransmissions.

2011-07-08 19:52 +0000 [r327106]  Matthew Nicholson <mnicholson@digium.com>

	* main/pbx.c, tests/test_substitution.c: Reset our ast_str before
	  passing it on to dialplan function backends. It is possible for a
	  dialplan backend to not modify the given buffer or ast_str and
	  still return success. This causes any previous value stored in
	  the buffer to be used as if the new function call provided it.
	  Some functions also append to the given buffer assuming it is
	  empty. The test_substitution unit test has also been modified to
	  detect this problem. (closes issue ASTERISK-17878)

2011-07-08 16:00 +0000 [r327044-327046]  Russell Bryant <russell@digium.com>

	* tests/test_netsock2.c: Fix an error and add more log message info
	  to help see why this fails on FreeBSD.

	* channels/chan_dahdi.c: Resolve some set-but-unused-variable
	  warnings.

2011-07-08 01:08 +0000 [r326985]  Richard Mudgett <rmudgett@digium.com>

	* main/pbx.c: Some code cleanup in pbx.c * Mostly comment and
	  format changes. * ast_context_remove_extension_callerid() and
	  ast_add_extension_nolock() will write lock the found specific
	  context. * ast_context_find() will now tolerate a NULL name. *
	  Eliminated some inlined versions of find_context() and
	  find_context_locked().

2011-07-07 19:17 +0000 [r326830]  Tilghman Lesher <tilghman@meg.abyt.es>

	* res/res_http_post.c: libgen.h is also needed on Darwin for
	  basename(3)

2011-07-07 16:04 +0000 [r326689]  Jonathan Rose <jrose@digium.com>

	* res/res_config_odbc.c: res_odbc patch by tilghman to fix integers
	  with null values Addresses some improper sql statements in
	  res_odbc that would cause an update to fail on realtime peers due
	  to trying to set as "(NULL)" rather than an actual NULL. (closes
	  issue #1922STERISK-17791) Reported by: marcelloceschia Patches:
	  20110505__issue19223.diff.txt uploaded by tilghman (license 14)

2011-07-07 15:28 +0000 [r326681-326683]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: use sips: or sip: depending on the transport
	  in use when building reply digest URIs

	* channels/chan_sip.c: make the uri parameter used in reply digests
	  more standards compliant in certain cases by prepending "sip:" or
	  "sips:" to it

2011-07-06 15:26 +0000 [r326484]  David Vossel <dvossel@digium.com>

	* res/res_timing_timerfd.c: Reverts fix for timerfd locking issue.
	  jrose discovered a performance issue with this fix that prevents
	  his analog phones from working when using timerfd as a timing
	  source. Until it is understood what is causing this performance
	  problem, this patch is being reverted.

2011-07-06 14:35 +0000 [r326411-326469]  Tilghman Lesher <tilghman@meg.abyt.es>

	* pbx/pbx_dundi.c, channels/chan_gtalk.c, apps/app_queue.c,
	  channels/chan_iax2.c, res/res_jabber.c, apps/app_stack.c,
	  channels/chan_mgcp.c, apps/app_voicemail.c,
	  channels/chan_jingle.c, channels/chan_dahdi.c,
	  funcs/func_speex.c, channels/chan_sip.c, codecs/codec_speex.c,
	  funcs/func_aes.c: Removing type attributes, as a change to
	  menuselect makes them no longer necessary.

	* pbx/pbx_dundi.c, channels/chan_gtalk.c, apps/app_queue.c,
	  channels/chan_iax2.c, res/res_jabber.c, apps/app_stack.c,
	  channels/chan_mgcp.c, apps/app_voicemail.c,
	  channels/chan_jingle.c, channels/chan_dahdi.c,
	  funcs/func_speex.c, channels/chan_sip.c, codecs/codec_speex.c,
	  funcs/func_aes.c: Add the attribute "type" to each "<use>" for
	  menuselect. This matters only when autoconf fails to detect that
	  weak linking is supported. External optional dependencies will
	  become optional in both cases, as they are removed at compile
	  time when not detected. However, runtime-optional modules are
	  made mandatory when weak linking is not found. This change
	  affects only the external optional dependencies; previously, they
	  were incorrectly required when weak linking support was not
	  detected. Patches: 20110702__issue18062__asterisk_trunk.diff.txt
	  by tilghman (License #5003) Tested by: iasgoscouk

2011-07-05 17:22 +0000 [r326291]  Richard Mudgett <rmudgett@digium.com>

	* channels/sip/include/sip.h, channels/chan_sip.c: Used auth=
	  parameter freed during "sip reload" causes crash. If you use the
	  auth= parameter and do a "sip reload" while there is an ongoing
	  call. The peer->auth data points to free'd memory. The patch does
	  several things: 1) Puts the authentication list into an ao2
	  object for reference counting to fix the reported crash during a
	  SIP reload. 2) Converts the authentication list from open coding
	  to AST list macros. 3) Adds display of the global authentication
	  list in "sip show settings". (closes issue ASTERISK-17939)
	  Reported by: wdoekes Patches: jira_asterisk_17939_v1.8.patch
	  (license #5621) patch uploaded by rmudgett Review:
	  https://reviewboard.asterisk.org/r/1303/ JIRA SWP-3526

2011-07-05 13:23 +0000 [r326209]  Matthew Jordan <mjordan@digium.com>

	* main/file.c: Updated filestream destructor to block until move is
	  complete when cache is used When a cache directory is used, the
	  process is forked and a mv command is executed to move the
	  temporary file to the permanent location. This caused issues with
	  voicemail, where a race condition occurred when the parent
	  expected the file to be in the permanent location prior to the mv
	  command completing. The parent process is now blocked until the
	  mv command completes. (closes issue ASTERISK-17724) Reported by:
	  Adiren P. Tested by: mjordan

2011-07-01 21:07 +0000 [r326144]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Better way to get chan and pvt lock for
	  issue ASTERISK-17431. Redoes -r308945 for issue ASTERISK-17431
	  deadlock fix for sip_set_udptl_peer() and sip_set_rtp_peer(). *
	  Lock the channels in the defined order and avoid the need for a
	  deadlock avoidance loop. * Lock the channel before getting the
	  pointer to the private structure to be sure that the pointer will
	  not change due to a masquerade or channel hangup. * To preserve
	  sanity, check that chan and p->owner are the same. (Pointer
	  rearangements should not happen without the protection of locks
	  because bad things tend to happen otherwise.)

2011-06-30 20:39 +0000 [r325935]  Richard Mudgett <rmudgett@digium.com>

	* configs/sip.conf.sample, channels/chan_sip.c: Misc minor changes
	  in chan_sip. * Add load failure exit if primary SIP container(s)
	  could not get created in chan_sip.c:load_module(). * Removed a
	  redundant static prototype. * Some typos. * Some whitespace.

2011-06-30 20:09 +0000 [r325877]  Matthew Jordan <mjordan@digium.com>

	* apps/app_voicemail.c: Patched voicemail user option for emailbody
	  / emailsubject Incorporated changes per ASTERISK-16795; updated
	  unit tests to check for vmu->emailbody / vmu->emailsubject
	  (closes issue ASTERISK-16795) Reported by: mdeneen Tested by:
	  mjordan

2011-06-30 19:17 +0000 [r325821]  Jonathan Rose <jrose@digium.com>

	* res/res_musiconhold.c: Fixes an issue with Music on Hold classes
	  losing files in playlist when realtime is used. The bug occurs
	  rather intermittently and I relied on the reporters to test the
	  patch. After a sanity check and some testing, I'm giving it an
	  OK. (closes issue ASTERISK-17875) Reported by: David Cunningham
	  Patches: res_musiconhold.c.mohrt17875_v1 uploaded by Igor
	  Goncharovsky (license #5009)

2011-06-29 21:49 +0000 [r325740]  Kinsey Moore <kmoore@digium.com>

	* channels/sip/include/sip.h, channels/chan_sip.c: chan_sip:
	  cleanup from the introduction of ast_str Remove the length field
	  from sip_req and sip_pkt in chan_sip since they are redundant
	  (ast_str holds its own length) and refactor the necessary
	  functions. Review: https://reviewboard.asterisk.org/r/1281/

2011-07-11  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.8.5.0 Released.

	* r326484 | dvossel | 2011-07-06 10:26:49 -0500 (Wed, 06 Jul 2011)

	  Reverts fix for timerfd locking issue.

	  jrose discovered a performance issue with this
	  fix that prevents his analog phones from working
	  when using timerfd as a timing source.  Until
	  it is understood what is causing this performance
	  problem, this patch is being reverted.

2011-06-29  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.8.5-rc1 Released.

2011-06-29 18:59 +0000 [r325673]  David Vossel <dvossel@digium.com>

	* res/res_timing_timerfd.c: Fixes timerfd locking issue. (closes
	  ASTERISK-17867, ASTERISK-17415) Patches: fix uploaded by kobaz
	  https://reviewboard.asterisk.org/r/1255/

2011-06-29 18:16 +0000 [r325610-325614]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c: Fixed some error exit cleanup in app_queue.c. *
	  Fixed error exit cleanup in app_queue.c copy_rules() and
	  reload_queue_rules().

	* apps/app_queue.c: Response to QueueRule manager command does not
	  contain ActionID if it was specified. * Add ActionID support as
	  documented for the QueueRule AMI action. * Remove documentation
	  for ActionID with the Queues AMI action. The output does not
	  follow normal AMI response output and there is no place to put an
	  ActionID header. (closes issue AST-602) Reported by: Vlad
	  Povorozniuc Patches: jira_ast_602_v1.8.patch (license #5621)
	  patch uploaded by rmudgett Tested by: Vlad Povorozniuc, rmudgett
	  Review: https://reviewboard.asterisk.org/r/1295/ JIRA SWP-3575

2011-06-29 16:18 +0000 [r325537-325545]  Matthew Nicholson <mnicholson@digium.com>

	* main/channel.c: make framehooks prevent native bridging (for real
	  this time)

	* apps/app_dial.c, main/rtp_engine.c: don't do native/remote
	  bridging if a framehook is active on the channel

2011-06-28 21:50 +0000 [r325416]  Kevin P. Fleming <kpfleming@digium.com>

	* channels/chan_sip.c: Fix random misspelling noticed on
	  asterisk-users.

2011-06-28 20:31 +0000 [r325339]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: Fixes locking inversion caused by holding
	  sip pvt lock during async_goto. (closes ASTERISK-17352)

2011-06-28 20:07 +0000 [r325279]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 325277 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r325277 | twilson | 2011-06-28 15:06:16 -0500
	  (Tue, 28 Jun 2011) | 9 lines Merged revisions 325275 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r325275 | twilson | 2011-06-28 15:03:19 -0500 (Tue, 28
	  Jun 2011) | 2 lines Don't leak SIP username information ........
	  ................

2011-06-28 17:30 +0000 [r325212]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Use the device name and not the channel
	  name to initialize the device state. Correct ASTERISK-11323
	  implementation as I don't see how it ever worked as claimed when
	  it used the channel name and not the device name. (issue
	  ASTERISK-11323)

2011-06-28 15:46 +0000 [r325152]  Jonathan Rose <jrose@digium.com>

	* res/res_musiconhold.c: Fixes moh reload breaking custom mode moh
	  classes when the config file is untouched (closes issue
	  ASTERISK-17730) Reported by: sdolloff

2011-06-28 15:12 +0000 [r325091]  Leif Madsen <lmadsen@digium.com>

	* build_tools/prep_tarball: Remove line from prep_tarball that
	  kills mkrelease.

2011-06-27 16:30 +0000 [r324955]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/asterisk.c: Save and restore errno from within signal
	  handlers. This is recommended by the POSIX standard, as well as
	  by the sigaction(2) manpage for various platforms that we support
	  (e.g. Mac OS X).

2011-06-27 15:37 +0000 [r324914]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: When subscribing MWI to an unsolicited
	  mailbox the first notification is incorrect. A remote peer
	  subscribed to MWI with the unsolicited option and a local phone
	  subscribed to the remote mailbox. The notify message-summary
	  events are sent correctly except for the first one when
	  subscribing, which will always be 0. This means the phone MWI
	  indicator will be wrong until the mailbox read/unread count
	  changes and the event is fired. Looks like this is a regression
	  from ASTERISK-16149. * Fix the logic to check the cache and if
	  allowed then fallback to manually counting mailbox messages.
	  (closes issue ASTERISK-17997) Reported by: rsw686 Patches:
	  jira_asterisk_17997_v1.8.patch (license #5621) uploaded by
	  rmudgett Tested by: rsw686 JIRA SWP-3551

2011-06-24 20:46 +0000 [r324849]  Richard Mudgett <rmudgett@digium.com>

	* pbx/pbx_config.c: Syntax errors in dialplan do not display the
	  file name. When issuing the CLI command "dialplan reload" syntax
	  errors and warnings are displayed on the console. The offending
	  line number is displayed on the console, but the file name is not
	  displayed. Errors caught in main/config.c do display the file
	  name. (closes issue ASTERISK-17985) Reported by: ulogic Patches:
	  pbx_config.patch uploaded by ulogic (License #5685) modified
	  format Tested by: rmudgett JIRA SWP-3554

2011-06-24 16:48 +0000 [r324768]  Jonathan Rose <jrose@digium.com>

	* include/asterisk/logger.h: DTMF wasn't being logged on connected
	  consoles when enabled in logger.conf Previously in order for DTMF
	  to be logged in a connected console session, the user would have
	  to do logger set channel DTMF on. This corrects that so that it
	  is on by default. This issue was caused by an off by one error
	  incurred by a logger level count of 6 in logger.h where it should
	  have been 7. (closes issue: ASTERISK-17974) Reported by: Luke H

2011-06-23 18:31 +0000 [r324685]  David Vossel <dvossel@digium.com>

	* channels/sip/reqresp_parser.c: Fixes sip crash when calling
	  remove_uri_parameters with NULL AST-2011-009 (closes issue
	  ASTERISK-18017) Reported by: jaredmauch

2011-06-23 18:29 +0000 [r324678]  Kinsey Moore <kmoore@digium.com>

	* /, channels/chan_sip.c: Merged revisions 324643 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r324643 | kmoore | 2011-06-23 13:21:12 -0500 (Thu, 23 Jun 2011) |
	  4 lines Addresses AST-2011-008, memory corruption and remote
	  crash in SIP driver. AST-2011-008 ........

2011-06-23 18:23 +0000 [r324652]  David Vossel <dvossel@digium.com>

	* channels/chan_iax2.c, include/asterisk/frame.h, /,
	  main/features.c: Merged revisions 324634 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r324634 | dvossel | 2011-06-23 13:18:46 -0500
	  (Thu, 23 Jun 2011) | 13 lines Merged revisions 324627 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r324627 | dvossel | 2011-06-23 13:16:52 -0500 (Thu, 23 Jun 2011)
	  | 7 lines Addresses AST-2011-010, remote crash in IAX2 driver
	  Thanks to twilson for identifying the issue and providing the
	  patches. AST-2011-010 ........ ................

2011-06-23 03:10 +0000 [r324557]  Terry Wilson <twilson@digium.com>

	* tests/test_netsock2.c: Remove tests for parsing address with
	  invalid port getaddrinfo on OS X returns with EAI_NONAME error
	  when passed a port greater than 65535. Linux throws no error, so
	  remove the tests for now.

2011-06-22 19:16 +0000 [r324491]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Use correct variable for text SRTP media.

2011-06-22 18:52 +0000 [r324484]  Terry Wilson <twilson@digium.com>

	* include/asterisk/netsock2.h, tests/test_netsock2.c (added),
	  main/netsock2.c, channels/chan_sip.c: Stop sending IPv6
	  link-local scope-ids in SIP messages The idea behind the patch
	  listed below was used, but in a more targeted manner. There are
	  now address stringification functions for addresses that are
	  meant to be sent to a remote party. Link-local scope-ids only
	  make sense on the machine from which they originate and so are
	  stripped in the new functions. There is also a host sanitization
	  function added to chan_sip which is used for when peer and dialog
	  tohost fields or sip_registry hostnames are used to craft a SIP
	  message. Also added are some basic unit tests for netsock2
	  address parsing. (closes issue ASTERISK-17711) Reported by:
	  ch_djalel Patches: asterisk-1.8.3.2-ipv6_ll_scope.patch uploaded
	  by ch_djalel (license 1251) Review:
	  https://reviewboard.asterisk.org/r/1278/

2011-06-22 18:41 +0000 [r324479-324481]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Timout or error on INFO or MESSAGE
	  transaction causes call to be lost. When exchanging INFO messages
	  within a call, 4xx error causes the call to be disconnected
	  although RFC 2976 explicitly states that such transactions do not
	  modify the state of the dialog. When exchanging MESSAGE messages
	  within a call, 4xx error causes the call to be disconnected. To
	  provide least surprise, we should not disconnect the call since a
	  MESSAGE is like INFO in this case. (Implied by RFC 3428 Section
	  2) (closes issue ASTERISK-17901) Reported by: neutrino88 Review:
	  https://reviewboard.asterisk.org/r/1257/ Review:
	  https://reviewboard.asterisk.org/r/1258/ JIRA SWP-3486

	* channels/chan_sip.c: Comments and whitespace in chan_sip.c

2011-06-21 20:11 +0000 [r324364]  David Vossel <dvossel@digium.com>

	* include/asterisk/pbx.h, main/pbx.c: Fixes locking inversion issue
	  in ast_async_goto() During this function we can not hold the
	  "chan" lock while doing the masquerade, the explicit goto on the
	  tmp chan, or the channel alloc. Instead we need to get the
	  channel lock, store off information about the channel that we
	  need, and then let the channel lock go for the remainder of the
	  function. Review: https://reviewboard.asterisk.org/r/1275/

2011-06-21 16:09 +0000 [r324305]  Kinsey Moore <kmoore@digium.com>

	* apps/app_confbridge.c: ConfBridge does not handle hangup properly
	  When playing back a prompt to a channel, confbridge neglects to
	  check for hangup events causing lockup condititions for hangups
	  that occur before actually joining the conference. This change
	  ensures that the user is removed from the conference in the event
	  of a premature hangup. Review:
	  https://reviewboard.asterisk.org/r/1277/

2011-06-20 18:12 +0000 [r324239-324241]  Leif Madsen <lmadsen@digium.com>

	* configs/queuerules.conf.sample: Remove extra 'the'. Reported by
	  Vlad Povorozniuc

	* configs/queuerules.conf.sample,
	  contrib/scripts/asterisk.logrotate: Revert previous merge which
	  had extra changes.

	* configs/queuerules.conf.sample,
	  contrib/scripts/asterisk.logrotate: Remove extra 'the'. Reported
	  by Vlad Povorozniuc

2011-06-20 17:33 +0000 [r324237]  Terry Wilson <twilson@digium.com>

	* channels/chan_sip.c: Ignore media offers with a port of 0 Section
	  5.1 of RFC3264 states: A port number of zero in the offer
	  indicates that the stream is offered but MUST NOT be used.
	  (closes issue ASTERISK-17845) Reported by: jacco Patches:
	  issue19281_2.patch uploaded by jacco (license 1277) Tested by:
	  jacco, twilson

2011-06-17 18:51 +0000 [r324176-324178]  Leif Madsen <lmadsen@digium.com>

	* main/manager.c: Add Username and Secret fields to manager Login
	  action. Pointed out by Vlad Povorozniuc

	* apps/app_meetme.c: Fix typo in documentation. Pointed out by Vlad
	  Povorozniuc

2011-06-17 18:23 +0000 [r324174]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Add header string to libpri debug output.
	  Add header string to libpri debug output so the libpri output can
	  be found/extracted easier from huge debug trace files.

2011-06-17 15:14 +0000 [r324115]  Leif Madsen <lmadsen@digium.com>

	* main/pbx.c: Fix grammar in documentation for Goto() and GotoIf()
	  (closes issue ASTERISK-18023) Reported by: Tim Osman

2011-06-16 22:41 +0000 [r324048-324049]  Terry Wilson <twilson@digium.com>

	* channels/chan_local.c: Shame on me

	* include/asterisk/channel.h, main/channel.c,
	  channels/chan_local.c, channels/chan_sip.c: Lock the channel
	  before calling the setoption callback The channel needs to be
	  locked before calling these callback functions. Also,
	  sip_setoption needs to lock the pvt and a check p->rtp is
	  non-null before using it. Review:
	  https://reviewboard.asterisk.org/r/1220/

2011-06-16 18:12 +0000 [r323990]  Richard Mudgett <rmudgett@digium.com>

	* tests/test_event.c: The test_event unit test is occasionally
	  failing. Wait for the special posted event to process before
	  adding a new subscription.

2011-06-16 15:58 +0000 [r323754-323932]  Terry Wilson <twilson@digium.com>

	* Makefile: Don't assume ASTDBDIR exists It most likely doesn't on
	  FreeBSD

	* tests/test_db.c: Remove now-useless cast of ARRAY_LEN

	* include/asterisk/utils.h: Make ARRAY_LEN() return the same type
	  on x86 and x86_64 systems

	* tests/test_db.c: Fix more ARRAY_LEN format string issues

	* /, main/features.c: Merged revisions 323733 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r323733 | twilson | 2011-06-15 13:13:00 -0500
	  (Wed, 15 Jun 2011) | 16 lines Merged revisions 323732 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r323732 | twilson | 2011-06-15 13:06:24 -0500 (Wed, 15 Jun 2011)
	  | 9 lines Fix DYNAMIC_FEATURES DYNAMIC_FEATURES were broken by a
	  recent DTMF change. This patch makes sure that dynamic features
	  are also checked when deciding whether or not to pass DTMF
	  through or store it for interpreting. (closes issue
	  ASTERISK-17914) Reported by: vrban ........ ................

2011-06-15 17:42 +0000 [r323730]  Jonathan Rose <jrose@digium.com>

	* res/res_config_pgsql.c: Adds locking to find_table in
	  res_configure_pgsql to prevent a crash. Bryonclark described the
	  problem as occuring during this function because of multiple
	  simultaneous database operations causing corruption against a
	  pgsqlConn object. (closes issue ASTERISK-17811) Reported by:
	  byronclark Patches: pgsql_find_table_locking.patch uploaded by
	  byronclark (license 1200)

2011-06-15 17:09 +0000 [r323672]  Terry Wilson <twilson@digium.com>

	* tests/test_db.c: Cast ARRAY_LEN to size_t for ast_logging 32-bit
	  and 64-bit machines return different types for ARRAY_LEN(), so
	  cast it before using in a format string.

2011-06-15 16:43 +0000 [r323669-323670]  Richard Mudgett <rmudgett@digium.com>

	* tests/test_event.c: Add a test to the event unit tests to catch
	  ASTERISK-18002. The new tests check to see if there are ANY
	  subscribers to the event type when ast_event_check_subscriber()
	  is not passed any specific ie values. (issue ASTERISK-18002)

	* main/event.c: [regression] Voicemail MWI is no longer sent. When
	  leaving a voicemail, the MWI message is never sent. The same
	  thing happens when checking a voicemail and marking it as read.
	  If you restart Asterisk, everything comes up at that state
	  correctly, but changes to the messages in voicemail causes the
	  light to not be set appropriately. Very easy to reproduce. * Made
	  ast_event_check_subscriber() return TRUE if there are ANY
	  subscribers to an event type when there are no restricting ie
	  values passed. This allows an event being queued to be queued.
	  (closes issue ASTERISK-18002) Reported by: lmadsen Tested by:
	  lmadsen, irroot Patches: jira_asterisk_18002_v1.8.patch uploaded
	  by rmudgett (License #5621) (closes issue ASTERISK-18019)

2011-06-15 16:09 +0000 [r323610]  Jonathan Rose <jrose@digium.com>

	* res/res_config_pgsql.c: Adds PQclear calls on result to various
	  parts of res_conf_pgsql (closes issue ASTERISK-17812) Reported
	  by: byronclark Patches: pgsql_pqclear.patch uploaded by
	  byronclark (license 1200)

2011-06-15 15:31 +0000 [r323608]  Sean Bright <sean@malleable.com>

	* main/manager.c, /: Merged revisions 323579 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r323579 | seanbright | 2011-06-15 11:22:50 -0400
	  (Wed, 15 Jun 2011) | 32 lines Merged revisions 323559 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r323559 | seanbright | 2011-06-15 11:15:30 -0400 (Wed, 15 Jun
	  2011) | 25 lines Resolve a segfault/bus error when we try to map
	  memory that falls on a page boundary. The fix for ASTERISK-15359
	  was incorrect in that it added 1 to the length of the mmap'd
	  region. The problem with this is that reading/writing to that
	  extra byte outside of the bounds of the underlying fd causes a
	  bus error. The real issue is that we are working with both a FILE
	  * and the raw fd underneath it and not synchronizing between
	  them. The code that was removed in ASTERISK-15359 was correct,
	  but we weren't flushing the FILE * before mapping the fd. Looking
	  at the manager code in 1.4 reveals that the FILE * in 'struct
	  mansession' is never used except to create a temporary file that
	  we immediately fdopen. This means we just need to write a 0 byte
	  to the fd and everything will just work. The other branches
	  require a call to fflush() which, while not a guaranteed fix,
	  should reduce the likelihood of a crash. This all makes sense in
	  my head. (closes issue ASTERISK-16460) Reported by:
	  Ravelomanantsoa Hoby (hoby) Patches:
	  issue17747_1.4_svn_markII.patch uploaded by Sean Bright (license
	  #5060) ........ ................

2011-06-15 00:50 +0000 [r323392-323456]  Richard Mudgett <rmudgett@digium.com>

	* main/event.c: Add missing break in ast_event_get_cached().

	* main/netsock2.c: Made ast_sockaddr_split_hostport() port warning
	  msgs more meaningful.

	* main/dnsmgr.c: Add more strict hostname checking to
	  ast_dnsmgr_lookup(). Change suggested in review. Review:
	  https://reviewboard.asterisk.org/r/1240/

2011-06-14 16:38 +0000 [r323371]  Jonathan Rose <jrose@digium.com>

	* channels/chan_sip.c: Changes contact use in build_peer to use the
	  FORCE_RPORT flag instead of RPORT_PRESENT It turned out that this
	  was causing NAT=Yes to always use rport when present which was
	  against 1.6.2 behavior and the check itself was redundant since
	  the only way this segment of code could be reached was if
	  RPORT_PRESENT was already evaluated as true earlier. (closes
	  issue ASTERISK-17789) Reported by: byronclark Patches:
	  use_sip_nat_force_rport.patch uploaded by byronclark (license
	  1200)

2011-06-14 16:33 +0000 [r323370]  Terry Wilson <twilson@digium.com>

	* include/asterisk/rtp_engine.h, res/res_rtp_asterisk.c,
	  main/rtp_engine.c, channels/chan_sip.c: Add rtpkeepalives back to
	  1.8 The RTP-engine conversion left out support for handling
	  rtpkeepalives. This patch adds them back. (closes issue
	  ASTERISK-17304) Reported by: lmadsen Review:
	  https://reviewboard.asterisk.org/r/1226/

2011-06-13 20:22 +0000 [r323154-323234]  Leif Madsen <lmadsen@digium.com>

	* configs/sip.conf.sample: Additional documentation for bindaddr.
	  Note that bindaddr will only enable UDP instead of both UDP and
	  TCP which is what I would expect for backwards compatibility with
	  systems being upgraded which only support UDP transportation.
	  (closes issue ASTERISK-17976) Reported by: Sean Darcy

	* main/channel.c: Avoid dividing by zero with L() option to Dial()
	  Reported by: nicolasom Patches: issue-17995.patch - nicolasom
	  (License #5994)

	* res/res_agi.c: Tweak documentation for AGI Hangup command.
	  (closes issue ASTERISK-17999) Reported by: Ben Klang Patches:
	  hangup-doc.diff - uploaded by Ben Klang (License #5876)

2011-06-10 19:20 +0000 [r323040]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Unlock the sip channel during fax detection
	  like chan_dahdi does to prevent a deadlock with
	  ast_autoservice_stop. (closes issue ASTERISK-17798) tested by
	  mnicholson

2011-06-10 15:29 +0000 [r322865-322981]  Terry Wilson <twilson@digium.com>

	* main/db.c: Avoid a DB1 infinite loop bug Explicity check the last
	  entry in the DB and make sure that we don't iterate past it.
	  Since there can be no duplicates, this just makes sure that we
	  stop after matching the last key. This patch also refactors the
	  code to get away from some code duplication. A previous patch
	  added many astdb tests and this patch passed them. Review:
	  https://reviewboard.asterisk.org/r/1259/

	* tests/test_db.c (added): Add some astdb unit tests

	* include/asterisk/astdb.h: Correct ast_db_deltree documentation
	  ast_db_deltree returns -1 on error, otherwise the number of
	  deletions

2011-06-09 17:37 +0000 [r322807]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: don't drop any voice frames when checking
	  for T.38 during early media (closes issue ASTERISK-17705) Review:
	  https://reviewboard.asterisk.org/r/1186/ patch by oej reported by
	  oej

2011-06-09 16:31 +0000 [r322749]  Richard Mudgett <rmudgett@digium.com>

	* include/asterisk/features.h, apps/app_directed_pickup.c,
	  main/features.c: Remove potential deadlock in call pickup race.
	  Deadlock is possible in ast_do_pickup() when holding the target
	  channel lock and trying to get the chan channel lock. Also,
	  holding the target lock when calling ast_channel_masquerade() is
	  not a good idea because that routine does deadlock avoidance. *
	  Removed the need to hold the target lock after marking the target
	  with a datastore and getting the connected line data off of the
	  target channel. * Moved can_pickup() to ast_can_pickup() in
	  features.c. Now all the call pickup methods use the same basic
	  call pickup availability check. Review:
	  https://reviewboard.asterisk.org/r/1234/

2011-06-09 14:06 +0000 [r322585]  Jonathan Rose <jrose@digium.com>

	* main/utils.c, include/asterisk/utils.h, channels/chan_sip.c,
	  tests/test_utils.c: Adds ast_escape_encoded utility to properly
	  handle escaping of quoted field before uri. This commit backports
	  a feature in trunk affecting initreqprep so that display name
	  won't be encoded improperly. Also includes unit tests for the
	  ast_escape_quoted function. This patch gives 1.8 a much improved
	  outlook in countries which don't use standard ASCII characters.
	  (closes issue ASTERISK-16949) Reported by: Örn Arnarson Review:
	  https://reviewboard.asterisk.org/r/1235/

2011-06-08 20:46 +0000 [r322425-322484]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c: Ring all queue with more than 255 agents will
	  cause crash. 1. Create a ring-all queue with 500 permanent
	  agents. 2. Call it. 3. Asterisk will crash. The watchers array in
	  app_queue.c has a hard limit of 255. Bounds checking is not done
	  on this array. No sane person should put 255 people in a ring-all
	  queue, but we should not crash anyway. * Added bounds checking to
	  the watchers array. JIRA AST-464 JIRA SWP-2903

	* main/dnsmgr.c: SRV lookup attempted for SIP peers listed as an IP
	  address. Asterisk attempts to SRV lookup a host name even if the
	  host name is an IP address. Regression introduced when IPv6
	  support was added. * Restored the check in ast_dnsmgr_lookup() to
	  see if the given host name is an IP address. The IP address could
	  be in either IPv4 or IPv6 formats. (closes issue ASTERISK-17815)
	  Reported by: Byron Clark Tested by: Byron Clark, Richard Mudgett
	  Patches: issue19248_v1.8.patch - uploaded by Richard Mudgett
	  (License #5621) Review: https://reviewboard.asterisk.org/r/1240/

2011-06-08 06:18 +0000 [r322322]  Gregory Nietsky <gregory@distrotech.co.za>

	* channels/chan_sip.c: Make handle_request_publish do dialog
	  expiration and destruction. This patch fixes
	  handle_request_publish so that it does dialog expiration and
	  destruction. Without this patch the incoming PUBLISH requests
	  will get stuck in the dialog list. Restarting asterisk is the
	  only way to remove them. Personal observation on one system the
	  server hung up while looping through the channels rendering
	  asterisk unusable and all sip phones unregisterd when they try
	  reregister more requests are added. (closes issue #18898)
	  Reported by: gareth Tested by: loloski, Chainsaw, wimpy, se, kuj,
	  irroot Jira:
	  https://issues.asterisk.org/jira/browse/ASTERISK-17915 Review:
	  https://reviewboard.asterisk.org/r/1253

2011-06-07 17:59 +0000 [r322189]  Paul Belanger <pabelanger@digium.com>

	* configs/sip_notify.conf.sample: Use correct syntax for 'sip
	  notify snom-reboot' (closes issue ASTERISK-17915)

2011-06-06 19:07 +0000 [r322069]  Jonathan Rose <jrose@digium.com>

	* main/asterisk.c, include/asterisk/logger.h: Fixes level toggling
	  for logger set levels since it was reversed (closes issue
	  ASTERISK-17850) Reported by: Luke H Tested by: jrose, Luke H
	  Review: https://reviewboard.asterisk.org/r/1244/

2011-06-03 22:09 +0000 [r321812-321926]  Richard Mudgett <rmudgett@digium.com>

	* cdr/cdr_radius.c, cel/cel_radius.c: Asterisk crash when unloading
	  cdr_radius/cel_radius. The rc_openlog() API call is passed a
	  string that is used by openlog() to format log messages. The
	  openlog() does not copy the string it just keeps a pointer to it.
	  When the module is unloaded, the string is gone from memory.
	  Depending upon module load order and if the other module then has
	  an error, a crash happens. * Pass rc_openlog() a strdup'd string
	  with the understanding that there will be a small memory leak if
	  the cdr_radius/cel_radius modules are unloaded. * Call
	  rc_destroy() to free the rc handle memory when the module is
	  unloaded. JIRA AST-483 JIRA SWP-3062

	* main/ccss.c: Be more explicit for CCSS generic device state event
	  subscription. Make CCSS generic device state event subscription
	  specify the AST_EVENT_IE_STATE ie exists to be safe.

	* main/event.c, tests/test_event.c: Event subscription fixes. Must
	  commit the subscription fixes together with the integration
	  subscription tests. The subscription fixes cause an erroneously
	  passing test to fail. The new subscription tests detect errors
	  without the subscription fixes. * Added missing event_names[]
	  table entry. * Reworked
	  ast_event_check_subscriber()/match_sub_ie_val_to_event() to
	  correctly detect if a subscriber exists for the proposed event. *
	  Made match_ie_val() and match_sub_ie_val_to_event() check the
	  buffer length for RAW payload types. * Fixed error handling
	  memory leak in ast_event_sub_activate(), ast_event_unsubscribe(),
	  and ast_event_queue(). * Made ast_event_new() and
	  ast_event_check_subscriber() better protect themselves from an
	  invalid payload type. * Added container lock protection between
	  removing old cache events and adding the new cached event in
	  ast_event_queue_and_cache()/event_update_cache(). * Added new
	  event subscription tests.

	* main/event.c, include/asterisk/event.h: Constify subscription
	  description parameter string.

	* channels/chan_iax2.c, channels/chan_sip.c: Correct IAX2 and SIP
	  event subscription description string.

2011-06-03 18:32 +0000 [r321753]  Russell Bryant <russell@digium.com>

	* tests/test_astobj2.c: Backport an astobj2 unit test so that it
	  runs on 1.8 as well.

2011-06-03 13:17 +0000 [r321685]  Leif Madsen <lmadsen@digium.com>

	* configs/queues.conf.sample: Also document the 'queue-minute'
	  option. (closes issue #19386) Reported by: juanmol

2011-06-01 23:11 +0000 [r321547]  Richard Mudgett <rmudgett@digium.com>

	* main/cdr.c: CDR comment tweaks.

2011-06-01 20:10 +0000 [r321537]  Brett Bryant <bbryant@digium.com>

	* apps/app_voicemail.c: This patch fixes an issue with using the
	  wrong voicemail folders with greetings. (closes issue #17871)
	  Reported by: edhorton Patches: digium_bug_17871_2 uploaded by
	  fhackenberger (license 592) Tested by: edhorton, fhackenberger

2011-06-01 10:40 +0000 [r321528]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/oochannels.c, addons/chan_ooh323.c,
	  addons/ooh323c/src/ooh245.c: Fix double alerting, add forced
	  alerting before answer Fix double alerting (it wasn't fixed here
	  by issue #18542) Add forced alerting before connect (if it wasn't
	  before) Try to send all packets from outgoing queue rather than
	  one only Call goes into clearing state when disconnect command is
	  received (closes issue #19361) Reported by: vmikhelson Patches:
	  issue19361-3.patch uploaded by may213 (license 454) Tested by:
	  vmikhelson

2011-05-31 20:54 +0000 [r321517]  Richard Mudgett <rmudgett@digium.com>

	* include/asterisk/dnsmgr.h, include/asterisk/acl.h: Update some
	  comments.

2011-05-31 18:52 +0000 [r321515]  David Vossel <dvossel@digium.com>

	* channels/chan_local.c: Chan_local locking cleanup. This patch
	  removes all of the unnecessary deadlock avoidance loops that
	  occur in chan_local. It also resolves an issue with a deadlock
	  triggered by local channel optimizations. (issue #18028) Review:
	  https://reviewboard.asterisk.org/r/1231/

2011-05-31 16:04 +0000 [r321511]  Leif Madsen <lmadsen@digium.com>

	* channels/chan_sip.c: Enhance NOTICE message to know who couldn't
	  access the dialplan. (closes issue #19390) Reported by: lmadsen
	  Patches: __20110531-sip-notice-tweak.txt uploaded by lmadsen
	  (license 10) Tested by: russell

2011-05-28 00:27 +0000 [r321337-321436]  Richard Mudgett <rmudgett@digium.com>

	* res/res_agi.c: Some hagi launch cleanup. Inspired by issue 19256.
	  This patch would also fix the crash.

	* main/srv.c: Crash when using hagi and no servers are available.
	  When none of the servers returned by the SRV querey respond,
	  asterisk crashes. The problem is that if the loop over all the
	  SRV entries finishes then the srv_context has already been
	  cleaned up. * Make ast_srv_cleanup() check to see if the context
	  is already cleaned up. (closes issue #19256) Reported by:
	  byronclark

	* apps/app_privacy.c: The app_privacy args have undocumented
	  "options" position, interferes with "context" position. * Add
	  documention for unused "options" position to match existing code.
	  (closes issue #19273) Reported by: mdavenport

2011-05-27 21:54 +0000 [r321333-321335]  Leif Madsen <lmadsen@digium.com>

	* include/asterisk/frame.h, main/file.c: Fix issue with playback of
	  H.261 video. (closes issue #19379) Reported by: neutrino88
	  Patches: videoprompt.patch uploaded by neutrino88 (license 297)
	  (changes by russell)

	* main/features.c: Allow parking lot hints and musicclass to be
	  set. (closes issue #19378) Reported by: sboily_proformatique
	  Patches: pf_parkinghint_music_fix uploaded by sboily
	  proformatique (license 206) Tested by: russell

2011-05-27 21:31 +0000 [r321330]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_privacy.c: The app_privacy args have undocumented
	  "options" position, interferes with "context" position. * Add
	  documention for unused "options" position to match existing code.
	  The trunk(v1.10) version will remove the unused options position.
	  (closes issue #19273) Reported by: mdavenport

2011-05-27 14:59 +0000 [r321273]  Jonathan Rose <jrose@digium.com>

	* channels/sip/reqresp_parser.c: markm committed a patch I was
	  working on yesterday, this fixes it to mesh up with suggestions
	  by mnicholson.

2011-05-27 08:31 +0000 [r321211]  Alec L Davis <sivad.a@paradise.net.nz>

	* main/features.c: Fix *8 directed pickup locks system during
	  pickupsound play out move playout from sip_pickup_thread to
	  bridge using BRIDGE_PLAY_SOUND method, This stop the clash of 2
	  threads trying to write audio to same channel. In addition fixes
	  choppy audio beep in issue 19177. (issue #18654) (issue #19177)
	  Reported by: Docent Patches: review1232-1.88888888 alecdavis
	  (license 585) Tested by: alecdavis Review:
	  https://reviewboard.asterisk.org/r/1232/

2011-05-26 21:48 +0000 [r321100-321155]  Mark Murawki <markm@intellasoft.net>

	* channels/chan_sip.c, channels/sip/reqresp_parser.c: Fixed build
	  problem with dev mode enabled, which was caused by commit 321100.
	  Reformulated patch to be more generic. Moved the sip uri parse
	  variable initalization to parse_uri_full in reqresp_parser.c.
	  This will ensure that any use of parse uri will have null output
	  variables if the parse fails. (closes issue #19346) Reported by:
	  kobaz Tested by: kobaz,JonathanRose Review: [full review board
	  URL with trailing slash]

	* main/netsock2.c, channels/chan_sip.c: ast_sockaddr_resolve() in
	  netsock2.c may deref a null pointer Added a null check in
	  netsock2 ast_sockaddr_resolve() as well as added default
	  initalizers in chan_sip parse_uri_legacy_check() to make sure
	  that invalid uris will make null (and not undefined)
	  user,pass,domain,transport variables (closes issue #19346)
	  Reported by: kobaz Patches: netsock2.patch uploaded by kobaz
	  (license 834) Tested by: kobaz, Marquis

2011-05-26 18:10 +0000 [r321044]  Richard Mudgett <rmudgett@digium.com>

	* include/asterisk/netsock2.h: Update ast_sockaddr comment with an
	  important note.

2011-05-26 17:29 +0000 [r321042]  Terry Wilson <twilson@digium.com>

	* main/rtp_engine.c: Initialize stack-allocated ast_sockaddrs
	  before use It is important to always initialize ast_sockaddrs
	  before use--even if they are passed to ast_sockaddr_copy as the
	  underlying storage could be bigger than what ends up being
	  copied--leaving part of the data unitialized.

2011-05-26 15:57 +0000 [r320947]  Russell Bryant <russell@digium.com>

	* channels/chan_alsa.c, channels/chan_mgcp.c: Remove some variables
	  that were set but unused.

2011-05-25 22:25 +0000 [r320796-320883]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Native SIP CCSS sends bad CC cancel
	  SUBSCRIBE message. The SUBSCRIBE message used to cancel a CC
	  request has incorrect To/From SIP headers. They are reversed and
	  the dialog tags are the same when they should not be. If pedantic
	  mode was disabled, then the cancel would have succeeded despite
	  the incorrect message. * The SIP_OUTGOING flag was not set
	  correctly for the dialog and I had to move some CC subscribe
	  handling code as a result. * Initialized the dialog subscribed
	  type to CALL_COMPLETION earlier. If a CC request SUBSCRIBE
	  message comes in and the CC instance is not found, the 404
	  response was duplicated. JIRA AST-568 JIRA SWP-3493

	* UPGRADE.txt, CHANGES, apps/app_queue.c, apps/app_dial.c,
	  main/channel.c, main/manager.c, apps/app_meetme.c,
	  apps/app_fax.c, main/features.c: The AMI Newstate event contains
	  different information between v1.4 and v1.8. The addition of
	  connected line support in v1.8 changes the behavior of the
	  channel caller ID somewhat. The channel caller ID value no longer
	  time shares with the connected line ID on outgoing call legs. The
	  timing of some AMI events/responses output the connected line ID
	  as caller ID. These party ID's are now separate. * The
	  ConnectedLineNum and ConnectedLineName headers were added to many
	  AMI events/responses if the CallerIDNum/CallerIDName headers were
	  also present. (closes issue #18252) Reported by: gje Tested by:
	  rmudgett Review: https://reviewboard.asterisk.org/r/1227/

	* include/asterisk/channel.h, main/channel.c, main/features.c: Give
	  zombies a safe channel driver to use. Recent crashes from zombie
	  channels suggests that they need a safe home to goto. When a
	  masquerade happens, the physical part of the zombie channel is
	  hungup. The hangup normally sets the channel private pointer to
	  NULL. If someone then blindly does a callback to the channel
	  driver, a crash is likely because the private pointer is NULL.
	  The masquerade now sets the channel technology of zombie channels
	  to the kill channel driver. Related to the following issues:
	  (issue #19116) (issue #19310) Review:
	  https://reviewboard.asterisk.org/r/1224/

2011-05-25 00:49 +0000 [r320716]  Terry Wilson <twilson@digium.com>

	* addons/chan_mobile.c: Cast data as char * before using S_OR This
	  is required for compiling successfully under dev mode

2011-05-23 17:53 +0000 [r320650]  Richard Mudgett <rmudgett@digium.com>

	* CHANGES, main/manager.c: Add ConnectedLineNum/Name headers to
	  output of AMI action Status. * Add ConnectedLineNum and
	  ConnectedLineName headers to the output of the AMI action Status.
	  This makes it easier to find out who the channel is connected to
	  without having to lookup BridgedChannel or when they are
	  connected to an application (e.g.: VoiceMail) which has no
	  bridged channel. * Bridged channels with no CallerID had ""
	  instead of "<unknown>" output, that might be a bug as "<unknown>"
	  was what older versions used. (closes issue #18158) Reported by:
	  gareth Patches: svn-292308.diff uploaded by gareth (license 208)

2011-05-23 16:19 +0000 [r320573]  Tilghman Lesher <tilghman@meg.abyt.es>

	* configure, configure.ac: GNU libiconv uses symbol "libiconv_open"
	  instead of "iconv_open". (closes issue #19344) Reported by:
	  rohanl Patches: iconv-check.patch uploaded by rohanl (license
	  1284)

2011-05-23 16:18 +0000 [r320568]  David Vossel <dvossel@digium.com>

	* main/tcptls.c, /: Merged revisions 320562 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r320562 | dvossel | 2011-05-23 11:15:18 -0500 (Mon, 23 May 2011)
	  | 9 lines Adds missing part to the ast_tcptls_server_start fails
	  second attempt to bind patch. (closes issue #19289) Reported by:
	  wdoekes Patches:
	  issue19289_delay_old_address_setting_tcptls_2.patch uploaded by
	  wdoekes (license 717) ........

2011-05-23 15:47 +0000 [r320560]  Kevin P. Fleming <kpfleming@digium.com>

	* configure, configure.ac: Don't generate spurious "No: command not
	  found" messages when running the configure script on a system
	  that has neither gmime-config nor pkg-config.

2011-05-23 14:33 +0000 [r320504]  Jonathan Rose <jrose@digium.com>

	* channels/chan_sip.c: Fixes segfault occuring in chan_sip.c at
	  __set_address_from_contact Checks to see if domain contains
	  anything before sending it off to ast_sockaddr_resolve which is
	  where the segfault was occuring due to null str. (closes issue
	  #18857) Reported by: sybasesql Review:
	  https://reviewboard.asterisk.org/r/1225/

2011-05-22 23:34 +0000 [r320445]  Tilghman Lesher <tilghman@meg.abyt.es>

	* res/res_odbc.c, /: Merged revisions 320444 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r320444 | tilghman | 2011-05-22 18:25:51 -0500 (Sun, 22 May 2011)
	  | 8 lines Don't crash when the connection fails. (closes issue
	  #19250) Reported by: seadweller Patches:
	  20110514__issue19250.diff.txt uploaded by tilghman (license 14)
	  Tested by: seadweller, sum ........

2011-05-20 21:39 +0000 [r320338]  David Vossel <dvossel@digium.com>

	* main/tcptls.c, /: Merged revisions 320271 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r320271 | dvossel | 2011-05-20 16:24:48 -0500 (Fri, 20 May 2011)
	  | 8 lines Fixes issue with ast_tcptls_server_start failing on
	  second attempt to bind. (closes issue #19289) Reported by:
	  wdoekes Patches:
	  issue19289_delay_old_address_setting_tcptls.patch uploaded by
	  wdoekes (license 717) ........

2011-05-20 20:49 +0000 [r320237]  Richard Mudgett <rmudgett@digium.com>

	* /, apps/app_meetme.c: Merged revisions 320236 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r320236 | rmudgett | 2011-05-20 15:44:54 -0500
	  (Fri, 20 May 2011) | 20 lines Merged revisions 320235 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r320235 | rmudgett | 2011-05-20 15:38:22 -0500 (Fri, 20 May 2011)
	  | 13 lines The meetme CLI command completion leaves conferences
	  mutex locked. When issuing a meetme kick CLI command and an
	  invalid (non-existent) conference number is specified, pressing
	  Tab leaves the conferences mutex locked and, therefore, all
	  conferences deadlock. Add missing unlock. (closes issue #19336)
	  Reported by: zvision Patches: app_meetme.diff uploaded by zvision
	  (license 798) ........ ................

2011-05-20 18:48 +0000 [r320180]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: This commit modifies the way polling is done
	  on TLS sockets. Because of the buffering the TLS layer does,
	  polling is unreliable. If poll is called while there is data
	  waiting to be read in the TLS layer but not at the network layer,
	  the messaging processing engine will not proceed until something
	  else writes data to the socket, which may not occur. This change
	  modifies the logic around TLS sockets to only poll after a failed
	  read on a non-blocking socket. This way we know that there is no
	  data waiting to be read from the buffering layer. (closes issue
	  #19182) Reported by: st Patches: ssl-poll-fix3.diff uploaded by
	  mnicholson (license 96) Tested by: mnicholson

2011-05-20 18:12 +0000 [r320162]  Jonathan Rose <jrose@digium.com>

	* apps/app_voicemail.c: Fixes an imapfolder related crash
	  imapfolders being set in the general section of voicemail would
	  cause the inbox folder name to change. Since sound file names are
	  made based on the names of the folders, this would cause the
	  audio related to that folder name to change and if Asterisk
	  attempted to play it, the channel would instantly hang up when
	  the audio file couldn't be found. This patch searches for the
	  name of the folder first to leave existing behavior in tact and
	  if that fails, it uses the normal inbox name to get the sound
	  file instead. (closes issue #16104) Reported by: blkline Review:
	  https://reviewboard.asterisk.org/r/1215/

2011-05-20 17:03 +0000 [r319997-320059]  Richard Mudgett <rmudgett@digium.com>

	* main/features.c: Misc comment cleanup in features.c.

	* main/channel.c, main/features.c: Crash while transferring a call
	  during DTMF feature timeout. When a call is being attended
	  transferred during the time between AST_FRAME_DTMF_BEGIN and
	  AST_FRAME_DTMF_END, the transferred channel becomes a zombie (so
	  tech data is not available), making ast_dtmf_stream() segfault
	  when it tries to send the DTMF digit (at least with SIP
	  channels). Patch based on feature-end-zombie.patch uploaded by
	  Irontec (license 1256) * Check for zombies when
	  ast_channel_bridge() returns. * Guarantee that the fo parameter
	  value is initialized in ast_channel_bridge() before any returns.
	  (closes issue #19116) Reported by: Irontec Tested by: rmudgett

	* apps/app_directed_pickup.c, main/features.c: Change some variable
	  names to make pickup code easier to understand.

	* apps/app_directed_pickup.c, main/features.c: Crash when using
	  directed pickup applications. The directed pickup applications
	  can cause a crash if the pickup was successful because the
	  dialplan keeps executing. This patch does the following: *
	  Completes the channel masquerade on a successful pickup before
	  the application returns. The channel is now guaranteed a zombie
	  and must not continue executing the dialplan. * Changes the
	  return value of the directed pickup applications to return zero
	  if the pickup failed and nonzero(-1) if the pickup succeeded. *
	  Made some code optimizations that no longer require re-checking
	  the pickup channel to see if it is still available to pickup.
	  (closes issue #19310) Reported by: remiq Patches:
	  issue19310_v1.8_v2.patch uploaded by rmudgett (license 664)
	  Tested by: alecdavis, remiq, rmudgett Review:
	  https://reviewboard.asterisk.org/r/1221/

2011-05-20 13:28 +0000 [r319938]  Jonathan Rose <jrose@digium.com>

	* configs/sip.conf.sample, channels/sip/include/sip.h,
	  channels/chan_sip.c: Adds legacy_useroption_parsing to address
	  interoperability concerns. With the new option engaged, Asterisk
	  should interpret user fields with useroptions contained within
	  the userfield of the uri by stripping them out of the original
	  message whenever a semicolon is encountered in the userfield
	  string. (closes issue #18344) Reported by: danimal Tested by:
	  jrose Review: https://reviewboard.asterisk.org/r/1223/

2011-05-19 23:28 +0000 [r319920]  Terry Wilson <twilson@digium.com>

	* main/bridging.c, include/asterisk/bridging_technology.h,
	  include/asterisk/bridging.h: Revert part of a change to the
	  bridging API code The capabilities used in the bridging API are
	  very different than the ones used for formats. When the
	  conversion was made expanding the bit width of codecs, the
	  bridging code was accidentally accosted in ways that it didn't
	  deserve.

2011-05-19 18:32 +0000 [r319866]  Jonathan Rose <jrose@digium.com>

	* main/features.c: Fix Randomize option on Park() The randomize
	  option was generally not working like it should have at all on
	  Park(). This patch restores intended functionality. (closes issue
	  #18862) Reported by: davidw Tested by: jrose Review:
	  https://reviewboard.asterisk.org/r/1222/

2011-05-19 17:59 +0000 [r319812]  Mark Murawki <markm@intellasoft.net>

	* cel/cel_odbc.c: In cel_odbc, an uninitialized RWLIST is attempted
	  to be locked. Added INIT and DESTROY for the RWLIST odbc_tables
	  (closes issue #19331) Reported by: kobaz Patches: odbc_cel.patch
	  uploaded by kobaz (license 834)

2011-05-19 16:50 +0000 [r319758]  Richard Mudgett <rmudgett@digium.com>

	* main/ccss.c: CCSS generic agent with POTS and ISDN phones fail
	  caller busy call-back test. If the following is true after a CCSS
	  activation: * The generic agent is for an analog phone or ISDN
	  phone. (Caller party) * The called party becomes available. * The
	  caller party is not available. When the caller party becomes
	  available, the caller is not alerted to the called party being
	  available. The generic agent still thinks the caller is busy. *
	  Fixed the generic agent device state event subscription to look
	  for all device states that are considered available. *
	  Encapsulated the device state test for CCSS generic device
	  available in cc_generic_is_device_available(). Made the generic
	  agent and monitor use the new function instead of the manually
	  coded inline equivalent. JIRA AST-559 JIRA SWP-3462

2011-05-18 23:15 +0000 [r319529-319654]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 319653 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r319653 | twilson | 2011-05-18 16:11:57 -0700
	  (Wed, 18 May 2011) | 15 lines Merged revisions 319652 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r319652 | twilson | 2011-05-18 16:04:35 -0700 (Wed, 18 May 2011)
	  | 8 lines Make sure everyone gets an unhold when a transfer
	  succeeds Some phones, like the Snom phones, send a hold to the
	  transfer target after before sending the REFER. We need to make
	  sure that we unhold the parties that are being connected after
	  the masquerade. If Local channels with the /nm option are used
	  when dialing the parties, hold music would still be playing on
	  the transfer target, even after being connected with the
	  transferee. ........ ................

	* channels/chan_sip.c: Unbreak the storing of registrations for
	  restart The fix for issue 18882 broke retrieving non-realtime
	  peers from the ast_db on restart/reload. This patch tries to
	  unbreak things while leaving the intent of the original fix
	  intact. (closes issue #19318) Reported by: remiq Patches:
	  diff.txt uploaded by twilson (license 396) Tested by: lmadsen,
	  remiq

	* apps/app_dial.c, /: Merged revisions 319528 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r319528 | twilson | 2011-05-18 13:02:06 -0700
	  (Wed, 18 May 2011) | 17 lines Merged revisions 319527 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r319527 | twilson | 2011-05-18 12:56:08 -0700 (Wed, 18 May 2011)
	  | 10 lines Fix app_dial ring groups Revert part of r315643. We
	  need to remove the datastore here as well. The code in bridging
	  code will catch anything that app_dial might miss. (closes issue
	  #19311) Reported by: mspuhler Patches: issue_19311_no_answer.diff
	  uploaded by elguero (license 37) ........ ................

2011-05-17 21:57 +0000 [r319469]  Richard Mudgett <rmudgett@digium.com>

	* channels/misdn/isdn_lib.c: Merged revision 319468 from
	  https://origsvn.digium.com/svn/asterisk/be/branches/C.3-bier
	  .......... r319468 | rmudgett | 2011-05-17 16:49:31 -0500 (Tue,
	  17 May 2011) | 15 lines The mISDN HDLC mode is prevented on
	  dialed channels. The use of mISDN HDLC mode is prevented if the
	  mISDN dial technology option 'h1' is used when config option
	  astdtmf=yes. There is a bug in channels/misdn/isdn_lib.c which
	  prevents the use of HDLC mode. Instead of setting the channel to
	  HDLC mode it is set to transparent(no dsp, no hdlc), although
	  hdlc is not "no hdlc". I.e the logging message is correct, but
	  the if condition is not. Make check the nodsp and hdlc flags.
	  JIRA ABE-2787 JIRA SWP-3437 ..........

2011-05-17 12:53 +0000 [r319365-319367]  Leif Madsen <lmadsen@digium.com>

	* apps/app_voicemail.c: Don't create [general] voicemail context
	  when using users.conf Prior to this patch, app_voicemail would
	  create a [general] context when parsing users.conf. (closes issue
	  #18891) Reported by: pdugas Patches:
	  app_voicemail-ignore-general.patch uploaded by pdugas (license
	  1222) app_voicemail-ignore-general-style-guidelines.patch
	  uploaded by seanbright (license 71) Tested by: pdugas

	* contrib/init.d/rc.debian.asterisk: Make Debian init script lsb
	  compliant (closes issue #18896) Reported by: manwe Patches:
	  debian_init_lsb.patch uploaded by manwe (license 1223)

2011-05-16 21:00 +0000 [r319261]  Jonathan Rose <jrose@digium.com>

	* main/dsp.c: Makes busy detection in dsp.c always allow for at
	  least one frame (20ms) of error so that 200ms tone lengths don't
	  get ignored by single frame error lengths.

2011-05-16 20:33 +0000 [r319259]  Richard Mudgett <rmudgett@digium.com>

	* main/ccss.c: Deadlock between generic CCSS agent and native ISDN
	  CCSS. Deadlock can occur when the generic CCSS agent is deleting
	  duplicate CC offers and the native ISDN CC driver is processing
	  an incoming CC message. The cc_core_instances container lock
	  cannot be held when an agent or monitor callback is invoked
	  without the possibility of a deadlock. * Make
	  kill_duplicate_offers() remove the reference in cc_core_instances
	  outside of the container lock. JIRA AST-566 JIRA SWP-3469

2011-05-16 18:17 +0000 [r319204]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 319202 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r319202 | twilson | 2011-05-16 11:00:21 -0700 (Mon, 16 May 2011)
	  | 4 lines Unlink a peer from peers_by_ip when expiring a
	  registration Review: https://reviewboard.asterisk.org/r/1218/
	  ........

2011-05-16 15:57 +0000 [r319145]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 319144 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r319144 | dvossel | 2011-05-16 10:56:16 -0500 (Mon, 16 May 2011)
	  | 2 lines Fixes issue with peer ref-counting during
	  handle_request_subscribe. (closes issue #19293) Reported by:
	  irroot ........

2011-05-16 15:53 +0000 [r319142]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Make sure tcptls_session exists before
	  dereferencing it. (closes issue #19192) Reported by: stknob
	  Patches: 10-tcptls-unreachable-peer-segfault.patch uploaded by
	  Chainsaw (license 723) Tested by: vois, Chainsaw

2011-05-16 14:35 +0000 [r319085]  Paul Belanger <pabelanger@digium.com>

	* res/res_http_post.c, configure, include/asterisk/autoconfig.h.in,
	  configure.ac: Support gmime-2.4 (closes issue #18863) Reported
	  by: tzafrir Patches: gmime-2.4-18.diff uploaded by tzafrir
	  (license 46) Tested by: tzafrir Review:
	  https://reviewboard.asterisk.org/r/1213/

2011-05-16 14:26 +0000 [r319083]  David Vossel <dvossel@digium.com>

	* formats/format_wav.c: Fixes Big Endian build issue. (closes issue
	  #19298) Reported by: tzafrir

2011-05-13 18:09 +0000 [r318917-318921]  Brett Bryant <bbryant@digium.com>

	* main/channel.c: Fixes a segmentation fault in dynamic hints when
	  a channel technology isn't loaded for a hint. (closes issue
	  #18495) Reported by: bertrand Tested by: bertrand

	* res/res_srtp.c: This patch fixes an issue with SRTP which makes
	  HOLD/UNHOLD impossible when too much time has passed between
	  sending audio. (closes issue #18206) Reported by: bernhardsi
	  Patches: res_srtp_unhold.patch uploaded by bernhards (license
	  1138) Tested by: bernhards, notthematrix

	* channels/chan_sip.c: This patch allows TCP peers into the ast_db
	  where they were previously restricted. (closes issue #18882)
	  Reported by: cmaj Patches:
	  patch-chan_sip-1.8.3-rc2-allow-tcp-peer-store-db-and-readonly-rt-backend.diff.txt
	  uploaded by cmaj (license 830) Tested by: cmaj

2011-05-13 16:28 +0000 [r318783-318868]  Richard Mudgett <rmudgett@digium.com>

	* main/features.c: CDR's are being written immediately on caller
	  hangup. CDR's are being written immediately on caller hangup. The
	  dialplan is not able to modify it in the h exten. The h exten in
	  the initial context is not run before closing CDR's when the
	  bridge is unlinked if a macro is active and does not have an h
	  exten. * Make ast_bridge_call() check for an h exten in the
	  current context and if a macro is active then the initial
	  context. The first h exten found is then run before closing the
	  CDR. (closes issue #18212) Reported by: leearcher Patches:
	  issue18212_v1.8.patch uploaded by rmudgett (license 664) Tested
	  by: rmudgett Review: https://reviewboard.asterisk.org/r/1206/

	* channels/sig_pri.c: PRI early media won't ring. And another way
	  to pass early media. Don't indicate that there is inband
	  information present, just assume that the B channel is connected.
	  * Restore clearing the dialing flag Rx squelch unconditionally
	  when a PROCEEDING message comes in. (closes issue #19268)
	  Reported by: tbsky Patches: issue19268_v1.8.patch uploaded by
	  rmudgett (license 664) Tested by: tbsky

2011-05-12 23:35 +0000 [r318720]  Matthew Nicholson <mnicholson@digium.com>

	* channels/sip/reqresp_parser.c: Handle ipv6 addresses in the
	  sent-by Via: field. This change fixes a regression in via header
	  parsing and ipv6 handling. (closes issue #18951)

2011-05-12 22:52 +0000 [r318671]  Alec L Davis <sivad.a@paradise.net.nz>

	* include/asterisk/features.h, channels/chan_sip.c,
	  apps/app_directed_pickup.c, main/features.c: Fix directed group
	  pickup feature code *8 with pickupsounds enabled Since 1.6.2, the
	  new pickupsound and pickupfailsound in features.conf cause many
	  issues. 1). chan_sip:handle_request_invite() shouldn't be playing
	  out the fail/success audio, as it has 'netlock' locked. 2).
	  dialplan applications for directed_pickups shouldn't beep. 3).
	  feature code for directed pickup should beep on success/failure
	  if configured. Created a sip_pickup() thread to handle the pickup
	  and playout the audio, spawned from handle_request_invite. Moved
	  app_directed:pickup_do() to features:ast_do_pickup(). Functions
	  below, all now use the new ast_do_pickup() app_directed_pickup.c:
	  pickup_by_channel() pickup_by_exten() pickup_by_mark()
	  pickup_by_part() features.c: ast_pickup_call() (closes issue
	  #18654) Reported by: Docent Patches:
	  ast_do_pickup_1.8_trunk.diff.txt uploaded by alecdavis (license
	  585) Tested by: lmadsen, francesco_r, amilcar, isis242,
	  alecdavis, irroot, rymkus, loloski, rmudgett Review:
	  https://reviewboard.asterisk.org/r/1185/

2011-05-11 18:47 +0000 [r318549-318550]  Terry Wilson <twilson@digium.com>

	* channels/chan_sip.c: Comment out the REF_DEBUG that slipped in
	  during debugging

	* /, channels/chan_sip.c: Merged revisions 318548 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r318548 | twilson | 2011-05-11 12:15:39 -0500 (Wed, 11 May 2011)
	  | 19 lines Clean up several chan_sip reference leaks Several
	  situations in the code could lead to peers or sip_pvt references
	  being leaked. This would cause RTP ports to never be destroyed
	  (leading to exhaustion of all available RTP ports) and memory
	  leaks. The original patch for this issue from rgagnon was the
	  result of an obscene amount of testing and hard work, for which I
	  am very grateful. I did some cleanup and added a few additional
	  refcount fixes that I found. (closes issue #17255) Reported by:
	  kvveltho Patches: tag-1.6.2.17-r309252-sip-dos-mem-leak-fix.diff
	  uploaded by rgagnon (license 1202) Tested by: rgagnon, twilson,
	  wdoekes, loloski Review: https://reviewboard.asterisk.org/r/1101/
	  Review: https://reviewboard.asterisk.org/r/1207/ Review:
	  https://reviewboard.asterisk.org/r/1210/ ........

2011-05-10 23:41 +0000 [r318499]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/sig_ss7.c: Unable to pickup
	  DAHDI/PRI call because call state is reported as DIALING. The
	  channel state is not updated to RINGING when an ALERTING message
	  is received. Regression caused when sig_pri.c (also sig_ss7.c)
	  extracted from chan_dahdi.c. * Added missing channel state update
	  to RINGING when the AST_CONTROL_RINGING frame is queued for ISDN
	  and SS7. (closes issue #19257) Reported by: alecdavis Patches:
	  issue19257_v1.8_v2.patch uploaded by rmudgett (license 664)
	  Tested by: alecdavis, rmudgett

2011-05-10 18:46 +0000 [r318485]  Leif Madsen <lmadsen@digium.com>

	* main/manager.c: Filter out blacklisted manager events when using
	  eventfilter. Merging change from trunk in revision 306432.
	  (closes issue #19260) Reported by: dhubbard Tested by: dhubbard

2011-05-10 15:13 +0000 [r318436]  Russell Bryant <russell@digium.com>

	* channels/chan_iax2.c: chan_iax2: change LOG_NOTICE to LOG_DEBUG
	  in iax2_read().

2011-05-09 23:15 +0000 [r318351]  Richard Mudgett <rmudgett@digium.com>

	* res/Makefile, res/res_features.exports.in (removed): Remove
	  references to res_features and its export file. The contents of
	  res/res_features.c was moved to into main/features.c awhile ago.
	  There is no longer any need for the res/Makefile to reference
	  res_features or the res_features linker exports file to exist.

2011-05-09 20:23 +0000 [r318337]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 318331 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r318331 | twilson | 2011-05-09 15:04:41 -0500 (Mon, 09 May 2011)
	  | 12 lines Don't offer video to directmedia callee unless caller
	  offered it as well Make sure that when directmedia is enabled,
	  that video is not offered to the callee even if it supports it.
	  p->vrtp will not exist since the caller didn't offer video.
	  (closes issue #19195) Reported by: one47 Patches:
	  sip_cant_add_video_rtp uploaded by one47 (license 23) ........

2011-05-09 19:07 +0000 [r318282]  Richard Mudgett <rmudgett@digium.com>

	* main/features.c: Hangup extension executed twice. When a user
	  hangs up a call, in certain circumstances, the hangup extension
	  can end up being executed twice: 1) If a call is bridged and the
	  'h' extension executes the Hangup application, then the 'h'
	  extension will be executed twice. 2) If a call is bridged within
	  a macro (Dial or Queue), it has its own 'h' extension, the main
	  context also has an 'h' extension, and the macro 'h' extension
	  executes the Hangup application, then both 'h' extensions will be
	  executed. * Revert originally commited fix for #16106 and just
	  set AST_FLAG_BRIDGE_HANGUP_RUN unconditionally in
	  ast_bridge_call(). The bridge code just executed an 'h' extension
	  so the main PBX loop does not need to execute one as well. (issue
	  #16106) Reported by: ajohnson (issue #16548) Reported by: hajekd

2011-05-09 17:09 +0000 [r318233]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 318230 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r318230 | dvossel | 2011-05-09 11:51:45 -0500 (Mon, 09 May 2011)
	  | 7 lines Fixes cases where sip_set_rtp_peer can return too early
	  during media path reset. (closes issue #19225) Reported by: one47
	  Patches: sip_set_rtp_peer.patch uploaded by one47 (license 23)
	  ........

2011-05-09 16:57 +0000 [r318231]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c: Don't get early media for ISDN on outgoing
	  calls. It looks to be a long-standing misinterpretation of the
	  progress indicator ie values: 1 - Call is not end-to-end ISDN;
	  further call progress information may be available in-band. 8 -
	  In-band information or an appropriate pattern is now available.
	  Only value 8 is handled by chan_dahdi/sig_pri. The 1 value is not
	  handled as early media probably because the meaning of the second
	  half of it's description was overlooked. * Test to see if either
	  PRI_PROG_CALL_NOT_E2E_ISDN(1) or PRI_PROG_INBAND_AVAILABLE(8)
	  bits are set to open the media path. (closes issue #18868)
	  Reported by: isrl Patches: issue18868_19246_v1.8.patch uploaded
	  by rmudgett (license 664) Tested by: satish_lx .......... No
	  inband progress on PRI_EVENT_RINGING even if inband flag set. My
	  ISDN-PRI provider sends an ALERTING with "Inband information or
	  appropriate pattern now available", but Asterisk only generates
	  and passes the RING to the SIP extension, not the inband message.
	  Unfortunately, the inband message is not a ringback tone but a
	  prompt that says the number is not in service. The SIP extension
	  then hears two rings and the call is hungup which confuses the
	  caller. * Post an AST_CONTROL_PROGRESS as well as opening the
	  media path if inband audio is indicated with an ALERTING message.
	  (closes issue #19246) Reported by: cristiandimache Patches:
	  issue19246_v1.8.patch uploaded by rmudgett (license 664) Tested
	  by: cristiandimache

2011-05-09 14:18 +0000 [r318148]  Jonathan Rose <jrose@digium.com>

	* configs/features.conf.sample: Documenting an observed behavior of
	  features in features.conf. Since parkinglots use an integer for
	  the parkinglot extensions, leading zeros specified in the
	  configuration file are ignored.

2011-05-09 14:09 +0000 [r318142]  Matthew Nicholson <mnicholson@digium.com>

	* main/channel.c: Make indicate/control frames WRITE events on
	  framehooks. Also, if a framehook returns a non-control frame,
	  don't forward it to the channel. (closes issue #19251) Reported
	  by: irroot Patches: (modified) framehook_indicate.patch2 uploaded
	  by irroot (license 52) Tested by: irroot

2011-05-07 23:35 +0000 [r318055-318057]  Russell Bryant <russell@digium.com>

	* res/res_config_curl.c: res_config_curl: fix a crash with static
	  realtime. (closes issue #18413) Reported by: jmls Patches:
	  20101202__issue18413.diff.txt uploaded by tilghman (license 14)
	  Tested by: jmls

	* channels/chan_iax2.c: chan_iax2: Don't overwrite port found with
	  an SRV lookup. (closes issue #17291) Reported by: jcovert
	  Patches: chan_iax2.c.1.8.3-srvlookup-corrected.patch uploaded by
	  jcovert (license 551)

2011-05-06 21:49 +0000 [r317967-317969]  Russell Bryant <russell@digium.com>

	* apps/app_meetme.c: Use the right variable to print the time in a
	  debug message. The original patch also increased some buffer
	  sizes, but that was already done in this version. (closes issue
	  #17034) Reported by: sysreq Patches: asterisk-issue-17034.patch
	  uploaded by sysreq (license 1009)

	* apps/app_meetme.c: Fix some more "set but unused" compiler
	  warnings.

2011-05-06 21:06 +0000 [r317918]  David Vossel <dvossel@digium.com>

	* res/res_rtp_asterisk.c: Fixes missing colon from To/From headers
	  in RTCP manager events. (closes issue #18221) Reported by:
	  clegall_proformatique Patches: 18221_1.patch uploaded by ebroad
	  (license 878)

2011-05-06 21:06 +0000 [r317861-317917]  Russell Bryant <russell@digium.com>

	* main/pbx.c: Fix calculation of free RAM to make minmemfree option
	  work. (closes issue #17124) Reported by: loic Patches: pbx_c.diff
	  uploaded by loic (license 1020)

	* channels/chan_sip.c: chan_sip: Destroy variables on a sip_pvt
	  before copying vars from the sip_peer. Don't duplicate variables
	  on the sip_pvt. Just reset the variable list each time. (closes
	  issue #19202) Reported by: wdoekes Patches:
	  issue19202_destroy_challenged_invite_chanvars.patch uploaded by
	  wdoekes (license 717)

	* channels/chan_sip.c: chan_sip: fix a deadlock in
	  check_rtp_timeout. Don't block doing silly deadlock avoidance.
	  Just return and try again later. The funciton gets called often
	  enough that it's fine. Also, this change was already made in
	  trunk. (closes issue #18791) Reported by: irroot Patches:
	  chan_sip.rtptimeout.patch uploaded by irroot (license 52)

	* channels/chan_sip.c: URI encode less characters in the RPID and
	  Contact headers. If this change causes any problems, we will need
	  to backport the more extensive uri encoding and decoding handling
	  changes that are in trunk/1.10. (closes issue #18686) Reported
	  by: wolfgang Patches: quick-and-dirty.patch uploaded by wdoekes
	  (license 717) Tested by: wdoekes, devellow, wolfgang, mav3rick

2011-05-06 19:31 +0000 [r317858]  Matthew Nicholson <mnicholson@digium.com>

	* pbx/pbx_lua.c: pbx_lua autoservice fixes Don't start an
	  autoservice in pbx_lua if pbx_lua already started one and don't
	  stop one if we didn't start one. Also start and stop the
	  autoservice when transferring control from and to the pbx.

2011-05-06 19:24 +0000 [r317805-317837]  Russell Bryant <russell@digium.com>

	* addons/app_mysql.c: Fix a crash in the MySQL() application. This
	  code was not handling channel datastores safely. The channel must
	  be locked. (closes issue #17964) Reported by: wuwu Patches:
	  issue17964_addon_1.6.2_svn.patch uploaded by seanbright (license
	  71) Tested by: wuwu

	* contrib/realtime/mysql/sipfriends.sql: Add a new sipfriends.sql
	  for MySQL that has more fields in it. (closes issue #16399)
	  Reported by: pabelanger Patches: sipfriends.sql.v3 uploaded by
	  pabelanger (license 224)

2011-05-06 16:19 +0000 [r317670]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_sip.c: Fix SIP connected line updates. This patch
	  fixes a couple SIP connected line update problems: 1) The
	  connected line needs to be updated when the initial INVITE is
	  sent if there is a peer callerid configured. Previously, the
	  connected line information did not get reported until the call
	  was connected so SIP could not report connected line information
	  in ringing or progress messages. 2) The connected line should not
	  be updated on initial connect if there is no connected line
	  information. Previously, all it did was wipe out any default
	  preset CONNECTEDLINE information set by the dialplan with empty
	  strings. (closes issue #18367) Reported by: GeorgeKonopacki
	  Patches: issue18367_v1.8.patch uploaded by rmudgett (license 664)
	  Tested by: rmudgett Review:
	  https://reviewboard.asterisk.org/r/1199/

2011-05-06 08:18 +0000 [r317584]  Terry Wilson <twilson@digium.com>

	* apps/app_queue.c, /: Merged revisions 317575 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r317575 | twilson | 2011-05-06 01:04:17 -0700
	  (Fri, 06 May 2011) | 13 lines Merged revisions 317574 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r317574 | twilson | 2011-05-06 00:55:21 -0700 (Fri, 06 May 2011)
	  | 6 lines Re-fix queue round-robin This part of the change for
	  r315596 was incorrect. No bridge occurs when doing a roundrobin
	  dial and no one answers, so this code shouldn't have been
	  removed. ........ ................

2011-05-05 23:46 +0000 [r317425-317530]  Russell Bryant <russell@digium.com>

	* Makefile: If the configure script runs, force a rebuild of
	  menuselect-tree. Some contents in the menuselect tree are
	  dependent on configure script parameters, namely
	  --enable-dev-mode. (closes issue #17219) Reported by: Nick_Lewis
	  Patches: issue_17219.rev1.txt uploaded by russell (license 2)

	* contrib/realtime/mysql/queue_log.sql,
	  contrib/realtime/mysql/sipfriends.sql: Fix some more realtime
	  MySQL schema issues. (closes issue #18537) Reported by: denzs
	  Patches: sipfriends.sql.svndiff uploaded by denzs (license 1182)
	  queue_log.sql.svndiff uploaded by denzs (license 1182)
	  meetme.sql.svndiff uploaded by denzs (license 1182)

	* contrib/realtime/mysql/sipfriends.sql,
	  contrib/realtime/mysql/meetme.sql: Fix some errors in sample
	  MySQL realtime schema files. (closes issue #18915) Reported by:
	  Dovid Patches: sipfriends.patch uploaded by Dovid (license 652)
	  meetme.patch uploaded by Dovid (license 652)

	* cdr/cdr_syslog.c: Don't lose cdr_syslog config on a reload.
	  (closes issue #18679) Reported by: enegaard Patches:
	  issue18679_seanbright.patch uploaded by seanbright (license 71)
	  Tested by: enegaard

	* channels/chan_alsa.c, channels/chan_console.c,
	  channels/chan_oss.c, channels/chan_mgcp.c,
	  channels/misdn_config.c, channels/chan_unistim.c,
	  channels/chan_usbradio.c, channels/chan_dahdi.c,
	  channels/chan_sip.c, channels/chan_skinny.c,
	  channels/chan_h323.c: Fix some consistency issues with
	  jitterbuffer config. Store the defaults noted in the sample
	  config files in the jitterbuffer config data structure. This
	  makes the CLI commands that output these settings show the right
	  thing. Also only show the settings that are relevant in the
	  settings CLI commands, based on which jitterbuffer is selected
	  and whether it's enabled. (closes issue #19083) Reported by:
	  rgagnon Patches: issue-19083-trunk-r313139.diff uploaded by
	  rgagnon (license 1202)

	* pbx/pbx_lua.c: Add a datastore fixup to fix a pbx_lua crash.
	  (closes issue #19055) Reported by: jamhed Patches:
	  lua_datastore_fixup1.diff uploaded by mnicholson (license 96)
	  Tested by: mnicholson, jamhed

	* channels/iax2-provision.c, pbx/pbx_dundi.c,
	  channels/chan_console.c, cdr/cdr_radius.c, channels/chan_iax2.c,
	  res/res_jabber.c, res/res_config_sqlite.c, cel/cel_pgsql.c,
	  channels/chan_jingle.c, channels/sip/sdp_crypto.c,
	  res/res_config_odbc.c, channels/chan_sip.c, res/res_crypto.c,
	  pbx/pbx_lua.c: Fix more "set but unused" warnings.

	* main/dsp.c: Only display inband DTMF warning if inband DTMF
	  detection is enabled. (closes issue #18901) Reported by: irroot

	* apps/app_rpt.c: Fix potential memory leak, and use of
	  uninitialized memory. (closes issue #16476) Reported by: junky
	  Patches: M16476.diff uploaded by junky (license 177)

	* main/manager.c: Add missing ActioID handling to Events action.
	  (closes issue #18949) Reported by: edersohe Patches:
	  0018949.patch uploaded by edersohe (license 1228)

2011-05-05 20:25 +0000 [r317370]  Sean Bright <sean@malleable.com>

	* addons/res_config_mysql.c: Don't duplicate our data on the stack
	  and just use the MYSQL_ROW directly. With large result sets we
	  were blowing out the stack. (closes issue #19090) Reported by:
	  mickecarlsson Patches: issue19090_trunk_svn.patch uploaded by
	  seanbright (license 71) Tested by: mickecarlsson

2011-05-05 19:55 +0000 [r317336]  Russell Bryant <russell@digium.com>

	* apps/app_queue.c: Increase buffer size to be PATH_MAX for a path.
	  (closes issue #19239) Reported by: byronclark Patches:
	  queue_announce_length.patch uploaded by byronclark (license 1200)

2011-05-05 19:09 +0000 [r317283]  Jonathan Rose <jrose@digium.com>

	* channels/chan_sip.c: Resolves a deadlock that occurs during
	  sip_new This is based on an uncommitted patch by jpeeler for the
	  issue. Instead of relocking and then unlocking the channel
	  though, we keep the lock on the channel until we are finished
	  doing what we need to the channel. (closes issue #18441) Reported
	  by: Alric

2011-05-05 18:39 +0000 [r317280-317281]  Russell Bryant <russell@digium.com>

	* /, channels/chan_sip.c: Merged revisions 317255 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r317255 | russell | 2011-05-05 13:29:53 -0500
	  (Thu, 05 May 2011) | 22 lines Merged revisions 317211 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r317211 | russell | 2011-05-05 13:20:29 -0500 (Thu, 05 May 2011)
	  | 15 lines chan_sip: fix broken realtime peer count, fix memory
	  leak This patch addresses two bugs in chan_sip: 1) The count of
	  realtime peers and users was off. The increment checked the value
	  of the caching option, while the decrement did not. 2) Add a
	  missing regfree() for a regex. (closes issue #19108) Reported by:
	  vrban Patches: missing_regfree.patch uploaded by vrban (license
	  756) sip_object_counter.patch uploaded by vrban (license 756)
	  ........ ................

	* /: Restore branch-1.6.2-merged and branch-1.6.2-blocked
	  properties.

2011-05-05 18:02 +0000 [r317196]  Matthew Nicholson <mnicholson@digium.com>

	* channels/chan_sip.c: Set SO_KEEPALIVE on SIP TCP sockets so that
	  they eventually go away when a peer abruptly disappears. This
	  mostly occurs after a successful registration. (closes issue
	  #17544) Reported by: marcelloceschia Patches: (modified)
	  tcptls.patch uploaded by st (license 907)

2011-05-05 15:04 +0000 [r317058-317104]  Leif Madsen <lmadsen@digium.com>

	* contrib/scripts/safe_asterisk, /: Merged revisions 317102 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r317102 | lmadsen | 2011-05-05 10:54:46 -0400 (Thu, 05 May 2011)
	  | 8 lines Disable console colourization inside safe_asterisk
	  checks. (closes issue #19213) Reported by: lefoyer Patches:
	  issue19213_strip_color_in_safe_asterisk-svn.patch uploaded by
	  wdoekes (license 717) Tested by: wdoekes, lefoyer ........

	* Makefile, configs/cel.conf.sample: Remove unused directory and
	  clear up some documentation. (closes issue #19193) Reported by:
	  bchia Patches: cel-csv.diff uploaded by lathama (license 1028)
	  Tested by: lathama, Marquis42

2011-05-05 02:30 +0000 [r316917-316919]  Sean Bright <sean@malleable.com>

	* main/http.c: Use the correct HTTP method when generating our
	  digest, otherwise we always fail. When calculating the 'A2'
	  portion of our digest for verification, we need the HTTP method
	  that is currently in use. Unfortunately our mapping function was
	  incorrect, resulting in invalid hashes being generated and, in
	  turn, failures in authentication. (closes issue #18598) Reported
	  by: ksn

	* main/utils.c: Look at the correct buffer for our digest info
	  instead of an empty one. (issue #18598) Reported by: ksn

	* main/manager.c: Make sure that tcptls_session is properly
	  initialized. (issue #18598) Reported by: ksn

2011-05-04 20:50 +0000 [r316874]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooSocket.c: Fix trivial bug in ooSocket.c
	  codes Revert condition for result code of ast_gethostbyname
	  (closes issue #19185) Reported by: dswartz Patches:
	  issue19185-patch uploaded by may213 (license 454)

2011-05-04 18:51 +0000 [r316831]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_meetme.c: Wait for leader with Music On Hold allows
	  crosstalk between participants. Parenthesis in the wrong
	  position. Regression from issue #14365 when expanding conference
	  flags to use 64 bits. (closes issue #18418) Reported by: MrHanMan
	  Tested by: rmudgett

2011-05-04 16:15 +0000 [r316663-316709]  Sean Bright <sean@malleable.com>

	* apps/app_voicemail.c, /: Merged revisions 316708 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r316708 | seanbright | 2011-05-04 12:10:59 -0400
	  (Wed, 04 May 2011) | 15 lines Merged revisions 316707 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r316707 | seanbright | 2011-05-04 12:08:50 -0400 (Wed, 04 May
	  2011) | 8 lines If sox fails when processing a voicemail, don't
	  delete the original file. (closes issue #18111) Reported by:
	  sysreq Patches: issue18111_trunk.patch uploaded by seanbright
	  (license 71) Tested by: seanbright ........ ................

	* main/manager.c: Only return a single error via AMI when
	  requesting a forbidden action. (closes issue #19216) Reported by:
	  oej Patches: issue19216-1.8-r316204.patch uploaded by seanbright
	  (license 71) Tested by: seanbright

2011-05-04 14:25 +0000 [r316617-316650]  David Vossel <dvossel@digium.com>

	* apps/app_chanspy.c, /: Merged revisions 316644 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r316644 | dvossel | 2011-05-04 09:23:39 -0500 (Wed, 04 May 2011)
	  | 9 lines Fixes one-way-audio when chanspy activated with the 'o'
	  option (closes issue #18382) Reported by: jkister Patches:
	  0001-Bugfix-18382-one-way-audio-when-chanspy-activated.patch.txt
	  uploaded by malin (license ) Tested by: firstsip, Greenlightcrm,
	  malin, wdoekes, boroda, dvossel ........

	* /, channels/chan_sip.c: Merged revisions 316616 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r316616 | dvossel | 2011-05-04 08:40:41 -0500 (Wed, 04 May 2011)
	  | 12 lines Fixes session-timers=refuse not being enforced for
	  *caller* During handle_request_invite, the session timer mode was
	  retrieved from a cached variable. This patch forces a peer lookup
	  of the session timer mode in the case of an incoming invite.
	  (closes issue #18804) Reported by: wdoekes Patches:
	  issue18804_session_timer_refuse_caller.patch uploaded by wdoekes
	  (license 717) issue_18804_v2.diff uploaded by dvossel (license
	  671) ........

2011-05-04 02:34 +0000 [r316476]  Sean Bright <sean@malleable.com>

	* /, apps/app_meetme.c: Merged revisions 316475 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r316475 | seanbright | 2011-05-03 22:23:01 -0400 (Tue, 03 May
	  2011) | 10 lines Honor the C option to MeetMe when L is passed.
	  This fixes a case that r304773 and friends missed. (closes issue
	  #17317) Reported by: var Patches: meetme-continue-on-l_16218.diff
	  uploaded by var (license 1227) Tested by: seanbright ........

2011-05-04 00:12 +0000 [r316429]  Tilghman Lesher <tilghman@meg.abyt.es>

	* addons/cdr_mysql.c, addons/res_config_mysql.c: Escape column
	  names in case they contain illegal characters ('-') or reserved
	  words. (closes issue #19063) Reported by: festr Patches: patch
	  uploaded by festr (license 443)

2011-05-03 22:13 +0000 [r316336]  Russell Bryant <russell@digium.com>

	* pbx/pbx_dundi.c, channels/chan_mgcp.c, channels/chan_skinny.c:
	  Use htons() instead of ntohs() in some places. (closes issue
	  #19200) Reported by: wdoekes Patches: issue19200-trunk.patch
	  uploaded by wdoekes (license 717) issue19200-1.8.x.patch uploaded
	  by wdoekes (license 717)

2011-05-03 22:05 +0000 [r316334]  David Vossel <dvossel@digium.com>

	* main/channel.c: Fixes framehook segfault on indicate (closes
	  issue #19215) Reported by: irroot Patches:
	  framehook_indicate.patch uploaded by irroot (license 52)

2011-05-03 21:41 +0000 [r316331]  Russell Bryant <russell@digium.com>

	* apps/app_minivm.c: Resolve another warning.

2011-05-03 21:37 +0000 [r316330]  David Vossel <dvossel@digium.com>

	* channels/chan_local.c, /: Merged revisions 316329 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r316329 | dvossel | 2011-05-03 16:29:55 -0500
	  (Tue, 03 May 2011) | 17 lines Merged revisions 316328 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r316328 | dvossel | 2011-05-03 16:27:59 -0500 (Tue, 03 May 2011)
	  | 10 lines Fixes chan_local crashs in local_fixup() Thanks OEJ
	  for tracking down the issue and submitting the patch. (closes
	  issue #19053) Reported by: oej Tested by: oej Review:
	  https://reviewboard.asterisk.org/r/1158/ ........
	  ................

2011-05-03 19:55 +0000 [r316265]  Russell Bryant <russell@digium.com>

	* res/res_musiconhold.c, apps/app_ices.c, apps/app_followme.c,
	  main/config.c, main/cdr.c, main/channel.c, channels/chan_phone.c,
	  funcs/func_enum.c, main/manager.c, channels/chan_skinny.c,
	  res/res_agi.c, main/plc.c, main/features.c, apps/app_minivm.c,
	  apps/app_amd.c, main/pbx.c, res/res_fax.c, formats/format_wav.c,
	  apps/app_festival.c, channels/chan_agent.c, apps/app_originate.c,
	  apps/app_queue.c, codecs/lpc10/dyptrk.c,
	  include/asterisk/linkedlists.h, main/audiohook.c,
	  pbx/pbx_config.c, main/asterisk.c, main/dsp.c,
	  res/res_calendar.c, apps/app_voicemail.c, main/udptl.c,
	  channels/chan_unistim.c, main/fskmodem_float.c,
	  main/rtp_engine.c: Fix a bunch of compiler warnings generated by
	  gcc 4.6.0. Most of these are -Wunused-but-set-variable, but there
	  were a few others mixed in here, as well.

2011-05-03 19:18 +0000 [r316224]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/chan_dahdi.c, channels/sig_analog.c:
	  The dahdi_hangup() call does not clean up the channel fully.
	  After dahdi_hangup() has supposedly hungup an ISDN channel there
	  is still traffic on the S0-bus because the channel was not
	  cleaned up fully. Shuffled the hangup code to include some
	  missing cleanup. Also fixed some code formatting in the area. I
	  think the primary missing clean up code was the call to
	  tone_zone_play_tone() to turn off any active tones on the
	  channel. (closes issue #19188) Reported by: jg1234 Patches:
	  issue19188_v1.8.patch uploaded by rmudgett (license 664) Tested
	  by: jg1234

2011-05-03 18:59 +0000 [r316215-316217]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: Never put the Require: timer header in an
	  Invite. This has already been discussed and should have been
	  resolved earlier. View revsion 285565's log for more information
	  about why it is important to not put timer in the Require header.
	  (closes issue #18704) Reported by: mfrager

	* res/res_odbc.c: Fixes a random crash (NULL reference) in
	  res_odbc.c. (closes issue #19180) Reported by: pruiz Patches:
	  tmp.diff uploaded by pruiz (license 1152) Tested by: pruiz,
	  seanbright

2011-05-03 18:17 +0000 [r316206]  Sean Bright <sean@malleable.com>

	* main/manager.c: If we aren't interested in events, don't generate
	  the FullyBooted event on AMI login. (closes issue #19089)
	  Reported by: bklang Patches: issue19089-1.8-r316204.patch
	  uploaded by seanbright (license 71) Tested by: seanbright

2011-05-03 10:57 +0000 [r316193]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* autoconf/ast_check_pwlib.m4, configure: Re-fix bashism in
	  ./configure: s/let/$(( ))/ A forward-port in r278985 accidentally
	  re-introduced issue 17485. Fixing it. Thanks to Jilles Tjoelker
	  for the good report. (closes issue #17485)

2011-05-02 19:09 +0000 [r316094]  Tilghman Lesher <tilghman@meg.abyt.es>

	* funcs/func_curl.c, /: Merged revisions 316093 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r316093 | tilghman | 2011-05-02 14:04:36 -0500 (Mon, 02 May 2011)
	  | 8 lines More possible crashes based upon invalid inputs.
	  (closes issue #18161) Reported by: wdoekes Patches:
	  20110301__issue18161.diff.txt uploaded by tilghman (license 14)
	  Tested by: wdoekes ........

2011-04-27 19:14 +0000 [r315894]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_sip.c, channels/sip/reqresp_parser.c: Merged
	  revisions 315893 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r315893 | mnicholson | 2011-04-27 14:03:05 -0500
	  (Wed, 27 Apr 2011) | 21 lines Merged revisions 315891 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r315891 | mnicholson | 2011-04-27 13:57:56 -0500 (Wed, 27 Apr
	  2011) | 14 lines Fix our compliance with RFC 3261 section 18.2.2.
	  This change optimizes the free_via() function and removes some
	  redundant null checking. It also fixes compliance with RFC 3261
	  section 18.2.2 by always using the port specified in the Via
	  header for routing responses (even when maddr is not set). Also
	  the htons() function is now used when setting the port.
	  Additional documentation comments have been added in various
	  places to make the logic in the code clearer. (closes issue
	  #18951) Reported by: jmls Patches:
	  issue18951_set_proper_port_from_via.patch uploaded by wdoekes
	  (license 717) (modified) ........ ................

2011-04-27 15:55 +0000 [r315810]  Russell Bryant <russell@digium.com>

	* main/asterisk.c: Set the copyright year to 2011 in the startup
	  message.

2011-04-27 12:36 +0000 [r315765]  Leif Madsen <lmadsen@digium.com>

	* sounds/sounds.xml, sounds/Makefile: Enable Russian core sound
	  selection in menuselect. (closes issue #18724) Reported by:
	  pbxware

2011-04-26 22:56 +0000 [r315673]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 315672 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r315672 | twilson | 2011-04-26 15:52:25 -0700
	  (Tue, 26 Apr 2011) | 18 lines Merged revisions 315671 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r315671 | twilson | 2011-04-26 15:47:56 -0700 (Tue, 26 Apr 2011)
	  | 11 lines Make sure unregistering a peer unlinks it from the
	  peer container Instead of mostly copying the code from
	  expire_register, just use the function that "does the right
	  thing". (closes issue #16033) Reported by: kkm Patches:
	  016033-tilgman-fixed-refcount.diff uploaded by kkm (license 888)
	  Tested by: kkm, tilghman, twilson ........ ................

2011-04-26 22:14 +0000 [r315645]  Richard Mudgett <rmudgett@digium.com>

	* main/pbx.c: The 'e' special extension fails to trigger in at
	  least two cases. The 'e' extension is a fall back for the 'i',
	  't', or 'T' extensions if any of them do not exist. Many of the
	  places the 'e' extension was supposed to be invoked fail because
	  the priority was set wrong. There were two places where the 'e'
	  extension was not even checked for fall back. * Made invoke the
	  'e' extension similarly to the previous 'i', 't', or 'T'
	  extension check and added the 'e' extension as a fall back to the
	  two missing locations. * Prioritized and optimized some hangup
	  tests associated with the 'e' extension. (closes issue #19136)
	  Reported by: kshumard Tested by: rmudgett Review:
	  https://reviewboard.asterisk.org/r/1196/

2011-04-26 21:39 +0000 [r315644]  Terry Wilson <twilson@digium.com>

	* apps/app_queue.c, apps/app_dial.c, /, main/features.c: Merged
	  revisions 315643 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r315643 | twilson | 2011-04-26 14:27:44 -0700
	  (Tue, 26 Apr 2011) | 25 lines Merged revisions 315596 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r315596 | twilson | 2011-04-26 14:16:10 -0700 (Tue, 26 Apr 2011)
	  | 18 lines Allow transfer loops without allowing forwarding loops
	  We try to avoid the situation where two phones may be forwarded
	  to each other causing an infinite loop by storing each dialed
	  interface in a channel datastore and checking the list before
	  dialing out. This works, but currently breaks situations like A
	  calls B, A transfers B to C, B transfers C to A, and A transfers
	  C to B. Since human interaction is happening here and not an
	  automated forwarding loop, it should be allowed. This patch
	  removes the dialed_interfaces datastore when a call is bridged (a
	  suggestion from the brilliant mmichelson). If a call is being
	  bridged, it should be safe to assume that we aren't stuck in a
	  loop. Since we are now handling this is the bridge code, the
	  previous attempts at handling it in app_dial and app_queue are
	  removed. Review: https://reviewboard.asterisk.org/r/1195/
	  ........ ................

2011-04-26 19:32 +0000 [r315503]  Tilghman Lesher <tilghman@meg.abyt.es>

	* include/asterisk/select.h, /: Merged revisions 315502 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r315502 | tilghman | 2011-04-26 14:22:52 -0500
	  (Tue, 26 Apr 2011) | 21 lines Merged revisions 315501 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r315501 | tilghman | 2011-04-26 14:18:46 -0500 (Tue, 26 Apr 2011)
	  | 14 lines Fix the bounds-checking code. The code that set the
	  bit within the select bitfield was correct, but the
	  bounds-checking code was not. The change to that line uses the
	  new _bitsize macro for clarity. Also, FD_ZERO macro did not
	  zero-out anything but the first word of the bitfield, so this
	  could have caused problems with modules using that macro with the
	  expanded bitfield. (closes issue #18773) Reported by: jamicque
	  Patches: 20110423__issue18773.diff.txt uploaded by tilghman
	  (license 14) Tested by: chris-mac ........ ................

2011-04-26 18:00 +0000 [r315452]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_dial.c: Add missing set of name valid flag when dialing.

2011-04-26 17:40 +0000 [r315446]  Russell Bryant <russell@digium.com>

	* channels/chan_local.c: chan_local: resolve a deadlock. This patch
	  resolves a fairly complex deadlock that can occur with the
	  combination of chan_local and a dialplan switch, such as dynamic
	  realtime extensions, which pulls autoservice into the picture
	  when doing a dialplan lookup. (closes issue #18818) Reported by:
	  nic Patches: issue18818.patch uploaded by jthurman (license 614)
	  18818.v1.txt uploaded by russell (license 2) Tested by: nic,
	  jthurman, kterzi, steve-howes, sysreq, IshMalik

2011-04-26 02:18 +0000 [r315394]  Paul Belanger <pabelanger@digium.com>

	* pbx/pbx_config.c, /: Merged revisions 315393 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r315393 | pabelanger | 2011-04-25 22:17:43 -0400 (Mon, 25 Apr
	  2011) | 7 lines Add back CLI command 'dialplan save' (closes
	  issue #19140) Reported by: lmadsen Patches:
	  __20110419_dialplan_save.patch.txt uploaded by lmadsen (license
	  10) ........

2011-04-25 21:49 +0000 [r315349]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_mgcp.c: When using MGCP realtime gateway
	  definitions, random crashes occur. Fixed incorrect linked list
	  node removal for realtime gateways. (closes issue #18291)
	  Reported by: nahuelgreco Patches:
	  dangling-pointers-when-pruning.patch uploaded by nahuelgreco
	  (license 162)

2011-04-25 19:37 +0000 [r315213-315259]  Russell Bryant <russell@digium.com>

	* /, formats/format_wav.c: Merged revisions 315258 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r315258 | russell | 2011-04-25 14:31:44 -0500
	  (Mon, 25 Apr 2011) | 17 lines Merged revisions 315257 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r315257 | russell | 2011-04-25 14:28:41 -0500 (Mon, 25 Apr 2011)
	  | 10 lines Be more flexible with unknown chunks in wav files.
	  This patch makes format_wav ignore unknown chunks instead of
	  erroring out on them. (closes issue #18306) Reported by: jhirsch
	  Patches: wav_skip_unknown_blocks.diff uploaded by jhirsch
	  (license 1156) ........ ................

	* /, channels/chan_sip.c: Merged revisions 315212 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r315212 | russell | 2011-04-25 14:00:24 -0500 (Mon, 25 Apr 2011)
	  | 7 lines Don't link non-cached realtime peers into the
	  peers_by_ip container. (closes issue #18924) Reported by: wdoekes
	  Patches: issue18924_uncached_realtime_peers_leak-1.6.2.17.patch
	  uploaded by wdoekes (license 717) ........

2011-04-25 07:14 +0000 [r315053]  Alec L Davis <sivad.a@paradise.net.nz>

	* channels/chan_local.c, /: Merged revisions 315052 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r315052 | alecdavis | 2011-04-25 19:11:12 +1200
	  (Mon, 25 Apr 2011) | 16 lines Merged revisions 315051 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r315051 | alecdavis | 2011-04-25 19:06:29 +1200 (Mon, 25 Apr
	  2011) | 11 lines chan_local:check_bridge() misplaced misplaced
	  ast_mutex_unlock if !p->chan->_bridge->_softhangup path isn't
	  followed, brigde remains locked. (closes issue #19176) Reported
	  by: alecdavis Patches: bug19176.diff.txt uploaded by alecdavis
	  (license 585) ........ ................

2011-04-22 22:59 +0000 [r315001]  Alec L Davis <sivad.a@paradise.net.nz>

	* channels/chan_dahdi.c: chan_dahdi: Can't return to normal ring
	  after distinctive ring on FXS clear a previous distinctivering
	  pattern before each new call (closes issue #18985) Reported by:
	  bromont Patches: bug18985.diff.txt uploaded by alecdavis (license
	  585) Tested by: alecdavis, bromont

2011-04-22 21:20 +0000 [r314959]  Matthew Nicholson <mnicholson@digium.com>

	* /, channels/chan_agent.c: Merged revisions 314958 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r314958 | mnicholson | 2011-04-22 15:49:45 -0500
	  (Fri, 22 Apr 2011) | 17 lines Merged revisions 311203,314908 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r311203 | mnicholson | 2011-03-17 14:14:37 -0500 (Thu, 17 Mar
	  2011) | 4 lines Don't hold the pvt lock while streaming a file.
	  ABE-2756 ........ r314908 | mnicholson | 2011-04-22 15:01:48
	  -0500 (Fri, 22 Apr 2011) | 4 lines Prevent the login thread and
	  the app threads from using the asterisk channel at the same time.
	  ABE-2756 ........ ................

2011-04-22 14:02 +0000 [r314780]  Russell Bryant <russell@digium.com>

	* /, res/res_agi.c: Merged revisions 314778 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r314778 | russell | 2011-04-22 08:58:03 -0500 (Fri, 22 Apr 2011)
	  | 11 lines Initialize buffers in getvar and getvarfull.
	  Initialize the buffers used to hold the result from GET VARIABLE
	  or GET VARIABLE FULL. The bug report shows func_read returning
	  garbage in the result. It assumed that the buffer passed in was
	  initialized, like many other functions do. In the more common
	  code path (through the dialplan), it is initialized, so just
	  initialize it here too. (closes issue #19050) Reported by: johnz
	  ........

2011-04-22 13:59 +0000 [r314779]  Tzafrir Cohen <tzafrir.cohen@xorcom.com>

	* res/res_fax_spandsp.c, channels/chan_unistim.c: Fix a few typos
	  (shown by Lintian)

2011-04-22 13:35 +0000 [r314777]  Russell Bryant <russell@digium.com>

	* /: Recorded merge of revisions 314776 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r314776 | russell | 2011-04-22 08:35:22 -0500 (Fri, 22 Apr 2011)
	  | 10 lines Fix handling of some call parking config options. This
	  patch adjusts the handling of some call parking config options to
	  fix some issues that have already been addressed in 1.8 and
	  trunk. (closes issue #19167) Reported by: bluecrow76 Patches:
	  asterisk-1.6.2.17.2-fix-build-parkinglot-parked-AST_FEATURE_FLAGS.diff
	  uploaded by bluecrow76 (license 270) ........

2011-04-21 22:38 +0000 [r314732]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Correct DAHDIShowChannels XML
	  documentation.

2011-04-21 18:24 +0000 [r314628]  Matthew Nicholson <mnicholson@digium.com>

	* configs/sip.conf.sample, configs/skinny.conf.sample,
	  channels/sip/include/sip.h, configs/http.conf.sample,
	  main/manager.c, /, channels/chan_sip.c, channels/chan_skinny.c,
	  main/http.c: Merged revisions 314620 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r314620 | mnicholson | 2011-04-21 13:22:19 -0500
	  (Thu, 21 Apr 2011) | 20 lines Merged revisions 314607 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r314607 | mnicholson | 2011-04-21 13:19:21 -0500 (Thu, 21 Apr
	  2011) | 14 lines Added limits to the number of unauthenticated
	  sessions TCP based protocols are allowed to have open
	  simultaneously. Also added timeouts for unauthenticated sessions
	  where it made sense to do so. Unrelated, the manager interface
	  now properly checks if the user has the "system" privilege before
	  executing shell commands via the Originate action. AST-2011-005
	  AST-2011-006 (closes issue #18787) Reported by: kobaz (related to
	  issue #18996) Reported by: tzafrir ........ ................

2011-04-21 00:23 +0000 [r314550]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 314549 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r314549 | twilson | 2011-04-20 17:17:34 -0700 (Wed, 20 Apr 2011)
	  | 6 lines Don't allocate more space than necessary for a sip_pkt
	  This extra allocation is a hold-over from when pkt->data was a
	  character array. Now that it is an allocated string, just
	  allocate enough for the sip_pkt. ........

2011-04-20 16:54 +0000 [r314417]  Richard Mudgett <rmudgett@digium.com>

	* include/asterisk/frame.h: AST_CONTROL_XXX comment changes.

2011-04-20 05:25 +0000 [r314358]  Terry Wilson <twilson@digium.com>

	* main/lock.c: Initialize track pointer ast_reentrancy_init checks
	  to see if it is NULL before initializing with calloc

2011-04-19 15:42 +0000 [r314203-314251]  Leif Madsen <lmadsen@digium.com>

	* main/tcptls.c: Use SSLv23_client_method instead of old SSLv2
	  only. (closes issue #19095) (closes issue #19138) Reported by:
	  tzafrir Patches: no_ssl2.diff uploaded by tzafrir (license 46)
	  Tested by: russell, chazzam

	* /, funcs/func_channel.c: Merged revisions 314205 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ........ r314205 | lmadsen | 2011-04-19 09:27:50 -0500 (Tue, 19
	  Apr 2011) | 6 lines Remove duplicate documentation from
	  func_channel.c (closes issue #18970) Reported by: IgorG Patches:
	  func_channel.c.doc.diff uploaded by IgorG (license 20) ........

	* apps/app_dial.c, /: Merged revisions 314202 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r314202 | lmadsen | 2011-04-19 09:23:39 -0500 (Tue, 19 Apr 2011)
	  | 7 lines Update seconds to milliseconds in ast_verb output.
	  (closes issue #19084) Reported by: smurfix Patches:
	  app_dial.patch uploaded by smurfix (license 547) Tested by:
	  lmadsen, smurfix ........

2011-04-18 16:10 +0000 [r314068-314069]  Richard Mudgett <rmudgett@digium.com>

	* res/res_agi.c: The AsyncAGI command loop is lax in the value it
	  returns for the return status. * Return correct status:
	  SUCCESS/FAILED/HANGUP. Previously, abnormal exits from the
	  command loop such as hangup would return SUCCESS. * The "asyncagi
	  break" command now returns SUCCESS and is now the only way to
	  break the command loop with that status. Previously, it returned
	  FAILED. * The AMI event AsyncAGI End is no longer sent if the
	  AsyncAGI Start event is not sent. Previously, this happened
	  because of an error setting up the AGI pipes. * All executed AGI
	  commands now get an AsyncAGI Exec result event. Previously, if
	  the command returned failure (because of hangup), the command
	  loop just exited with FAILURE and did not send the AsyncAGI Exec
	  result event. * Makes sure that the channel frame queue is empty
	  on hangup. Review: https://reviewboard.asterisk.org/r/1183/

	* apps/app_dial.c: Unclear code in app_dial.c. Make code formatting
	  clear. (closes issue #19134) Reported by: oej

2011-04-18 15:23 +0000 [r314017-314067]  David Vossel <dvossel@digium.com>

	* channels/chan_sip.c: Remove the need for deadlock avoidance in
	  chan_sip do_monitor. Deadlock avoidance between the sip pvt and
	  the pvt->owner is very difficult. Now that channel's are ao2
	  objects, this complication is no longer necessary. It turns out
	  the pvt's msg queue only exists because of deadlock avoidance
	  (when deadlock avoidance fails msgs were added to a queue to be
	  processed later), so this goes away as well. The technique used
	  in the new sip_lock_pvt_full() function should be used as a
	  template for replacing all locations where deadlock avoidance
	  occurs between a channel tech_pvt and the pvt's owner. My hope is
	  that this will begin a reversal of the invalid channel driver
	  locking architecture we have been using for so long. This patch
	  also resolves an issue where the pvt->owner gets unlocked during
	  processing the msg queue. (closes issue #18690) Reported by:
	  dvossel Review: https://reviewboard.asterisk.org/r/1182/

	* include/asterisk/rtp_engine.h, main/rtp_engine.c,
	  channels/chan_sip.c: sip codec negotiation of dynamic rtp
	  payloads error fix This patch fixes how chan_sip handles dynamic
	  rtp payload types it does not understand. At the moment if a
	  dynamic payload's mime type does not match one we understand, the
	  payload does not get removed from our payload table. As a result
	  of this, the payload is set to whatever dynamic codec we use
	  internally for that payload number on outgoing INVITES. This is
	  incorrect. This patch fixes this by properly checking the rtpmap
	  set function's return code to make sure it was found. The
	  function can return both -1 and -2 depending on the source of the
	  mismatch. We were just checking -1 explicitly. Review:
	  https://reviewboard.asterisk.org/r/1169/

2011-04-15 15:08 +0000 [r313860]  Jonathan Rose <jrose@digium.com>

	* main/cli.c, /: Merged revisions 313859 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r313859 | jrose | 2011-04-15 09:58:37 -0500 (Fri, 15 Apr 2011) |
	  10 lines Fix a Tab Completion bug that occurs due to multiple
	  matches on a substring. Makes word_match function in cli.c repeat
	  a search for a command string until a proper match is found or
	  the string is searched to the last point. (closes issue #17494)
	  Reported by: ffossard Review:
	  https://reviewboard.asterisk.org/r/1180/ ........

2011-04-14 20:59 +0000 [r313517-313780]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Leftover debug messages unconditionally
	  sent to the console. Executing Dial(DAHDI/1/18475551212,300,)
	  with the echotraining config option enabled outputs the following
	  debug messages unconditionally: Dialing T1847555121 on 1 Dialing
	  www2w on 1 * Made debug messages in my_dial_digits() normal debug
	  messages that do not get output unless enabled. * Reworded some
	  debug messages in my_dial_digits() to be clearer. * Replace
	  strncpy() with ast_copy_string() in my_dial_digits() which does
	  the same job better. (closes issue #18847) Reported by:
	  vmikhelson Tested by: rmudgett

	* res/res_agi.c: Revert flushing stale AsyncAGI commands from
	  -r313615. It looks like it was intentional to leave any commands
	  or in-flight commands in the queue in case Async AGI is run again
	  on the call.

	* res/res_agi.c: Miscellaneous AGI diagnostic message cleanup and
	  code optimization.

	* res/res_agi.c: * Add missing channel lock to
	  handle_cli_agi_add_cmd(). * Flush any Async AGI commands left
	  over from earlier Async AGI control of the call.

	* main/channel.c, /, res/res_agi.c: Merged revisions 313579 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r313579 | rmudgett | 2011-04-13 11:29:49 -0500
	  (Wed, 13 Apr 2011) | 48 lines Merged revisions 313545 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r313545 | rmudgett | 2011-04-13 11:21:24 -0500 (Wed, 13 Apr 2011)
	  | 41 lines Asterisk does not hangup a channel after endpoint
	  hangs up. If the call that the dialplan started an AGI script for
	  is hungup while the AGI script is in the middle of a command then
	  the AGI script is not notified of the hangup. There are many AGI
	  Exec commands that this can happen with. The reported
	  applications have been: Background, Wait, Read, and Dial. Also
	  the AGI Get Data command. * Don't wait on the Asterisk channel
	  after it has hung up. The channel is likely to never need
	  servicing again. * Restored the AGI script's ability to return
	  the AGI_RESULT_HANGUP value in run_agi(). It previously only
	  could return AGI_RESULT_SUCCESS or AGI_RESULT_FAILURE after the
	  DeadAGI and AGI applications were merged. (closes issue #17954)
	  Reported by: mn3250 Patches: issue17954_v1.8.patch uploaded by
	  rmudgett (license 664) issue17954_v1.6.2.patch uploaded by
	  rmudgett (license 664) issue17954_v1.4.patch uploaded by rmudgett
	  (license 664) Tested by: rmudgett JIRA SWP-2171 (closes issue
	  #18492) Reported by: devmod Tested by: rmudgett JIRA SWP-2761
	  (closes issue #18935) Reported by: nvitaly Tested by: astmiv,
	  rmudgett JIRA SWP-3216 (closes issue #17393) Reported by: siby
	  Tested by: rmudgett JIRA SWP-2727 Review:
	  https://reviewboard.asterisk.org/r/1165/ ........
	  ................

	* apps/app_dumpchan.c: Bring the dumpchan application inline with
	  "core show channel". * Added fields that are in "core show
	  channel" to dumpchan output. * Fixed reuse of formatbuf before
	  the previous string stored there was used by snprintf. All output
	  strings now have their own buffer. * Adjusted the buffer sizes to
	  not be so abusive of the stack now that there are more buffers.
	  Change requested by oej.

2011-04-12 18:47 +0000 [r313434-313436]  Jonathan Rose <jrose@digium.com>

	* channels/chan_dahdi.c, /: fixing stupid mistake with putting code
	  before variable declaration ........ Merged revisions 313435 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r313432 | jrose | 2011-04-12 13:12:29 -0500 (Tue, 12 Apr 2011) |
	  14 lines reload Chan_dahdi memory leak caused by variables
	  chan_dahdi reloading with variables set via setvar in
	  chan_dahdi.conf would stay in the dahdi_pvt structs for
	  individual channels (causing them to just continue adding the new
	  ones to the list) and also there was a memory leak causes by the
	  conf objects. This patch resolves both of these by using
	  ast_variables_destroy during the loading process. (closes issue
	  #17450) Reported by: nahuelgreco Patches: patch.diff uploaded by
	  jrose (license 1225) Tested by: tilghman, jrose Review:
	  https://reviewboard.asterisk.org/r/1170/ ........ ........

	* channels/chan_dahdi.c, /: Merged revisions 313432 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ........ r313432 | jrose | 2011-04-12 13:12:29 -0500 (Tue, 12 Apr
	  2011) | 14 lines reload Chan_dahdi memory leak caused by
	  variables chan_dahdi reloading with variables set via setvar in
	  chan_dahdi.conf would stay in the dahdi_pvt structs for
	  individual channels (causing them to just continue adding the new
	  ones to the list) and also there was a memory leak causes by the
	  conf objects. This patch resolves both of these by using
	  ast_variables_destroy during the loading process. (closes issue
	  #17450) Reported by: nahuelgreco Patches: patch.diff uploaded by
	  jrose (license 1225) Tested by: tilghman, jrose Review:
	  https://reviewboard.asterisk.org/r/1170/ ........

2011-04-11 23:08 +0000 [r313366-313369]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_dial.c: Frames from the inbound channel should go to all
	  outbound channels in app_dial.c. In app_dial.c:wait_for_answer()
	  frames from the inbound channel should be sent to all outbound
	  channels instead of only if there is just one outbound channel.
	  Control frames like AST_CONTROL_CONNECTED_LINE need to be passed
	  to all of the the outbound channels. This can happen if a blond
	  transfer is done by a remote switch on the inbound channel. JIRA
	  AST-443 JIRA SWP-2730

	* apps/app_dial.c: Backport a restructuring change from trunk to
	  make the next change stand out.

	* main/cli.c: Added "Connected Line ID" and "Connected Line ID
	  Name" to "core show channel" output.

2011-04-11 19:36 +0000 [r313279]  Leif Madsen <lmadsen@digium.com>

	* /, configure, include/asterisk/autoconfig.h.in, configure.ac:
	  Merged revisions 313278 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r313278 | lmadsen | 2011-04-11 14:33:03 -0500
	  (Mon, 11 Apr 2011) | 14 lines Merged revisions 313277 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r313277 | lmadsen | 2011-04-11 14:30:20 -0500 (Mon, 11 Apr 2011)
	  | 6 lines Fix detection of OpenSSL 1.0 (closes issue #19093)
	  Reported by: tzafrir Patches: detect_openssl_10.diff uploaded by
	  tzafrir (license 46) ........ ................

2011-04-11 15:40 +0000 [r313190]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, channels/sig_analog.c, /: Merged revisions
	  313189 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r313189 | rmudgett | 2011-04-11 10:32:53 -0500
	  (Mon, 11 Apr 2011) | 32 lines Merged revisions 313188 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r313188 | rmudgett | 2011-04-11 10:27:52 -0500 (Mon, 11 Apr 2011)
	  | 25 lines Stuck channel using FEATD_MF if caller hangs up at the
	  right time. The cause was actually a caller hanging up just at
	  the end of the Feature Group D DTMF tones that setup the call.
	  The reason for this is a "guard timer" that's implemented using
	  ast_safe_sleep(100). If the caller happens to hang up AFTER the
	  final tone of the DTMF string but BEFORE the end of that
	  ast_safe_sleep(), then ast_safe_sleep() will return non-zero.
	  This causes the code to bounce to the end of ss_thread(), but it
	  does NOT tear down the call properly. This should be a rare
	  occurrence because the caller has to hang up at EXACTLY the right
	  time. Nonetheless, it was happening quite regularly on the
	  reporter's system. It's not easily reproducible, unless you
	  purposely increase the guard-time to 2000 or more. Once you do
	  that, you can reproduce it every time by watching the DTMF debug
	  and hanging up just as it ends. Simply add an ast_hangup() before
	  goto quit. (closes issue #15671) Reported by: jcromes Patches:
	  issue15671.patch uploaded by pabelanger (license 224) Tested by:
	  jcromes ........ ................

2011-04-09 20:56 +0000 [r313142]  Alexandr Anikin <may@telecom-service.ru>

	* addons/chan_ooh323.c: fix trivial bug in ooh323_indicate on
	  AST_CONTROL_SRC... check p->rtp is not null

2011-04-07 13:35 +0000 [r313048]  Jonathan Rose <jrose@digium.com>

	* /, main/features.c: Merged revisions 313047 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r313047 | jrose | 2011-04-07 08:23:01 -0500 (Thu, 07 Apr 2011) |
	  9 lines Makes parking lots clear and rebuild properly when
	  features reload is invoked from CLI Before, default parkinglot in
	  context parkedcalls with ext 700 would always be present and when
	  reload was invoked, the previous parkinglots would not be
	  cleared. (closes issue #18801) Reported by: mickecarlsson Review:
	  https://reviewboard.asterisk.org/r/1161/ ........

2011-04-07 10:24 +0000 [r313001-313002]  Alec L Davis <sivad.a@paradise.net.nz>

	* apps/app_voicemail.c: app_voicemail: close_mailbox change
	  LOG_WARNING to LOG_NOTICE

	* channels/sig_pri.c: Fix ISDN calling subaddr User Specified
	  Odd/Even Flag Calculation of the Odd/Even flag was wrong.
	  Implement correct algo, and set odd/even=0 if data would be
	  truncated. Only allow automatic calculation of the O/E flag,
	  don't let dialplan influence. (closes issue #19062) Reported by:
	  festr Patches: bug19062.diff2.txt uploaded by alecdavis (license
	  585) Tested by: festr, alecdavis, rmudgett

2011-04-05 18:45 +0000 [r312866-312949]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/sig_pri.h, channels/chan_dahdi.c:
	  Crash if ISDN span layer 1 is down on initial load. Regression
	  from -r312575 B channel shifting during negotiation. * Also
	  combine updating the alarm flag with clearing the resetting flag.

	* channels/chan_sip.c: Add 416 response to OPTIONS packet. RFC3261
	  Section 11.2 says the response code to an OPTIONS packet needs to
	  be the same as if it were an INVITE.

	* channels/chan_sip.c: Responding to OPTIONS packet with 404
	  because Asterisk not looking for "s" extension. The
	  get_destination() function was not using the "s" extension when
	  the request URI did not specify an extension. This is a
	  regression caused when the URI parsing code was extracted into
	  parse_uri(). Made get_destination() substitute the "s" extension
	  when the parsed URI results in an empty string. (closes issue
	  #18348) Reported by: shmaize Patches: issue18348_v1.8.patch
	  uploaded by rmudgett (license 664) Tested by: shmaize

2011-04-05 14:14 +0000 [r312766]  Matthew Nicholson <mnicholson@digium.com>

	* configs/manager.conf.sample, main/manager.c, /: Merged revisions
	  312764 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r312764 | mnicholson | 2011-04-05 09:13:07 -0500
	  (Tue, 05 Apr 2011) | 15 lines Merged revisions 312761 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r312761 | mnicholson | 2011-04-05 09:10:34 -0500 (Tue, 05 Apr
	  2011) | 8 lines Limit the number of unauthenticated manager
	  sessions and also limit the time they have to authenticate.
	  AST-2011-005 (closes issue #18996) Reported by: tzafrir Tested
	  by: mnicholson ........ ................

2011-04-05 14:13 +0000 [r312765]  Jonathan Rose <jrose@digium.com>

	* /, apps/app_meetme.c: Merged revisions 312762 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r312762 | jrose | 2011-04-05 09:11:36 -0500 (Tue, 05 Apr 2011) |
	  1 line Backporting trunk change to add verbosity to 'L' option in
	  meetme ........

2011-04-04 16:10 +0000 [r312575]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/sig_pri.h, channels/chan_dahdi.c, /:
	  Merged revisions 312574 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r312574 | rmudgett | 2011-04-04 11:00:02 -0500
	  (Mon, 04 Apr 2011) | 45 lines Merged revisions 312573 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r312573 | rmudgett | 2011-04-04 10:49:30 -0500 (Mon, 04 Apr 2011)
	  | 38 lines Issues with ISDN calls changing B channels during call
	  negotiations. The handling of the PROCEEDING message was not
	  using the correct call structure if the B channel was changed.
	  (The same for PROGRESS.) The call was also not hungup if the new
	  B channel is not provisioned or is busy. * Made all call
	  connection messages (SETUP_ACKNOWLEDGE, PROCEEDING, PROGRESS,
	  ALERTING, CONNECT, CONNECT_ACKNOWLEDGE) ensure that they are
	  using the correct structure and B channel. If there is any
	  problem with the operations then the call is now hungup with an
	  appropriate cause code. * Made miscellaneous messages
	  (INFORMATION, FACILITY, NOTIFY) find the correct structure by
	  looking for the call and not using the channel ID. NOTIFY is an
	  exception with versions of libpri before v1.4.11 because a call
	  pointer is not available for Asterisk to use. * Made all hangup
	  messages (DISCONNECT, RELEASE, RELEASE_COMPLETE) find the correct
	  structure by looking for the call and not using the channel ID.
	  (closes issue #18313) Reported by: destiny6628 Tested by:
	  rmudgett JIRA SWP-2620 (closes issue #18231) Reported by:
	  destiny6628 Tested by: rmudgett JIRA SWP-2924 (closes issue
	  #18488) Reported by: jpokorny JIRA SWP-2929 JIRA AST-437 (The
	  issues fixed here are most likely causing this JIRA issue.) JIRA
	  DAHDI-406 JIRA LIBPRI-33 (Stuck resetting flag likely fixed)
	  ........ ................

2011-04-01 23:15 +0000 [r312461-312509]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_misdn.c: When a call going out an NT-PTMP port gets
	  rejected, Asterisk crashes. If a call is sent to an ISDN phone
	  that rejects the call with RELEASE_COMPLETE(cause: call
	  reject(21), or busy(17)) Asterisk crashes. I could not get my
	  setup to crash. However, I could see the possibility from a race
	  condition between queuing an AST_CONTROL_BUSY to the core and
	  then queueing an AST_CONTROL_HANGUP. If the AST_CONTROL_BUSY is
	  processed before the AST_CONTROL_HANGUP is queued, the
	  ast_channel could be destroyed out from under chan_misdn. Avoid
	  this particular crash scenario by not queueing the
	  AST_CONTROL_HANGUP if the AST_CONTROL_BUSY was queued. (closes
	  issue #18408) Reported by: wimpy Patches: issue18408_v1.8.patch
	  uploaded by rmudgett (license 664) Tested by: rmudgett, wimpy
	  JIRA SWP-2679

	* main/ccss.c: CallCompletionRequest()/CallCompletionCancel() exit
	  non-zero if fail. The
	  CallCompletionRequest()/CallCompletionCancel() dialplan
	  applications exit nonzero on normal failure conditions. The
	  nonzero exit causes the dialplan to hangup immediately. The
	  dialplan author has no opportunity to report success/failure to
	  the user. * Made always return zero so the dialplan can continue.
	  * Made set CC_REQUEST_RESULT/CC_REQUEST_REASON and
	  CC_CANCEL_RESULT/CC_CANCEL_REASON channel variables respectively.
	  Also documented the values set. * Reduced the warning about no
	  core instance in CallCompletionCancel() to a debug message. It is
	  a normal event and should not be output at the WARNING level.
	  (closes issue #18763) Reported by: p_lindheimer Patches:
	  ccss.patch uploaded by p lindheimer (license 558) Modified Tested
	  by: p_lindheimer, rmudgett JIRA SWP-3042

2011-04-01 10:58 +0000 [r312286-312288]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/asterisk.c, include/asterisk/select.h, /: Merged revisions
	  312287 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r312287 | tilghman | 2011-04-01 05:51:24 -0500
	  (Fri, 01 Apr 2011) | 14 lines Merged revisions 312285 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r312285 | tilghman | 2011-04-01 05:36:42 -0500 (Fri, 01 Apr 2011)
	  | 7 lines Found some leaking file descriptors while looking at
	  ast_FD_SETSIZE dead code. (issue #18969) Reported by: oej
	  Patches: 20110315__issue18969__14.diff.txt uploaded by tilghman
	  (license 14) ........ ................

	* addons/cdr_mysql.c: Reload must react correctly against a
	  possibly changed table, so dropping the conditional reload flag.

2011-04-01 09:03 +0000 [r312117-312211]  Alec L Davis <sivad.a@paradise.net.nz>

	* apps/app_voicemail.c, /: Merged revisions 312210 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r312210 | alecdavis | 2011-04-01 21:47:29 +1300
	  (Fri, 01 Apr 2011) | 29 lines Merged revisions 312174 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r312174 | alecdavis | 2011-04-01 21:29:49 +1300 (Fri, 01 Apr
	  2011) | 23 lines voicemail: get real last_message_index and
	  count_messages, ODBC resequence change last_message_index to read
	  the max msgnum stored in the database change count_messages to
	  actually count the number of messages. last_message_index change:
	  This fixed overwriting of the last message if msgnum=0 was
	  missing. Previously every incoming message would overwrite
	  msgnum=1. count_messages change: allows us to detect when
	  requencing is required in opneA_mailbox. resequence enabled for
	  ODBC storage: Assists with fixing up corrupt databases with gaps,
	  but only when a user actively opens there mailboxes. (closes
	  issue #18692,#18582,#19032) Reported by: elguero Patches: based
	  on odbc_resequence_mailbox2.1.diff uploaded by elguero (license
	  37) Tested by: elguero, nivek, alecdavis Review:
	  https://reviewboard.asterisk.org/r/1153/ ........
	  ................

	* apps/app_voicemail.c, /: Merged revisions 312103 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r312103 | alecdavis | 2011-04-01 20:25:54 +1300
	  (Fri, 01 Apr 2011) | 22 lines Merged revisions 312070 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r312070 | alecdavis | 2011-04-01 19:46:56 +1300 (Fri, 01 Apr
	  2011) | 16 lines app_voicemail: close_mailbox needs to respect
	  additional messages while mailbox is open. close_mailbox leave
	  gaps in message sequence if messages are deleted and new messages
	  arrive during this time, this is because the shuffle down to slot
	  0, only shuffles the number of pre-existing messages when mailbox
	  is opened, ignoring new arrivals. Fix: in close_mailbox
	  re-evaluate number of messages before the shuffle, this then
	  includes new arrivals. Happens on filebased or ODBC storage.
	  (issues #19032,#18582,#18692,#18998) Reported by:
	  alecdavis,tootai,afosorio Review:
	  https://reviewboard.asterisk.org/r/1153/ ........
	  ................

2011-03-31 20:11 +0000 [r312022]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_misdn.c: chan_misdn segfaults when DEBUG_THREADS is
	  enabled. The segfault happens because jb->mutexjb is
	  uninitialized from the ast_malloc(). The internals of
	  ast_mutex_init() were assuming a nonzero value meant mutex
	  tracking initialization had already happened. Recent changes to
	  mutex tracking code to reduce excessive memory consumption
	  exposed this uninitialized value. Converted misdn_jb_init() to
	  use ast_calloc() instead of ast_malloc(). Also eliminated
	  redundant zero initialization code in the routine. (closes issue
	  #18975) Reported by: irroot

2011-03-31 06:43 +0000 [r311930]  Tilghman Lesher <tilghman@meg.abyt.es>

	* configs/cdr_mysql.conf.sample: Incorrect default example; the
	  field is actually internally named "clid", not "callerid".
	  (closes issue #19040) Reported by: wcselby Tested by: tilghman

2011-03-30 01:56 +0000 [r311874]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c: Update some setup_dahdi_int() comments.

2011-03-29 07:08 +0000 [r311799]  Tilghman Lesher <tilghman@meg.abyt.es>

	* cel/cel_odbc.c: Remove extraneous check from integer-type fields.
	  (closes issue #19027) Reported by: mlehner Review:
	  https://reviewboard.asterisk.org/r/1149/

2011-03-28 22:00 +0000 [r311751]  Russell Bryant <russell@digium.com>

	* apps/app_voicemail.c: Cross-reference VoiceMail() and
	  VoiceMailMain() in the xml docs.

2011-03-27 21:47 +0000 [r311687]  Alexandr Anikin <may@telecom-service.ru>

	* addons/chan_ooh323.c: correct return values in ooh323_indicate
	  for AST_CONTROL_T38_PARAMETERS

2011-03-23 21:54 +0000 [r311612-311615]  Brett Bryant <bbryant@digium.com>

	* apps/app_meetme.c: This patch fixes a bug with MeetMe behavior
	  where the 'P' option for always prompting for a pin is ignored
	  for the first caller. (closes issue #18070) Reported by: mav3rick
	  Review: https://reviewboard.asterisk.org/r/1132/

	* channels/sip/reqresp_parser.c: Fix a possible crash in
	  sip/reqresp_parser.c that is caused by a possible null value.
	  (closes issue #18821) Reported by: cmaj Patches:
	  patch-reqresp_parser_sip_uri_domain_cmp_c_locale-crash-1.8.3-rc2.diff.tx
	  uploaded by cmaj (license 830)

2011-03-23 02:24 +0000 [r311558]  Terry Wilson <twilson@digium.com>

	* channels/sip/reqresp_parser.c: Don't use static declared buf in
	  parse_name_andor_addr This function isn't used anywhere yet, but
	  we definitely don't want to keep the same value for buf between
	  calls to the function.

2011-03-22 15:25 +0000 [r311497]  David Vossel <dvossel@digium.com>

	* /, apps/app_meetme.c: Merged revisions 311496 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r311496 | dvossel | 2011-03-22 10:24:45 -0500 (Tue, 22 Mar 2011)
	  | 2 lines Fixes memory leak in MeetMe AMI action ........

2011-03-18 16:19 +0000 [r311352]  Jonathan Rose <jrose@digium.com>

	* res/res_jabber.c, channels/chan_sip.c, res/res_fax.c: Changes
	  some print statements/events to use a blank string in place of
	  NULL if the string in question is NULL. This is supposed to
	  improve Solaris compatibility since Solaris goes berserk when
	  trying to output NULL strings. (closes issue #18759) Reported by:
	  bklang Patches: null-strings.patch uploaded by bklang (license
	  919)

2011-03-18 16:02 +0000 [r311342]  Matthew Nicholson <mnicholson@digium.com>

	* res/res_fax.c: Properly populate the LOCALSTATIONID channel
	  variable.

2011-03-18 02:59 +0000 [r311295-311297]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c: Race condition when ISDN
	  CallRerouting/CallDeflection invoked. The queued AST_CONTROL_BUSY
	  could sometimes be processed before the call_forward dial string
	  is recognized. * Moved setting the call_forwarding dial string
	  after sending a response to the initiator and just queue an empty
	  frame to wake up the media thread instead of an AST_CONTROL_BUSY.
	  * Added check for empty rerouting/deflection number and respond
	  with an error.

	* apps/app_dial.c: Merged revision 310986 from
	  https://origsvn.digium.com/svn/asterisk/be/branches/C.3-bier
	  .......... r310986 | rmudgett | 2011-03-16 13:56:28 -0500 (Wed,
	  16 Mar 2011) | 28 lines Dial() o option broke when connected line
	  feature added. The patch restores the o option behavior and adds
	  the ability to specify the CallerID. The Dial o and f options are
	  complementary to each other. The o option stores the CallerID on
	  the outgoing channel as the channel's CallerID. The f option
	  forces the CallerID sent by the outgoing channel. o(x) - The
	  argument 'x' is optional. If not present, then specify that the
	  CallerID that was present on the *calling* channel be stored as
	  the CallerID on the *called* channel. This was the behavior of
	  Asterisk 1.0 and earlier. If present, then specify the CallerID
	  stored on the *called* channel. Note that o(${CALLERID(all)}) is
	  similar to option o without parameters. f(x) - The argument 'x'
	  is optional and its presence changes the behavior of this option.
	  If not present, then force the outgoing CallerID on a
	  call-forward or deflection to the dialplan extension for this
	  Dial() using a dialplan 'hint'. For example, some PSTNs do not
	  allow CallerID to be set to anything other than the numbers
	  assigned to you. If present, then force the outgoing CallerID to
	  'x'. Patches: jira_abe_2752_dial_fo_options.patch uploaded by
	  rmudgett (license 664) Tested by: rmudgett JIRA ABE-2752 JIRA
	  SWP-3096 ..........

2011-03-17 19:03 +0000 [r311197]  Jonathan Rose <jrose@digium.com>

	* apps/app_chanspy.c: This fixes a nasty chanspy bug which was
	  causing a channel leak every time a spied on channel made a call.
	  In addition to the above, it makes certain channel destruction
	  occurs so that applications don't get stuck waiting for datastore
	  destruction while monitored by chanspy. (closes issue #18742)
	  Reported by: jkister Tested by: jkister, jcovert, jrose Review:
	  http://reviewboard.digium.internal/r/106/

2011-03-17 15:00 +0000 [r311141]  Matthew Nicholson <mnicholson@digium.com>

	* main/manager.c, /: Merged revisions 311140 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r311140 | mnicholson | 2011-03-17 09:58:52 -0500 (Thu, 17 Mar
	  2011) | 4 lines Don't write items to the manager socket twice.
	  AST-2011-003 (closes issue 0018987) Reported by: ks-steven
	  ........

2011-03-17 10:49 +0000 [r311050]  Alec L Davis <sivad.a@paradise.net.nz>

	* /, configs/indications.conf.sample: Merged revisions 311049 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r311049 | alecdavis | 2011-03-17 23:45:47 +1300
	  (Thu, 17 Mar 2011) | 17 lines Merged revisions 311048 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r311048 | alecdavis | 2011-03-17 23:43:35 +1300 (Thu, 17 Mar
	  2011) | 12 lines Remove extra quote in indications.conf Picking
	  low hanging fruit. (closes issue #18971) Reported by: IgorG
	  Patches: based on indications.conf.sample.diff uploaded by IgorG
	  (license 20) Tested by: IgorG ........ ................

2011-03-16 19:47 +0000 [r310902-310999]  Terry Wilson <twilson@digium.com>

	* main/tcptls.c, /: Merged revisions 310998 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r310998 | twilson | 2011-03-16 14:46:36 -0500 (Wed, 16 Mar 2011)
	  | 11 lines Fix crash on fdopen failure See security advisory
	  AST-2011-004 (closes issue #18845) Reported by: cmaj Patches:
	  patch-main-tcptls-1.8.3-rc2-open-session-crash-take2.diff.txt
	  uploaded by cmaj (license 830)
	  patch-main-tcptls-1.8.3-rc2-open-session-crash-take3.diff.txt
	  uploaded by cmaj (license 830) Tested by: cmaj, twilson ........

	* main/manager.c, /: Merged revisions 310992 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r310992 | twilson | 2011-03-16 14:23:03 -0500 (Wed, 16 Mar 2011)
	  | 4 lines Don't keep trying to write to a closed connection See
	  security advisory AST-2011-003. ........

	* /, main/features.c: Merged revisions 310889 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r310889 | twilson | 2011-03-16 12:03:27 -0500
	  (Wed, 16 Mar 2011) | 36 lines Merged revisions 310888 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r310888 | twilson | 2011-03-16 11:58:42 -0500 (Wed, 16 Mar 2011)
	  | 29 lines Don't delay DTMF in core bridge while listening for
	  DTMF features This patch is mostly the work of Olle Johansson. I
	  did some cleanup and added the silence generating code if
	  transmit_silence is set. When a channel listens for DTMF in the
	  core bridge, the outbound DTMF is not sent until we have received
	  DTMF_END. For a long DTMF, this is a disaster. We send 4 seconds
	  of DTMF to Asterisk, which sends no audio for those 4 seconds.
	  Some products see this delay and the time skew on RTP packets
	  that results and start ignoring the audio that is sent afterward.
	  With this change, the DTMF_BEGIN frame is inspected and checked.
	  If it matches a feature code, we wait for DTMF_END and activate
	  the feature as before. If transmit_silence=yes in asterisk.conf,
	  silence is sent if we paritally match a multi-digit feature. If
	  it doesn't match a feature, the frame is forwarded along with the
	  DTMF_END without delay. By doing it this way, DTMF is not
	  delayed. (closes issue #15642) Reported by: jasonshugart Patches:
	  issue_15652_dtmf_ast-1.4.patch.txt uploaded by twilson (license
	  396) Tested by: globalnetinc, jde (closes issue #16625) Reported
	  by: sharvanek Review: https://reviewboard.asterisk.org/r/1092/
	  Review: https://reviewboard.asterisk.org/r/1125/ ........
	  ................

2011-03-15 01:48 +0000 [r310834]  Tilghman Lesher <tilghman@meg.abyt.es>

	* addons/chan_ooh323.c: Fix branch compile.

2011-03-15 01:00 +0000 [r310781]  Alec L Davis <sivad.a@paradise.net.nz>

	* main/utils.c: core show locks: display ThreadID in hexadecimal
	  Allow easier cross referencing of thread ID's with GDB backtraces
	  (closes issue #18968) Reported by: alecdavis Patches:
	  bug18968.diff.txt uploaded by alecdavis (license 585)

2011-03-14 21:45 +0000 [r310734]  Alexandr Anikin <may@telecom-service.ru>

	* addons/chan_ooh323.c, addons/ooh323c/src/ooCapability.c,
	  addons/ooh323c/src/ooCalls.h: Introduce t.38 parameters control
	  functionality not full but enough for Send/RcvFax support
	  Introduce t.38 controls between asterisk core and channel/proto
	  layers. Not all parameters are transferred from proto layers but
	  *Fax apps tested and work ok. (issue #18693) Reported by:
	  benngard2 Patches: issue-18693.patch uploaded by may213 (license
	  454)

2011-03-14 21:30 +0000 [r310726-310733]  Jonathan Rose <jrose@digium.com>

	* main/channel.c: Undoes 310726 for further analysis

	* main/channel.c: Moves data store destruction from channel
	  destruction to hangup in channel.c This moves the data store
	  destruction and app signaling events for a call to ast_hangup so
	  that threads which wait for data store destruction don't become
	  stuck forever when attached to an application/function/etc that
	  keeps the channel open. (closes issue #18742) Reported by:
	  jkister Patches: patch.diff uploaded by jrose (license 1225)
	  Tested by: jkister, jcovert, jrose Review:
	  https://reviewboard.asterisk.org/r/1136/

2011-03-14 16:50 +0000 [r310636]  Richard Mudgett <rmudgett@digium.com>

	* /, main/callerid.c: Merged revisions 310635 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r310635 | rmudgett | 2011-03-14 11:47:54 -0500
	  (Mon, 14 Mar 2011) | 32 lines Merged revisions 310633 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r310633 | rmudgett | 2011-03-14 11:38:24 -0500 (Mon, 14 Mar 2011)
	  | 25 lines "Caller*ID failed checksum" on Wildcard TDM2400P and
	  TDM410 The last character in the caller id message is getting a
	  framing error. The checksum is the last character in the message.
	  A framing error in the checksum could be because: 1) The sender
	  did not send a full stop bit. 2) The sender cut off the FSK
	  carrier too soon. 3) The sender opted to send zero of the
	  specified zero to 10 trailing mark bits and round-off errors in
	  the code resulted in the code not being where it thought it was
	  in the demodulated bit stream. Bit 8 of 'b' is set when parity
	  error. Bit 9 of 'b' is set when framing error. Made ignore the
	  framing and parity error bits if the errored character is the
	  checksum. We can tolerate a framing/parity error there. The
	  checksum character validates the message. (closes issue #18474)
	  Reported by: nivek Patches: callerid.c.1.patch uploaded by nivek
	  (license 636) (with modifications) Tested by: nivek ........
	  ................

2011-03-14 15:27 +0000 [r310587]  Jonathan Rose <jrose@digium.com>

	* /, funcs/func_volume.c: Merged revisions 310585 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r310585 | jrose | 2011-03-14 08:56:22 -0500 (Mon, 14 Mar 2011) |
	  8 lines Adds 'p' as an option to func_volume. When it is on, the
	  old behavior with DTMF controlling volume adjustment will be
	  enforced. When it is off, DTMF will not be processed by the
	  function. Programmed by Jonathan Rose Reviewed by David Vossel,
	  Leif Madsen, and Russell Bryant
	  http://reviewboard.digium.internal/r/93/ ........

2011-03-12 20:27 +0000 [r310415-310462]  Tilghman Lesher <tilghman@meg.abyt.es>

	* /, pbx/pbx_ael.c: Merged revisions 310448 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r310448 | tilghman | 2011-03-12 14:24:54 -0600
	  (Sat, 12 Mar 2011) | 38 lines Recorded merge of revisions 310435
	  via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r310435 | tilghman | 2011-03-12 14:22:07 -0600 (Sat, 12 Mar 2011)
	  | 31 lines Add AELSub, which provides a stable entry point into
	  AEL subroutines. This commit needs some explanation, given that
	  we're adding a new application into an existing release branch.
	  This is generally a violation of our release policy, except in
	  very limited circumstances, and I believe this is one of those
	  circumstances. The problem that this solves is one of the sanity
	  of using multiple dialplan languages to define a dialplan. In the
	  case of the reporter, he or she is using AEL is define
	  subroutines, while using Realtime extensions to invoke those
	  subroutines. While you can do this, it's based upon the reality
	  of AEL using actual dialplan extensions; however, there is no
	  guarantee that the details of _how_ AEL is compiled into
	  extensions will remain stable. In fact, at the time of this
	  commit, it has already changed twice, once in a fundamental way.
	  Now normally, a new application would only be added to trunk.
	  However, this application is explicitly to create a stable
	  user-level API between versions, and adding it to trunk only will
	  not solve the user's problem of switching between 1.6.2 and 1.8,
	  nor will it help anybody switching from 1.8 to 1.10. Therefore,
	  it needs to go into existing release branches. For the sake of
	  consistency, and also because one of the changes was between 1.4
	  and 1.6.x, I am also electing to commit this to 1.4. (closes
	  issue #18910) Reported by: alexandrekeller Patches:
	  20110304__issue18919__1.6.2.diff.txt uploaded by tilghman
	  (license 14) 20110304__issue18919__1.4.diff.txt uploaded by
	  tilghman (license 14) Tested by: alexandrekeller ........
	  ................

	* /, funcs/func_odbc.c: Merged revisions 310414 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r310414 | tilghman | 2011-03-12 13:51:23 -0600 (Sat, 12 Mar 2011)
	  | 7 lines Transactional handles should be used for the insertbuf,
	  if available. Also, fix a possible resource leak. (closes issue
	  #18943) Reported by: irroot ........

2011-03-11 06:47 +0000 [r310287]  Alec L Davis <sivad.a@paradise.net.nz>

	* main/rtp_engine.c: remote_bridge_loop: prevent segfault when
	  after transfer of IAX2 of DAHDI call If the channel condition is
	  one of the following after breaking out of the loop, don't try to
	  update_peer (where x = 0/1) 1). ZOMBIE 2). cx->tech_pvt != pvtx
	  3). gluex != ast_rtp_instance_get_glue(cx->tech->type)) (closes
	  issue #18781) Reported by: alecdavis Patches: bug18781.diff3.txt
	  uploaded by alecdavis (license 585) Tested by: alecdavis, ZX81
	  Review: https://reviewboard.asterisk.org/r/1128/

2011-03-10 16:05 +0000 [r310240]  Terry Wilson <twilson@digium.com>

	* main/manager.c, res/res_phoneprov.c: Add \r\n to remaining http
	  headers passed to ast_http_send r309204 changed the behavior of
	  ast_http_send. It now requires headers to be passed with trailing
	  \r\n. This change updates the remaining instances in the code
	  that did not pass the \r\n. (closes issue #18186) Reported by:
	  nivaldomjunior Patches: res_phoneprov.c.diff uploaded by lathama
	  (license 1028) manager.diff.txt uploaded by twilson (license 396)
	  Tested by: lathama

2011-03-10 15:17 +0000 [r310231]  Mark Michelson <mmichelson@digium.com>

	* channels/chan_sip.c: Be more tolerant of what URI we accept for
	  call completion PUBLISH requests. (closes issue #18946) Reported
	  by: GeorgeKonopacki Patches: 18946.patch uploaded by mmichelson
	  (license 60) Tested by: GeorgeKonopacki

2011-03-10 05:53 +0000 [r310142]  Tilghman Lesher <tilghman@meg.abyt.es>

	* apps/app_voicemail.c, res/res_config_odbc.c, /,
	  funcs/func_odbc.c: Merged revisions 310141 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r310141 | tilghman | 2011-03-09 23:51:37 -0600
	  (Wed, 09 Mar 2011) | 12 lines Merged revisions 310140 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r310140 | tilghman | 2011-03-09 23:38:44 -0600 (Wed, 09 Mar 2011)
	  | 5 lines Initialize column size to 0 to deal with a potential
	  UnixODBC bug on 64-bit systems. (closes issue #18295) Reported
	  by: pruiz ........ ................

2011-03-08 20:19 +0000 [r310088]  Jonathan Rose <jrose@digium.com>

	* channels/sip/dialplan_functions.c: Returns with an error notice
	  if CHANNEL function of SIP channel is read without arguments.
	  (Closes issue #18653) Reported by: wuwu Patches: diff.patch
	  uploaded by jrose (license 1225) Tested by: jrose

2011-03-08 18:10 +0000 [r310039]  Terry Wilson <twilson@digium.com>

	* res/res_calendar.c: Spelling fix in "calendar show calendar"
	  s/Cartegories/Catagories/ (closes issue #18931) Reported by:
	  pdugas Patches: res_calendar.c.patch uploaded by pdugas (license
	  1222)

2011-03-08 16:37 +0000 [r309994]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c: Make pri parameter description consistent.

2011-03-07 22:07 +0000 [r309858]  Jonathan Rose <jrose@digium.com>

	* apps/app_mixmonitor.c, /: Merged revisions 309857 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r309857 | jrose | 2011-03-07 16:04:44 -0600
	  (Mon, 07 Mar 2011) | 15 lines Merged revisions 309856 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r309856 | jrose | 2011-03-07 16:02:12 -0600 (Mon, 07 Mar 2011) |
	  8 lines Bug fix for MixMonitor involving filenames with '.' not
	  in the extension Closes issue #18391) Reported by: pabelanger
	  Patches: bugfix.patch uploaded by jrose (license 1225) Tested by:
	  jrose ........ ................

2011-03-07 00:54 +0000 [r309808]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/ast_expr2.fl, channels/chan_dahdi.c, /, configure,
	  include/asterisk/autoconfig.h.in, main/ast_expr2f.c,
	  configure.ac: Merged revisions 309251 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309251 | tilghman | 2011-03-01 19:06:02 -0600 (Tue, 01 Mar 2011)
	  | 7 lines Revert previous 2 commits, and instead conditionally
	  redefine the same macro used in flex 2.5.35 that clashed with our
	  workaround. Not surprisingly, the workaround was exactly the same
	  code as was provided by the Flex maintainers, albeit in two
	  different places, in different macros. This should fix the
	  FreeBSD builds, which have an older version of Flex. ........

2011-03-07 00:13 +0000 [r309765]  Mark Michelson <mmichelson@digium.com>

	* configs/sip.conf.sample: Indicate that Asterisk uses the Allow
	  header to determine if MESSAGE requests should be sent.

2011-03-05 17:44 +0000 [r309720]  Moises Silva <moises.silva@gmail.com>

	* channels/chan_dahdi.c: Fix caller id passed to
	  openr2_chan_make_call (closes issue #18894) Reported by: malufrj
	  Tested by: moy

2011-03-05 10:29 +0000 [r309678]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/asterisk.c, /: Merged revisions 309677 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309677 | tilghman | 2011-03-05 04:28:24 -0600 (Sat, 05 Mar 2011)
	  | 7 lines Missed part of the conversion when we started passing
	  ppid to astcanary. (closes issue #18850) Reported by: viraptor
	  Patches: canary_ppid.patch uploaded by viraptor (license 543)
	  ........

2011-03-04 19:38 +0000 [r309448-309585]  Matthew Nicholson <mnicholson@digium.com>

	* /, pbx/pbx_lua.c: Merged revisions 309584 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309584 | mnicholson | 2011-03-04 13:37:13 -0600 (Fri, 04 Mar
	  2011) | 2 lines Restore mysterious lua_pushvalue() call removed
	  in r309494. The mystery has been solved. ........

	* /, pbx/pbx_lua.c: Merged revisions 309541 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309541 | mnicholson | 2011-03-04 12:59:20 -0600 (Fri, 04 Mar
	  2011) | 4 lines Check for errors from fseek() when loading config
	  file, properly abort on errors from fread(), and supply a
	  traceback for errors generated when loading the config file.
	  Also, prepend a newline to traceback output so that the main
	  error message is on it's own line. ........

	* /, pbx/pbx_lua.c: Merged revisions 309494 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309494 | mnicholson | 2011-03-04 11:55:57 -0600 (Fri, 04 Mar
	  2011) | 2 lines remove mysterious lua_pushvalue() that is never
	  used ........

	* pbx/pbx_lua.c: Export global symbols from pbx_lua to allow
	  modules to be loaded. Fixes a regression introduced in r278132.
	  (closes issue #18671) Reported by: Igels Patches:
	  pbx_lua_global_symbols1.diff uploaded by mnicholson (license 96)
	  Tested by: Igels

2011-03-04 15:22 +0000 [r309445]  Richard Mudgett <rmudgett@digium.com>

	* UPGRADE.txt, channels/sig_pri.c, channels/sig_pri.h,
	  channels/chan_dahdi.c, funcs/func_channel.c: Get real channel of
	  a DAHDI call. Starting with Asterisk v1.8, the DAHDI channel name
	  format was changed for ISDN calls to:
	  DAHDI/i<span>/<number>[:<subaddress>]-<sequence-number> There
	  were several reasons that the channel name had to change. 1) Call
	  completion requires a device state for ISDN phones. The generic
	  device state uses the channel name. 2) Calls do not necessarily
	  have B channels. Calls placed on hold by an ISDN phone do not
	  have B channels. 3) The B channel a call initially requests may
	  not be the B channel the call ultimately uses. Changes to the
	  internal implementation of the Asterisk master channel list
	  caused deadlock problems for chan_dahdi if it needed to change
	  the channel name. Chan_dahdi no longer changes the channel name.
	  4) DTMF attended transfers now work with ISDN phones because the
	  channel name is "dialable" like the chan_sip channel names. For
	  various reasons, some people need to know which B channel a DAHDI
	  call is using. * Added CHANNEL(dahdi_span),
	  CHANNEL(dahdi_channel), and CHANNEL(dahdi_type) so the dialplan
	  can determine the B channel currently in use by the channel. Use
	  CHANNEL(no_media_path) to determine if the channel even has a B
	  channel. * Added AMI event DAHDIChannel to associate a DAHDI
	  channel with an Asterisk channel so AMI applications can
	  passively determine the B channel currently in use. Calls with
	  "no-media" as the DAHDIChannel do not have an associated B
	  channel. No-media calls are either on hold or call-waiting.
	  (closes issue #17683) Reported by: mrwho Tested by: rmudgett
	  (closes issue #18603) Reported by: arjankroon Patches:
	  issue17683_18603_v1.8_v2.patch uploaded by rmudgett (license 664)
	  Tested by: stever28, rmudgett

2011-03-04 01:50 +0000 [r309403]  David Ruggles <thedavidfactor@gmail.com>

	* apps/app_externalivr.c, /: Merged revisions 309356 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r309356 | diruggles | 2011-03-03 19:42:28 -0500
	  (Thu, 03 Mar 2011) | 16 lines Merged revisions 309355 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r309355 | diruggles | 2011-03-03 19:34:13 -0500 (Thu, 03 Mar
	  2011) | 9 lines fix small memory leak fix small memory leak
	  caused by a string allocation that wasn't freed (closes issue
	  #18907) Reported by: andy11 Patches:
	  asterisk_trunk-app_externalivr-leak.patch uploaded by andy11
	  (license 1224) ........ ................

2011-03-02 19:54 +0000 [r309204-309256]  Jason Parker <jparker@digium.com>

	* /, channels/chan_sip.c: Merged revisions 309255 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309255 | qwell | 2011-03-02 13:53:47 -0600 (Wed, 02 Mar 2011) |
	  8 lines Fix usage of "hasvoicemail=yes" and "mailbox=" in
	  users.conf for SIP. Since it's a duplicate, nothing is going to
	  be done, so delme doesn't need to be set at all. Strangely, when
	  this was added, this was being set to 1 in 1.6, and 0 in trunk.
	  (issue AST-439) ........

	* main/http.c: Fix consistency of CRLFs on HTTP headers that get
	  sent out. (closes issue #18186) Reported by: nivaldomjunior
	  Patches: 18186-httpheadernewline.diff uploaded by qwell (license
	  4)

2011-03-01 21:57 +0000 [r309126-309170]  Richard Mudgett <rmudgett@digium.com>

	* funcs/func_channel.c: Document CHANNEL(keypad_digits) and
	  CHANNEL(no_media_path). * Added XML documentation for
	  CHANNEL(keypad_digits) and CHANNEL(no_media_path). * Tweaked XML
	  documentation for CHANNEL(reversecharge).

	* channels/sig_analog.c: Chan_dahdi does not retain CID when
	  detecting DTMF CID without polarity reversal. Looks like an
	  unintended change when sig_analog.c was extracted from
	  chan_dahdi.c. Removed useless conditional around needed code and
	  fixed resulting compiler warning. (closes issue #18667) Reported
	  by: enegaard Patches: issue18667.patch uploaded by enegaard
	  (license 1197) Tested by: enegaard JIRA SWP-2965

2011-03-01 16:09 +0000 [r309084]  David Vossel <dvossel@digium.com>

	* /, channels/chan_sip.c: Merged revisions 309083 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309083 | dvossel | 2011-03-01 10:05:25 -0600 (Tue, 01 Mar 2011)
	  | 9 lines Fixes thread blocking issue in the sip TCP/TLS
	  implementation. (closes issue #18497) Reported by: vois Patches:
	  issues_18497.diff uploaded by dvossel (license 671) Tested by:
	  vois, rossbeer, kowalma, Freddi_Fonet ........

2011-02-28 11:10 +0000 [r308991-309035]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/ast_expr2.fl, /, configure,
	  include/asterisk/autoconfig.h.in, main/ast_expr2f.c,
	  configure.ac: Merged revisions 309033-309034 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r309033 | tilghman | 2011-02-28 04:43:12 -0600 (Mon, 28 Feb 2011)
	  | 4 lines A later version of flex already includes the fwrite
	  workaround code, which if used twice causes a compilation error.
	  Detect whether Flex will compile without the workaround; if so,
	  suppress our workaround code. ........ r309034 | tilghman |
	  2011-02-28 05:07:52 -0600 (Mon, 28 Feb 2011) | 2 lines Clarify
	  meaning, removing double negative (stupid!) ........

	* /, funcs/func_odbc.c: Merged revisions 308990 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r308990 | tilghman | 2011-02-28 03:32:22 -0600 (Mon, 28 Feb 2011)
	  | 7 lines Statements updating zero rows may return SQL_NO_DATA.
	  This is fine; it's handled. (closes issue #18815) Reported by:
	  irroot Patches: func_odbc.insert_nodata.patch uploaded by irroot
	  (license 52) ........

2011-02-25 18:52 +0000 [r308945]  Alec L Davis <sivad.a@paradise.net.nz>

	* channels/chan_sip.c: Fix Deadlock with attended transfer of SIP
	  call Call path sip_set_rtp_peer (locks chan then pvt)
	  transmit_reinvite_with_sdp try_suggested_sip_codec
	  pbx_builtin_getvar_helper (locks p->owner) But by the time
	  p->owner lock was attempted, seems as though chan and p->owner
	  were different. So in sip_set_rtp_peer, lock pvt first then lock
	  p->owner using deadlocking methods. (closes issue #18837)
	  Reported by: alecdavis Patches: bug18837-trunk.diff3.txt uploaded
	  by alecdavis (license 585) Tested by: alecdavis, Irontec, ZX81,
	  cmaj Review: [https://reviewboard.asterisk.org/r/1126/]

2011-02-24 21:38 +0000 [r308903]  Richard Mudgett <rmudgett@digium.com>

	* main/channel.c: Invalid read in ast_channel_set_caller_event().
	  Valgrind reported that ast_channel_set_caller_event() was reading
	  data from a freed buffer when using the pre_set structure.
	  Rearange things to pre-calculate the name and number pointer
	  before updating the caller party structure to see if the name or
	  number was changed.

2011-02-24 17:57 +0000 [r308815]  Terry Wilson <twilson@digium.com>

	* main/manager.c, /: Merged revisions 308814 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r308814 | twilson | 2011-02-24 11:54:49 -0600
	  (Thu, 24 Feb 2011) | 19 lines Merged revisions 308813 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r308813 | twilson | 2011-02-24 11:42:16 -0600 (Thu, 24 Feb 2011)
	  | 12 lines Don't broadcast FullyBooted to every AMI connection
	  The FullyBooted event should not be sent to every AMI connection
	  every time someone connects via AMI. It should only be sent to
	  the user who just connected. (closes issue #18168) Reported by:
	  FeyFre Patches: bug0018168.patch uploaded by FeyFre (license
	  1142) Tested by: FeyFre, twilson ........ ................

2011-02-24 15:06 +0000 [r308723]  Matthew Nicholson <mnicholson@digium.com>

	* main/udptl.c, /: Merged revisions 308722 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r308722 | mnicholson | 2011-02-24 08:59:41 -0600
	  (Thu, 24 Feb 2011) | 9 lines Merged revisions 308721 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r308721 | mnicholson | 2011-02-24 08:54:56 -0600 (Thu,
	  24 Feb 2011) | 2 lines silence gcc 4.2 compiler warning ........
	  ................

2011-02-24 03:41 +0000 [r308679]  Terry Wilson <twilson@digium.com>

	* configs/sip.conf.sample, /, channels/chan_sip.c: Merged revisions
	  308678 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r308678 | twilson | 2011-02-23 21:38:22 -0600 (Wed, 23 Feb 2011)
	  | 8 lines Use remotesecret to authenticate with a remote party
	  The remotesecret option was only being used for outbound
	  registration and not for placing calls. This patch uses
	  remotesecret on outbound calls if it is set, otherwise secret is
	  still used. Review: https://reviewboard.asterisk.org/r/1107/
	  ........

2011-05-09  Leif Madsen <lmadsen@digium.com>

	* Asteris 1.8.4 Released.

2011-04-25  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.8.4-rc3 Released.

	* Use SSLv23_client_method instead of old SSLv2 only.

		(closes issue 0019095)
		(closes issue 0019138)
		Reported by: tzafrir
		Patches: 
		      no_ssl2.diff uploaded by tzafrir (license 46)
		      Tested by: russell, chazzam

	* Resolve crash in ast_mutex_init()

2011-02-25  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.8.4-rc2 Released.

	* Fix Deadlock with attended transfer of SIP call
	  (Closes issue #18837. Reported, patched by alecdavis. Tested by
	  alecdavid, Irontec, ZX81, cmaj)

2011-02-23  Leif Madsen <lmadsen@digium.com>

	* Asterisk 1.8.4-rc1 Released.

2011-02-23 23:38 +0000 [r308622]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c: sig_pri_new_ast_channel() should return NULL
	  when new_ast_channel() fails. (closes issue #18874) Reported by:
	  cmaj Patches:
	  patch-sig_pri-crash-possible-null-channel-pointer.diff.txt
	  uploaded by cmaj (license 830) JIRA SWP-3172

2011-02-22 15:31 +0000 [r308526]  Andrew Latham <lathama@gmail.com>

	* main/http.c: Use ast_debug for console logging Guessed the log
	  levels based on info that level 3 is the soft roof. Can we create
	  a page / document to define the levels?

2011-02-21 15:02 +0000 [r308416]  Matthew Nicholson <mnicholson@digium.com>

	* main/udptl.c, /: Merged revisions 308414 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r308414 | mnicholson | 2011-02-21 09:00:22 -0600
	  (Mon, 21 Feb 2011) | 12 lines Merged revisions 308413 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r308413 | mnicholson | 2011-02-21 08:57:15 -0600 (Mon, 21 Feb
	  2011) | 5 lines Properly check the bounds of arrays when decoding
	  UDPTL packets. Also, remove broken support for receiving UDPTL
	  packets larger than 16k. That shouldn't ever happen anyway.
	  AST-2011-002 FAX-281 ........ ................

2011-02-21 14:24 +0000 [r308393]  Andrew Latham <lathama@gmail.com>

	* main/http.c: Add HTTP URI Debug logging and update notice enable
	  reporting of the request URI / URL in debugging change funny
	  debug note to a serious note.

2011-02-19 14:06 +0000 [r308330]  Andrew Latham <lathama@gmail.com>

	* main/http.c: Add CSS MIME Type Modern browsers are checking for
	  the MIME Type of pages and in some cases will not load a file if
	  the type is wrong.

2011-02-19 11:02 +0000 [r308288]  Tilghman Lesher <tilghman@meg.abyt.es>

	* utils: A few more (copies of) files to ignore in this directory.

2011-02-18 00:07 +0000 [r308242]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323cDriver.c, addons/ooh323cDriver.h,
	  addons/chan_ooh323.c: added g729onlyA option for announce only
	  AnnexA g.729 codec in h.323 capabilities. Option can be global or
	  per user/peer.

2011-02-16 20:21 +0000 [r308150]  Paul Belanger <pabelanger@digium.com>

	* addons/ooh323c/src/ooSocket.c: Fix FreeBSD builds.

2011-02-16 07:57 +0000 [r308098]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooSocket.c: ifdef __linux__ keepalive
	  variables also

2011-02-15 23:34 +0000 [r308010]  Jason Parker <jparker@digium.com>

	* apps/app_queue.c, /: Merged revisions 308007 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r308007 | qwell | 2011-02-15 17:33:24 -0600
	  (Tue, 15 Feb 2011) | 17 lines Merged revisions 308002 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r308002 | qwell | 2011-02-15 17:32:20 -0600 (Tue, 15 Feb 2011) |
	  10 lines Fix regression that changed behavior of queues when
	  ringing a queue member. This reverts r298596, which was to fix a
	  highly bizarre and contrived issue with a queue member that
	  called into his own queue being transferred back into his own
	  queue. I couldn't reproduce that issue in any way. I think one of
	  the other recent transfer fixes actually fixed this. (closes
	  issue #18747) Reported by: vrban ........ ................

2011-02-15 23:08 +0000 [r307970]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooSocket.c: include tcp keepalive socket calls
	  only on linux, freebsd and others don't have these options on
	  sockets.

2011-02-15 19:52 +0000 [r307879-307962]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_dial.c: Don't crash when forcing caller id.

	* channels/sig_pri.c, include/asterisk/ccss.h, channels/sig_pri.h,
	  channels/chan_dahdi.c, channels/chan_sip.c, main/ccss.c: No
	  response sent for SIP CC subscribe/resubscribe request. Asterisk
	  does not send a response if we try to subscribe for call
	  completion after we have received a 180 Ringing. You can only
	  subscribe for call completion when the call has been cleared.
	  When we receive the 180 Ringing, for this call, its
	  call-completion state is 'CC_AVAILABLE'. If we then send a
	  subscribe message to Asterisk, it trys to change the
	  call-completion state to 'CC_CALLER_REQUESTED'. Because this is
	  an invalid state change, it just ignores the message. The only
	  state Asterisk will accept our subscribe message is in the
	  'CC_CALLER_OFFERED' state. Asterisk will go into the
	  'CC_CALLER_OFFERED' when the SIP client clears the call by
	  sending a CANCEL. Asterisk should always send a response. Even if
	  its a negative one. The fix is to allow for the CCSS core to
	  notify a CC agent that a failure has occurred when CC is
	  requested. The "ack" callback is replaced with a "respond"
	  callback. The "respond" callback has a parameter indicating
	  either a successful response or a specific type of failure that
	  may need to be communicated to the requester. (closes issue
	  #18336) Reported by: GeorgeKonopacki Tested by: mmichelson,
	  rmudgett JIRA SWP-2633 (closes issue #18337) Reported by:
	  GeorgeKonopacki Tested by: mmichelson JIRA SWP-2634

2011-02-15 07:02 +0000 [r307750-307837]  Tilghman Lesher <tilghman@meg.abyt.es>

	* /, funcs/func_odbc.c: Merged revisions 307836 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r307836 | tilghman | 2011-02-15 01:01:37 -0600 (Tue, 15 Feb 2011)
	  | 8 lines Need to retrieve the rows affected before using the
	  associated variable. (closes issue #18795) Reported by: irroot
	  Patches: 20110211__issue18795.diff.txt uploaded by tilghman
	  (license 14) Tested by: tilghman ........

	* res/res_odbc.c, /: Merged revisions 307792 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r307792 | tilghman | 2011-02-14 14:10:28 -0600 (Mon, 14 Feb 2011)
	  | 8 lines Increment usage count at first reference, to avoid a
	  race condition with many threads creating connections all at
	  once. (issue #18156) Reported by: asgaroth Patches:
	  20110214__issue18156.diff.txt uploaded by tilghman (license 14)
	  Tested by: tilghman ........

	* apps/app_queue.c, apps/app_dial.c: Calling a gosub routine
	  defined in AEL from Dial/Queue ceased to work. A bug in AEL did
	  not distinguish between the "s" extension generated by AEL and an
	  "s" extension that was required to exist by the chan_dahdi (or
	  another channel) that was not supplied with a starting extension.
	  Therefore, AEL made incorrect assumptions about what commands
	  were permissable in the context. This was fixed by making AEL
	  generate a different extension name. However, Dial and Queue make
	  additional assumptions about the name of the default gosub
	  extension. Therefore, they needed to be brought into line with a
	  "macro" rendered by AEL (as a gosub), without breaking
	  traditional dialplans written without the aid of AEL. Related to
	  (issue #18480) Reported by: nivek (closes issue #18729) Reported
	  by: kkm Patches: 20110209__issue18729.diff.txt uploaded by
	  tilghman (license 14) 018729-dial-queue-gosub-try3.patch uploaded
	  by kkm (license 888) Tested by: kkm

2011-02-10 22:39 +0000 [r307536]  Jason Parker <jparker@digium.com>

	* main/asterisk.c, contrib/init.d/rc.debian.asterisk, /: Merged
	  revisions 307535 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r307535 | qwell | 2011-02-10 16:35:49 -0600
	  (Thu, 10 Feb 2011) | 15 lines Merged revisions 307534 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r307534 | qwell | 2011-02-10 16:33:09 -0600 (Thu, 10 Feb 2011) |
	  8 lines Remove color when executing commands via a remote
	  console. Essentially this makes '-x' imply '-n' on rasterisk.
	  This was done in a different and incomplete way previously, which
	  I'm reverting here. (issue #18776) Reported by: alecdavis
	  ........ ................

2011-02-10 18:50 +0000 [r307509]  Alexandr Anikin <may@telecom-service.ru>

	* addons/ooh323c/src/ooSocket.c, addons/ooh323c/src/oochannels.c,
	  addons/ooh323c/src/ooStackCmds.c, addons/ooh323c/src/ooq931.c,
	  addons/ooh323c/src/ooh323.c, addons/chan_ooh323.c,
	  addons/ooh323c/src/ooh245.c, addons/ooh323c/src/ooCalls.h:
	  Corrections for properly work with H.323v2 (older) endpoints and
	  other small fixes. Interpret remote side H.225 version.
	  Corrections for H.323v2 endpoints: don't start TCS and MSD before
	  connect, don't start TCS and MSD by accepting H.245 connection,
	  start TCS and MSD by StartH245 facility message. Other fixes: fix
	  non zeroended remoteDisplayName issue, small fixes in call
	  clearing by closing H.245 connection, tcp keepalive introduced on
	  TCP connections (now is hardcoded, will be configurable in the
	  future), don't force H.245tunneling if FastStart is active, don't
	  send Alerting singal more than once per call. (issue 0018542)
	  Reported by: vmikhelson Patches: issue18542-final-3.patch
	  uploaded by may213 (license 454) Tested by: vmikhelson

2011-02-10 17:44 +0000 [r307467]  Mark Michelson <mmichelson@digium.com>

	* configs/ccss.conf.sample: Fix a gaffe in the CCSS sample
	  configuration. Discovered by Philippe Lindheimer and pointed out
	  on #asterisk-dev

2011-02-09 21:44 +0000 [r307314]  Andrew Latham <lathama@gmail.com>

	* contrib/init.d/rc.debian.asterisk: Disable color during running
	  test (closes issue #18776) Reported by: alecdavis Patches:
	  ast_deb_init.diff uploaded by lathama (license 1028) Tested by:
	  andrel, lathama

2011-02-09 21:06 +0000 [r307228-307273]  Jeff Peeler <jpeeler@digium.com>

	* main/astobj2.c: Add missing debug info for ao2_link for use with
	  REF_DEBUG in ao2 callback. (closes issue #18758) Reported by:
	  rgagnon Patches: branch-1.8-r306540-astobj-fix.diff uploaded by
	  rgagnon (license 1202) trunk-r306540-astobj-fix.diff uploaded by
	  rgagnon (license 1202)

	* /, main/features.c: Merged revisions 307227 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r307227 | jpeeler | 2011-02-09 13:52:12 -0600 (Wed, 09 Feb 2011)
	  | 11 lines Make sure to set parking dial context for non-default
	  parking lots. Since parking_con_dial isn't settable, set all
	  parking lots to "park-dial". (closes issue #17946) Reported by:
	  bluecrow76 Patches:
	  asterisk-1.8.0-beta4-multipark-fixes-2010SEP02.diff uploaded by
	  bluecrow76 (license 270) modified by me ........

2011-02-09 05:39 +0000 [r307142]  Tilghman Lesher <tilghman@meg.abyt.es>

	* main/lock.c: Initialize tracking variable in structure properly.
	  Fixes a memory leak. (Reported by The_Boy_Wonder on IRC, fixed by
	  me.)

2011-02-08 21:24 +0000 [r307092]  Jason Parker <jparker@digium.com>

	* main/logger.c: Fix issue with verbose messages not showing on
	  remote console. This code was reworked recently, and since the
	  logchannel list hadn't been created yet at this point, and it was
	  a verbose message, it was being dropped on the floor. Now it'll
	  continue on to where it should be handled. (closes issue #18580)
	  Reported by: pabelanger

2011-02-08 21:13 +0000 [r307065]  Mark Michelson <mmichelson@digium.com>

	* main/ccss.c: Add a couple of useful channel variables for the CC
	  recall macro. CC_EXTEN and CC_CONTEXT will allow you to determine
	  the channel and context that will be called when the recall
	  occurs.

2011-02-08 20:22 +0000 [r306999]  Andrew Latham <lathama@gmail.com>

	* doc/asterisk.sgml, doc/asterisk.8, configs/asterisk.conf.sample,
	  configs/voicemail.conf.sample: Documentation Updates Note default
	  polling setting in voicemail.conf Add missing config to
	  asterisk.conf Update manpage (issue #16505) Reported by: tzafrir
	  Patches: asterisk_sgml_fixes_demo.diff uploaded by tzafrir
	  (license 46) Tested by: lathama, tzafrir

2011-02-08 20:18 +0000 [r306979]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 306973 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306973 | twilson | 2011-02-08 12:14:09 -0800
	  (Tue, 08 Feb 2011) | 9 lines Merged revisions 306972 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r306972 | twilson | 2011-02-08 12:05:13 -0800 (Tue, 08
	  Feb 2011) | 2 lines Fix comparison for REFER Replaces tags with
	  pedantic=yes ........ ................

2011-02-08 19:41 +0000 [r306866-306967]  Jeff Peeler <jpeeler@digium.com>

	* apps/app_voicemail.c, /: Merged revisions 306966 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306966 | jpeeler | 2011-02-08 13:41:21 -0600
	  (Tue, 08 Feb 2011) | 9 lines Merged revisions 306965 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r306965 | jpeeler | 2011-02-08 13:40:58 -0600 (Tue, 08
	  Feb 2011) | 1 line fix this line again ........ ................

	* apps/app_voicemail.c, /: Merged revisions 306961 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306961 | jpeeler | 2011-02-08 13:25:10 -0600
	  (Tue, 08 Feb 2011) | 15 lines Merged revisions 306960 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r306960 | jpeeler | 2011-02-08 13:18:50 -0600 (Tue, 08 Feb 2011)
	  | 9 lines Backup file storing message duration is not used with
	  IMAP_STORAGE, remove code. The message duration is stored in the
	  body of the email when using IMAP_STORAGE, so nothing needs to
	  happen with the backup file. (closes issue #18718) Reported by:
	  kerframil ........ ................

	* apps/app_voicemail.c, /: Merged revisions 306865 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306865 | jpeeler | 2011-02-08 10:21:25 -0600
	  (Tue, 08 Feb 2011) | 9 lines Merged revisions 306864 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r306864 | jpeeler | 2011-02-08 10:19:17 -0600 (Tue, 08
	  Feb 2011) | 1 line make this safer and fully correct, pointed out
	  by Steve Davis ........ ................

2011-02-08 01:45 +0000 [r306826]  Andrew Latham <lathama@gmail.com>

	* UPGRADE.txt, include/asterisk/manager.h, doc/asterisk.sgml,
	  include/asterisk/doxygen/mantisworkflow.h: Documentation Updates.
	  More updates to the removed doc folder and start updates to the
	  man page. (issue #16505) Reported by: tzafrir Tested by: lathama

2011-02-07 22:43 +0000 [r306619-306674]  Terry Wilson <twilson@digium.com>

	* /, main/features.c: Merged revisions 306673 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306673 | twilson | 2011-02-07 14:40:20 -0800
	  (Mon, 07 Feb 2011) | 17 lines Merged revisions 306672 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r306672 | twilson | 2011-02-07 14:35:20 -0800 (Mon, 07 Feb 2011)
	  | 10 lines Don't try to pickup a call in the middle of a
	  masquerade If A calls B which doesn't answer and C & D both try
	  to do a call pickup, it is possible for ast_pickup_call to answer
	  the call, then fail to masquerade one of the calls because the
	  other one is already in the process of masquerading. This patch
	  checks to see if the channel is in the process of masquerading
	  before call before selecting it for a pickup. Review:
	  https://reviewboard.asterisk.org/r/1094/ ........
	  ................

	* /, channels/chan_sip.c: Merged revisions 306618 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306618 | twilson | 2011-02-07 13:59:54 -0800
	  (Mon, 07 Feb 2011) | 17 lines Merged revisions 306617 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r306617 | twilson | 2011-02-07 13:51:43 -0800 (Mon, 07 Feb 2011)
	  | 10 lines Don't allow a REFER w/replaces to replace its own
	  dialog Asterisk currently accepts a REFER with a Refer-To with an
	  embedded Replaces header that matches the dialog of the REFER.
	  This would be a situation like A calls B, A calls C, A transfers
	  B to A, which is just silly. This patch makes the transfer fail
	  instead of making Asterisk freak out and forget to hang other
	  channels up. Review: https://reviewboard.asterisk.org/r/1093/
	  ........ ................

2011-02-07 17:36 +0000 [r306575]  Mark Michelson <mmichelson@digium.com>

	* main/ccss.c: Rearrange a bit of code in the generic CC recall
	  operation. By waiting to call the callback macro after the
	  CC_INTERFACES, extension, priority, and context have been set,
	  this information can be accessed more easily within the callback
	  macro. Reported by Philippe Lindheimer.

2011-02-04 19:24 +0000 [r306356]  Jason Parker <jparker@digium.com>

	* apps/app_queue.c, /: Merged revisions 306346 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r306346 | qwell | 2011-02-04 13:21:43 -0600 (Fri, 04 Feb 2011) |
	  9 lines Don't fallthrough to 'unknown' in the 'ringing' case.
	  This could cause improper exits from the queue. (closes issue
	  #18499) Reported by: zaltar Patches: app_queue.patch uploaded by
	  zaltar (license 1148) ........

2011-02-04 18:53 +0000 [r306324]  Richard Mudgett <rmudgett@digium.com>

	* apps/app_queue.c, apps/app_dial.c: Don't send redirecting updates
	  to the caller if the dialplan forked the call. Each fork in the
	  dial could be redirected and confuse the caller. For ISDN the
	  DivLeg1 and DivLeg3 messages would get confused because ISDN
	  redirects calls in sequence not in parallel. * Also fixed a
	  formatting inconsistency in app_dial.c and make a warning message
	  more useful about what frame type could not be written.

2011-02-03 23:49 +0000 [r306215]  Jeff Peeler <jpeeler@digium.com>

	* channels/chan_sip.c: Fix SIP deadlock involving state changes.
	  Once again a call to pbx_builtin_getvar_helper (and
	  pbx_builtin_setvar_helper) has caused locking problems. Both of
	  these functions lock the channel when the channel argument is
	  passed in! In this case, the suspected problem (the backtrace
	  makes it impossible to tell) was the private being locked in
	  sip_set_rtp_peer and then: transmit_reinvite_with_sdp
	  try_suggested_sip_codec pbx_builtin_getvar_helper (Traced to
	  verify that the fix was only required in 1.8 and later.) (closes
	  issue #18491) Reported by: cmaj Patches:
	  chan_sip_fix_deadlocks_bug_18491.txt uploaded by cmaj (license
	  830) Tested by: cmaj

2011-02-03 21:03 +0000 [r306127]  Terry Wilson <twilson@digium.com>

	* channels/chan_local.c, /: Merged revisions 306126 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r306126 | twilson | 2011-02-03 12:56:00 -0800
	  (Thu, 03 Feb 2011) | 16 lines Merged revisions 306119 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r306119 | twilson | 2011-02-03 12:36:34 -0800 (Thu, 03 Feb 2011)
	  | 9 lines Set hangup cause in local_hangup When a call involves a
	  local channel (like SIP -> Local -> SIP), the hangup cause was
	  not being set. This resulted in SIP channels sometimes getting a
	  503 error instead of a 486 when the far side sent a busy. In
	  Asterisk 1.8+ this also can cause issues with CCSS that involve a
	  local channel. This patch sets the hangupcause for one side of
	  the local channel to the other in local_hangup for outbound
	  calls. ........ ................

2011-02-03 20:50 +0000 [r306124]  Jeff Peeler <jpeeler@digium.com>

	* /, main/features.c: Merged revisions 306123 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r306123 | jpeeler | 2011-02-03 14:49:48 -0600 (Thu, 03 Feb 2011)
	  | 10 lines Set exception on channel in parking thread when
	  POLLPRI event detected. This is done just to make the code be
	  equivalent to the old select code. As noted in 303106 the same
	  issue was already fixed in this branch, but the exception was not
	  set on the channel in the case of POLLPRI. The reason that this
	  did not cause a problem here is because in 122923 the check in
	  __ast_read to check the exception flag was removed. (related to
	  #18637) ........

2011-02-03 15:50 +0000 [r305987]  Andrew Latham <lathama@gmail.com>

	* phoneprov/snom-mac.xml (added), configs/phoneprov.conf.sample, /:
	  res_phoneprov add snom 300, 320, 360, 370, 820, 821, 870 support
	  (issue #18713) Reported by: lathama Patches: snom_dir.diff
	  uploaded by lathama (license 1028) Tested by: lathama

2011-02-03 00:24 +0000 [r305923]  Richard Mudgett <rmudgett@digium.com>

	* main/channel.c, main/manager.c, /, channels/chan_sip.c,
	  apps/app_sendtext.c: Merged revisions 305889 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r305889 | rmudgett | 2011-02-02 18:15:07 -0600
	  (Wed, 02 Feb 2011) | 17 lines Merged revisions 305888 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r305888 | rmudgett | 2011-02-02 18:02:43 -0600 (Wed, 02 Feb 2011)
	  | 8 lines Minor AST_FRAME_TEXT related issues. * Include the null
	  terminator in the buffer length. When the frame is queued it is
	  copied. If the null terminator is not part of the frame buffer
	  length, the receiver could see garbage appended onto it. * Add
	  channel lock protection with ast_sendtext(). * Fixed AMI SendText
	  action ast_sendtext() return value check. ........
	  ................

2011-02-02 20:05 +0000 [r305844]  Tilghman Lesher <tilghman@meg.abyt.es>

	* funcs/func_env.c: Eliminate a file descriptor leak when using the
	  FILE() dialplan function. (closes issue #18731) Reported by:
	  marioabajo

2011-02-02 19:27 +0000 [r305753-305838]  Andrew Latham <lathama@gmail.com>

	* apps/app_externalivr.c, configs/sip.conf.sample,
	  configs/skinny.conf.sample, configs/h323.conf.sample,
	  configs/sla.conf.sample, apps/app_voicemail.c,
	  configs/iax.conf.sample, funcs/func_enum.c,
	  configs/dundi.conf.sample, funcs/func_callcompletion.c,
	  configs/mgcp.conf.sample, configs/iaxprov.conf.sample,
	  configs/unistim.conf.sample: Replacing doc/* and asterisk.pdf
	  with wiki links Adding links to http(s)://wiki.asterisk.org

	* configs/ccss.conf.sample, configs/sip.conf.sample,
	  configs/skinny.conf.sample, main/config.c,
	  configs/h323.conf.sample, configs/sla.conf.sample,
	  main/ast_expr2.fl, res/res_srtp.c,
	  configs/chan_dahdi.conf.sample, configs/extconfig.conf.sample,
	  configs/res_snmp.conf.sample, main/ast_expr2f.c,
	  res/res_timing_dahdi.c: Replacing doc/* with wiki links Adding
	  links to http(s)://wiki.asterisk.org

	* channels/chan_sip.c: Replace link to old doc with new wiki page.
	  Link to
	  https://wiki.asterisk.org/wiki/display/AST/SIP+Retransmissions

2011-02-01 22:48 +0000 [r305692]  Jason Parker <jparker@digium.com>

	* channels/chan_iax2.c: Reverse sense of an error test when reading
	  from astdb. (closes issue #18545) Reported by: jcovert Patches:
	  chan_iax2.c.patch uploaded by jcovert (license 551)

2011-02-01 21:14 +0000 [r305649]  Andrew Latham <lathama@gmail.com>

	* configs/sip.conf.sample: SIP Configuration Documentation sip show
	  settings reports qualifyfreq in milliseconds. sip.conf configures
	  qualifyfreg in seconds.

2011-02-01 19:23 +0000 [r305603]  Brett Bryant <bbryant@digium.com>

	* cel/cel_pgsql.c: Add a possible solution to a customer problem
	  with reloading cel_pgsql.so quickly.

2011-02-01 18:02 +0000 [r305560]  Andrew Latham <lathama@gmail.com>

	* CHANGES, Makefile, README, /: doc/tex dir removed, but
	  corresponding entries still exists Update README, CHANGES, and
	  Makefile. Direct users to http://wiki.asterisk.org for
	  documentation or to the AST.txt and AST.pdf included in the
	  tarball. (closes issue #18443) Reported by: bas Patches:
	  changes.diff uploaded by lathama (license 1028) readme.diff
	  uploaded by lathama (license 1028) Tested by: lathama bas

2011-02-01 17:04 +0000 [r305473]  Jason Parker <jparker@digium.com>

	* res/res_musiconhold.c, /: Merged revisions 305472 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r305472 | qwell | 2011-02-01 11:02:09 -0600
	  (Tue, 01 Feb 2011) | 16 lines Merged revisions 305471 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r305471 | qwell | 2011-02-01 11:00:55 -0600 (Tue, 01 Feb 2011) |
	  9 lines Close file descriptor for timing source when a MOH class
	  gets destroyed. (closes issue #18457) Reported by: mcallist
	  Patches: 18457-closetimer.diff uploaded by qwell (license 4)
	  18457-closetimer_trunk.diff uploaded by qwell (license 4) Tested
	  by: qwell, loloski ........ ................

2011-02-01 00:01 +0000 [r305343]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, /: Merged revisions 305342 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r305342 | rmudgett | 2011-01-31 17:50:10 -0600
	  (Mon, 31 Jan 2011) | 14 lines Merged revisions 305341 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r305341 | rmudgett | 2011-01-31 17:45:58 -0600 (Mon, 31 Jan 2011)
	  | 7 lines Obtain the pri lock for PRI queue counters. Need to
	  obtain the pri lock when calling pri_dump_info_str() to avoid a
	  reentrancy problem when calculating the Q.921 Q count statistic.
	  JIRA AST-484 ........ ................

2011-01-31 23:07 +0000 [r305131-305254]  Jason Parker <jparker@digium.com>

	* apps/app_dial.c, /, channels/chan_sip.c: Merged revisions 305253
	  via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r305253 | qwell | 2011-01-31 16:59:34 -0600
	  (Mon, 31 Jan 2011) | 17 lines Merged revisions 305252 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r305252 | qwell | 2011-01-31 16:56:54 -0600 (Mon, 31 Jan 2011) |
	  10 lines Prevent a crash when dialing a technology with no
	  destination (ex: Dial(SIP/)) chan_iax2 and other channel drivers
	  already had code to prevent this. The attempt that app_dial was
	  making to prevent it was not correct, so I fixed that. (closes
	  issue #18371) Reported by: gbour Patches: 18371.patch uploaded by
	  gbour (license 1162) ........ ................

	* configs/sip.conf.sample, main/tcptls.c: Add alternative name for
	  config option. The SIP sample configuration had "tlscadir" as the
	  option name, but chan_sip used the more correct "tlscapath". Now
	  both are accepted. Discovered (sort of) by a user on IRC in
	  #asterisk

	* res/res_musiconhold.c: Fix compile error. pseudofd no longer
	  exists.

	* res/res_musiconhold.c, /: Merged revisions 305130 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r305130 | qwell | 2011-01-31 14:59:37 -0600
	  (Mon, 31 Jan 2011) | 9 lines Merged revisions 305129 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r305129 | qwell | 2011-01-31 14:56:25 -0600 (Mon, 31 Jan
	  2011) | 2 lines Set file descriptors to -1 on creation, so that
	  we don't see weirdness later. ........ ................

2011-01-31 13:56 +0000 [r305083]  Andrew Latham <lathama@gmail.com>

	* main/http.c: Asterisk HTTP response Content-type Address content
	  type for BSD and other platforms (closes issue #18456) Reported
	  by: alexo Patches: asterisk18_http.patch uploaded by alexo
	  (license 1175) Tested by: alexo

2011-01-31 07:51 +0000 [r304950-305040]  Tilghman Lesher <tilghman@meg.abyt.es>

	* include/asterisk/lock.h: Use the non-specific API aliases, to
	  avoid a problem with building the utils directory.

	* apps/app_voicemail.c, /: Merged revisions 304978 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304978 | tilghman | 2011-01-31 01:25:14 -0600
	  (Mon, 31 Jan 2011) | 9 lines Merged revisions 304952 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r304952 | tilghman | 2011-01-31 00:54:45 -0600 (Mon, 31
	  Jan 2011) | 2 lines Fix compilation when ODBC_STORAGE is defined.
	  ........ ................

	* main/utils.c, include/asterisk/lock.h, .cleancount, main/lock.c,
	  main/heap.c: Change mutex tracking so that it only consumes
	  memory in the core mutex object when it's actually being used.
	  This reduces the overall size of a mutex which was 3016 bytes
	  before this back down to 216 bytes (this is on 64-bit Linux with
	  a glibc-implemented mutex). The exactness of the numbers here may
	  vary slightly based upon how mutexes are implemented on a
	  platform, but the long and short of it is that prior to this
	  commit, chan_iax2 held down 98MB of memory on a 64-bit system for
	  nothing more than a table of 32767 locks. After this commit, the
	  same table occupies a mere 7MB of memory. (closes issue #18194)
	  Reported by: job Patches: 20110124__issue18194.diff.txt uploaded
	  by tilghman (license 14) Tested by: tilghman Review:
	  https://reviewboard.asterisk.org/r/1066

2011-01-30 00:11 +0000 [r304908]  Andrew Latham <lathama@gmail.com>

	* apps/app_externalivr.c, apps/app_queue.c, apps/app_voicemail.c,
	  funcs/func_realtime.c, res/res_calendar.c,
	  funcs/func_callcompletion.c: Add Function and Application
	  Relationships to documentation Add and extend the see-also
	  sections to the documentation for applications and functions in
	  an effort to expand the online documentation of the wiki. Also
	  check for and update any links to moved documentation in the doc
	  folder.

2011-01-29 23:07 +0000 [r304638-304866]  Sean Bright <sean@malleable.com>

	* res/res_config_ldap.c, /: Merged revisions 304865 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ........ r304865 | seanbright | 2011-01-29 18:05:25 -0500 (Sat,
	  29 Jan 2011) | 7 lines Plug some memory leaks in the LDAP
	  realtime driver. (closes issue #18435) Reported by: zaltar
	  Patches: res_config_ldap.patch uploaded by zaltar (license 1148)
	  ........

	* /, apps/app_meetme.c: Merged revisions 304776 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r304776 | seanbright | 2011-01-29 13:08:14 -0500 (Sat, 29 Jan
	  2011) | 15 lines If we fail to allocate our announcement objects,
	  make sure we don't leak objects. The majority of this patch was
	  committed already in r304726 and r304729. (issue #18225) Reported
	  by: kenji (issue #18444) Reported by: junky (closes issue #18343)
	  Reported by: kobaz Patches: meetme-refs.diff uploaded by kobaz
	  (license 834) ........

	* /, apps/app_meetme.c: Merged revisions 304773 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r304773 | seanbright | 2011-01-29 12:51:28 -0500 (Sat, 29 Jan
	  2011) | 9 lines When we pass the S() or L() options to MeetMe,
	  make sure that we honor C as well. Without this patch, if the
	  user was kicked from the conference via the S() or L() mechanism,
	  we would just hang up on them even if we also passed C (continue
	  in dialplan when kicked). With this patch we honor the C flag in
	  those cases. (closes issue #17317) Reported by: var ........

	* /, apps/app_meetme.c: Merged revisions 304729 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r304729 | seanbright | 2011-01-29 12:01:51 -0500 (Sat, 29 Jan
	  2011) | 15 lines Make sure that we unref the correct object when
	  ejecting the most recent caller. Currently, when we kick the last
	  user to enter, we decrement our own reference count which results
	  in a crash when we kick another user or when we exit the
	  conference ourselves. This will fix #18225 in 1.8 and trunk, but
	  that particular bug does not exist in 1.6.2. (closes issue
	  #18225) Reported by: kenji Patches: issue18225.patch uploaded by
	  seanbright (license 71) Tested by: seanbright ........

	* /, apps/app_meetme.c: Merged revisions 304726 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r304726 | seanbright | 2011-01-29 11:26:57 -0500 (Sat, 29 Jan
	  2011) | 9 lines Fix user reference leak in MeetMe. We were
	  unlinking the user from the conferences user container, but not
	  decrementing the reference count of the user as well, resulting
	  in a leak. (closes issue #18444) Reported by: junky Tested by:
	  seanbright ........

	* /, apps/app_meetme.c: Merged revisions 304659,304682 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ........ r304659 | seanbright | 2011-01-28 16:22:09 -0500 (Fri,
	  28 Jan 2011) | 5 lines Don't leak references if we can't create a
	  pseudo channel for mixing in MeetMe. If there was a problem
	  allocating a pseudo channel when building our meetme, we weren't
	  destroying our user container or destroying the mutexes that we
	  created. ........ r304682 | seanbright | 2011-01-28 17:38:05
	  -0500 (Fri, 28 Jan 2011) | 2 lines Revert part of the previous
	  commit that snuck in. ........

	* main/acl.c: Restore some conditionals that we lost in r277814.
	  There are some cases where ast_append_ha() is called with a NULL
	  instead of a valid int pointer. So if we get a NULL, don't try to
	  dereference it. (closes issue #18162) Reported by: imcdona
	  Patches: issue0018162.patch uploaded by pabelanger (license 224)
	  Tested by: enegaard

2011-01-27 19:08 +0000 [r304554]  Richard Mudgett <rmudgett@digium.com>

	* main/ccss.c: Warning message if CALLCOMPLETION(cc_callback_macro
	  or cc_agent_dialstring) are empty. Test if the value pointer is
	  not NULL instead of not ast_strlen_zero().

2011-01-27 17:03 +0000 [r304462-304466]  Jason Parker <jparker@digium.com>

	* /, configure, configure.ac: Merged revisions 304465 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304465 | qwell | 2011-01-27 11:01:24 -0600
	  (Thu, 27 Jan 2011) | 16 lines Merged revisions 304464 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r304464 | qwell | 2011-01-27 10:57:46 -0600 (Thu, 27 Jan 2011) |
	  9 lines Fix default prefix=/usr regression on non-Linux systems.
	  This partially reverts a change made in branches/1.4/ r267759,
	  which will cause issue #17013 to be reopened. This issue was
	  pointed out by a user on #asterisk, who helpfully discovered that
	  paths were being set incorrectly. To truly understand what was
	  wrong, one should run: svn diff --force -c<this revision>
	  configure ........ ................

	* /, configure: Merged revisions 304461 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304461 | qwell | 2011-01-27 10:48:00 -0600
	  (Thu, 27 Jan 2011) | 9 lines Merged revisions 304460 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r304460 | qwell | 2011-01-27 10:47:03 -0600 (Thu, 27 Jan
	  2011) | 1 line Rerun bootstrap.sh with no changes, so that it is
	  more obvious what my next commit changes. ........
	  ................

2011-01-26 22:27 +0000 [r304339]  Jeff Peeler <jpeeler@digium.com>

	* /, main/features.c: Merged revisions 304338 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r304338 | jpeeler | 2011-01-26 16:26:37 -0600 (Wed, 26 Jan 2011)
	  | 2 lines Change delimiter used internally for GOTO_ON_BLINDXFR
	  to commas to match 76703. ........

2011-01-26 21:02 +0000 [r304251]  Mark Michelson <mmichelson@digium.com>

	* main/udptl.c, /: Merged revisions 304250 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304250 | mmichelson | 2011-01-26 15:02:10 -0600
	  (Wed, 26 Jan 2011) | 9 lines Merged revisions 304242 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r304242 | mmichelson | 2011-01-26 14:38:37 -0600 (Wed,
	  26 Jan 2011) | 3 lines Get rid of unused 'verbose' field in
	  ast_udptl ........ ................

2011-01-26 20:43 +0000 [r304245]  Matthew Nicholson <mnicholson@digium.com>

	* channels/sip/include/sip.h,
	  channels/sip/include/reqresp_parser.h, /, channels/chan_sip.c,
	  channels/sip/reqresp_parser.c: Merged revisions 304244 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304244 | mnicholson | 2011-01-26 14:42:16 -0600
	  (Wed, 26 Jan 2011) | 13 lines Merged revisions 304241 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r304241 | mnicholson | 2011-01-26 14:38:22 -0600 (Wed, 26 Jan
	  2011) | 6 lines This patch modifies chan_sip to route responses
	  to the address the request came from. It also modifies chan_sip
	  to respect the maddr parameter in the Via header. ABE-2664
	  Review: https://reviewboard.asterisk.org/r/1059/ ........
	  ................

2011-01-26 20:23 +0000 [r304186]  Sean Bright <sean@malleable.com>

	* /, configs/queues.conf.sample: Merged revisions 304181 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304181 | seanbright | 2011-01-26 15:22:47 -0500
	  (Wed, 26 Jan 2011) | 9 lines Merged revisions 304159 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.4
	  ........ r304159 | seanbright | 2011-01-26 15:18:29 -0500 (Wed,
	  26 Jan 2011) | 1 line Make sure the sample queues.conf is
	  properly commented. ........ ................

2011-01-26 19:39 +0000 [r304150]  Richard Mudgett <rmudgett@digium.com>

	* channels/chan_dahdi.c, /: Merged revisions 304149 via svnmerge
	  from https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304149 | rmudgett | 2011-01-26 13:38:38 -0600
	  (Wed, 26 Jan 2011) | 9 lines Merged revisions 304148 from
	  https://origsvn.digium.com/svn/asterisk/be/branches/C.3-bier
	  .......... r304148 | rmudgett | 2011-01-26 13:23:46 -0600 (Wed,
	  26 Jan 2011) | 2 lines Update documentation for
	  DAHDISendCallreroutingFacility() application. ..........
	  ................

2011-01-26 01:26 +0000 [r304097]  Sean Bright <sean@malleable.com>

	* /, main/file.c: Merged revisions 304096 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r304096 | seanbright | 2011-01-25 20:24:58 -0500 (Tue, 25 Jan
	  2011) | 12 lines Per the man page, setvbuf() must be called
	  before any other operation on an open file. We use setvbuf() to
	  associate a buffer with a stream, but we have already written to
	  the open file. This works (by chance) on Linux, but fails on
	  other platforms, such as OpenSolaris. (closes issue #16610)
	  Reported by: bklang Patches: setvbuf.patch uploaded by crjw
	  (license 963) Tested by: bklang, asgaroth, efutch ........

2011-01-25 23:28 +0000 [r304007]  Richard Mudgett <rmudgett@digium.com>

	* /, main/features.c: Merged revisions 304006 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r304006 | rmudgett | 2011-01-25 17:25:32 -0600
	  (Tue, 25 Jan 2011) | 15 lines Merged revisions 304005 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r304005 | rmudgett | 2011-01-25 17:21:09 -0600 (Tue, 25 Jan 2011)
	  | 8 lines DTMF attended transfers sometimes fail for no apparent
	  reason. The loop in feature_request_and_dial() can exit when
	  Party C has answered without processing an AST_CONTROL_ANSWER.
	  Also sometimes an AST_CONTROL_ANSWER never happens even though
	  Party C has answered. Don't hangup Party C if he is up or we
	  receive an AST_CONTROL_ANSWER. ........ ................

2011-01-25 22:09 +0000 [r303962]  Terry Wilson <twilson@digium.com>

	* /, channels/chan_sip.c: Merged revisions 303960 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r303960 | twilson | 2011-01-25 16:02:42 -0600
	  (Tue, 25 Jan 2011) | 23 lines Merged revisions 303906 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r303906 | twilson | 2011-01-25 14:50:59 -0600 (Tue, 25 Jan 2011)
	  | 16 lines Guard against retransmitting BYEs indefinitely In the
	  case of an attended transfer (A calls B, A atxfers to C) where A
	  becomes unreachable before replying to Asterisk's BYE, Asterisk
	  can sometimes retransmit the BYE indefinitely. This is because
	  __sip_autodestruct tests p->refer && !ast_test_flag(&p->flags[0],
	  SIP_ALREADYGONE and will then transmit a BYE. When this BYE times
	  out, it will not ever be marked as ALREADYGONE, so when
	  __sip_autodestruct is called again, we end up starting the cycle
	  over. This patch adds a call to sip_alreadygone(pkt->owner) in
	  retrans_pkt in the case of a BYE that has timed out. This should
	  prevent Asterisk from trying to transmit new BYE messages in the
	  future. Review: https://reviewboard.asterisk.org/r/1077/ ........
	  ................

2011-01-25 20:56 +0000 [r303907]  Matthew Nicholson <mnicholson@digium.com>

	* include/asterisk/res_fax.h, res/res_fax.c: Reimplemented fax
	  session reservation to reverse the ABI breakage introduced in
	  r297486.

2011-01-25 18:55 +0000 [r303860]  Tilghman Lesher <tilghman@meg.abyt.es>

	* /, channels/chan_sip.c: Merged revisions 303858 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2 ........
	  r303858 | tilghman | 2011-01-25 12:41:26 -0600 (Tue, 25 Jan 2011)
	  | 5 lines Fix "sip show user <tab>", so that it actually shows
	  results, instead of just completing the last entry. (closes issue
	  #16675) Reported by: pj ........

2011-01-25 17:49 +0000 [r303771]  Richard Mudgett <rmudgett@digium.com>

	* channels/sig_pri.c, channels/sig_ss7.c, channels/sig_pri.h,
	  channels/chan_dahdi.c, channels/sig_ss7.h, /: Merged revisions
	  303769 via svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.6.2
	  ................ r303769 | rmudgett | 2011-01-25 11:42:42 -0600
	  (Tue, 25 Jan 2011) | 47 lines Merged revisions 303765 via
	  svnmerge from
	  https://origsvn.digium.com/svn/asterisk/branches/1.4 ........
	  r303765 | rmudgett | 2011-01-25 11:36:50 -0600 (Tue, 25 Jan 2011)
	  | 40 lines Sending out unnecessary PROCEEDING messages breaks
	  overlap dialing. Issue #16789 was a good idea. Unfortunately, it
	  breaks overlap dialing through Asterisk. There is not enough
	  information available at this point to know if dialing is
	  complete. The ast_exists_extension(), ast_matchmore_extension(),
	  and ast_canmatch_extension() calls are not adequate to detect a
	  dial through extension pattern of "_9!". Workaround is to use the
